<?php
// *******************************************************************
// Title          udde Instant Messages (uddeIM)
// Description    Instant Messages System for Mambo 4.5.X/Joomla 1.0.X
// Author         Benjamin Zweifel
// Version        0.5
// as of          2005/12/09
// Contact        uddeim@yahoo.com
// Copyright       by FMQ
// License        This is free software and you may redistribute it under the GPL.
//                uddeim comes with absolutely no warranty. For details, see the license at
//                http://www.gnu.org/licenses/gpl.txt
// *******************************************************************
// This script is part of the uddeIM component
// *******************************************************************

// ************************************************
// Check for the "0.5" comments to see which file
// have changed since the 0.4 versions
// ************************************************

// *******************************************************************
// *                                                                 *
// *       If you make a new translation, please send it to          *
// *          uddeim@yahoo.com so that it can be released            *
// *                       for others as well                        *
// *                                                                 *
// *******************************************************************

// New: 0.6+
DEFINE ('_UDDEADM_NAMESTEXT', 'Show realnames');
DEFINE ('_UDDEADM_NAMESDESC', 'Show realnames or usernames?');
DEFINE ('_UDDEADM_REALNAMES', 'Realnames');
DEFINE ('_UDDEADM_USERNAMES', 'Usernames');
DEFINE ('_UDDEADM_CONLISTBOX', 'Connections listbox');
DEFINE ('_UDDEADM_CONLISTBOXDESC', 'Show my connections in a listbox or in a table?');
DEFINE ('_UDDEADM_LISTBOX', 'Listbox');
DEFINE ('_UDDEADM_TABLE', 'Table');

DEFINE ('_UDDEIM_TRASHCAN_INFO_1', 'Messages will stay in the trashcan for ');
DEFINE ('_UDDEIM_TRASHCAN_INFO_2', ' hrs before being erased. You can see the first words of the message only. To read the whole message, you have to restore it first.');
DEFINE ('_UDDEIM_RECALLEDMESSAGE_INFO', 'This message has been recalled. You can now edit and resend it.');
DEFINE ('_UDDEIM_COULDNOTRECALL', 'Message could not be recalled (probably because it has been read or erased.)');
DEFINE ('_UDDEIM_CANTRESTORE', 'Message restore failed. (It might have been in the trash can for too long and erased in the meantime.)');
DEFINE ('_UDDEIM_COULDNOTRESTORE', 'Message restore failed.');
DEFINE ('_UDDEIM_DONTSEND', 'Don\'t send');
DEFINE ('_UDDEIM_SENDAGAIN', 'Resend');
DEFINE ('_UDDEIM_NOTLOGGEDIN', 'You are not logged in.');
DEFINE ('_UDDEIM_NOMESSAGES_INBOX', '<strong>You have no messages in your inbox.</strong>');
DEFINE ('_UDDEIM_NOMESSAGES_OUTBOX', '<strong>You have no messages in your outbox.</strong>');
DEFINE ('_UDDEIM_NOMESSAGES_TRASHCAN', '<strong>You have no messages in your trashcan.</strong>');
DEFINE ('_UDDEIM_INBOX', 'Inbox');
DEFINE ('_UDDEIM_OUTBOX', 'Outbox');
DEFINE ('_UDDEIM_TRASHCAN', 'Trashcan');
DEFINE ('_UDDEIM_CREATE', 'New message');
DEFINE ('_UDDEIM_UDDEIM', 'Private messages');
	// this is the headline/name of the component as it appears in Mambo

DEFINE ('_UDDEIM_READSTATUS', 'Read');
	// as in 'this message has been "read"'

DEFINE ('_UDDEIM_FROM', 'from');
DEFINE ('_UDDEIM_TO', 'to');
DEFINE ('_UDDEIM_OUTBOX_WARNING', 'Your outbox contains all messages you have sent that have not been deleted yet. You can recall a message in the outbox if it has not been read. If you do so, it can no longer been read by the recipient. ');
DEFINE ('_UDDEIM_RECALL', 'recall');
DEFINE ('_UDDEIM_RECALLTHISMESSAGE', 'Recall this message');
DEFINE ('_UDDEIM_RESTORE', 'restore');
DEFINE ('_UDDEIM_MESSAGE', 'Message');
DEFINE ('_UDDEIM_DATE', 'Date');
DEFINE ('_UDDEIM_DELETED', 'Deleted');
DEFINE ('_UDDEIM_DELETE', 'delete');
DEFINE ('_UDDEIM_DELETELINK', 'delete');
DEFINE ('_UDDEIM_MESSAGENOACCESS', 'This message can\'t be displayed. <br>Possible reasons:<ul><li>You have no rights to read this particular message</li><li>The message has been erased</li></ul>');
DEFINE ('_UDDEIM_YOUMOVEDTOTRASH', '<b>You have moved this message to the trashcan.</b>');
DEFINE ('_UDDEIM_MESSAGEFROM', 'Message from ');
DEFINE ('_UDDEIM_MESSAGETO', 'Message from yourself to ');
DEFINE ('_UDDEIM_REPLY', 'Reply');
DEFINE ('_UDDEIM_SUBMIT', 'Send');
DEFINE ('_UDDEIM_NOMESSAGE', 'Error: Message contains no text! No message sent.');
DEFINE ('_UDDEIM_MESSAGE_REPLIEDTO', 'Reply sent');
DEFINE ('_UDDEIM_MESSAGE_SENT', 'Message sent');
DEFINE ('_UDDEIM_MOVEDTOTRASH', ' and original message moved to trash');
DEFINE ('_UDDEIM_NOSUCHUSER', 'There is no user with this username!');
DEFINE ('_UDDEIM_NOTTOYOURSELF', 'It is not possible to send messages to yourself!');
DEFINE ('_UDDEIM_PRUNELINK', 'Admins only: Prune');
DEFINE ('_UDDEIM_BLOCKS', 'Blocked');
DEFINE ('_UDDEIM_YOUAREBLOCKED', 'Not sent (user has blocked you)');
DEFINE ('_UDDEIM_BLOCKNOW', 'block&nbsp;user');
DEFINE ('_UDDEIM_BLOCKS_EXP', 'This is a list of users you have blocked. These users can not send private messages to you.');
DEFINE ('_UDDEIM_NOBODYBLOCKED', 'You have currently not blocked any users.');
DEFINE ('_UDDEIM_YOUBLOCKED_PRE', 'You have currently blocked ');
DEFINE ('_UDDEIM_YOUBLOCKED_POST', ' user(s).');
DEFINE ('_UDDEIM_UNBLOCKNOW', '[unblock]');
DEFINE ('_UDDEIM_BLOCKALERT_EXP_ON', 'If a blocked user tries to send you a message, (s)he will be informed that (s)he is blocked and that the message has not been sent.');
DEFINE ('_UDDEIM_BLOCKALERT_EXP_OFF', 'A blocked user can not see that you have blocked him/her.');
DEFINE ('_UDDEIM_CANTBLOCKADMINS', 'You can not block administrators.');
DEFINE ('_UDDEIM_BLOCKSDISABLED', 'Blocking system not enabled');
DEFINE ('_UDDEIM_CANTREPLY', 'You can not reply to this message.');
DEFINE ('_UDDEIM_EMNOFF', 'E-mail notification is off. ');
DEFINE ('_UDDEIM_EMNON', 'E-mail notification is on. ');
DEFINE ('_UDDEIM_SETEMNON', '[turn it on]');
DEFINE ('_UDDEIM_SETEMNOFF', '[turn it off]');
DEFINE ('_UDDEIM_EMN_BODY_NOMESSAGE', 'Hi %you%, 

%user% has sent you a private message at %site%.
Please log in to read it!');
DEFINE ('_UDDEIM_EMN_BODY_WITHMESSAGE', 'Hi %you%, 

%user% has sent you the following private message at %site%.
Please log in to reply!
__________________
%pmessage%
');
DEFINE ('_UDDEIM_EMN_FORGETMENOT', 'Hi %you%,

you have unread private messages on %site%.
Please log in to read them! 
');

DEFINE ('_UDDEIM_EMN_SUBJECT', 'You have messages on %site%');





DEFINE ('_UDDEIM_ARCHIVE_ERROR', 'Storing message in archive failed.');
DEFINE ('_UDDEIM_ARC_SAVED_NONE', '<strong>You haven\'t stored any messages in the archive yet.</strong>'); 
DEFINE ('_UDDEIM_ARC_SAVED_1', 'You have stored ');
DEFINE ('_UDDEIM_ARC_SAVED_2', ' messages');
DEFINE ('_UDDEIM_ARC_SAVED_ONE', 'You have stored one message');
DEFINE ('_UDDEIM_ARC_SAVED_3', 'To save messages, you have to delete other messages first.');
DEFINE ('_UDDEIM_ARC_CANSAVEMAX_1', 'You can save a maximum of ');
DEFINE ('_UDDEIM_ARC_CANSAVEMAX_2', ' messages.');

DEFINE ('_UDDEIM_INBOX_LIMIT_1', 'You have ');
DEFINE ('_UDDEIM_INBOX_LIMIT_2', ' messages in your');
DEFINE ('_UDDEIM_ARC_UNIVERSE_ARC', 'archive');
DEFINE ('_UDDEIM_ARC_UNIVERSE_INBOX', 'inbox');
DEFINE ('_UDDEIM_ARC_UNIVERSE_BOTH', 'inbox and archive');
	// The lines above are to make up a sentence like
	// "You have | 126 | messages in your | inbox and archive"

DEFINE ('_UDDEIM_INBOX_LIMIT_3', 'The allowed maximum is ');
DEFINE ('_UDDEIM_INBOX_LIMIT_4', 'You can still receive and read messages but you will not be able to reply or to compose new ones until you delete messages.');
DEFINE ('_UDDEIM_SHOWINBOXLIMIT_1', 'Messages stored: ');
DEFINE ('_UDDEIM_SHOWINBOXLIMIT_2', '(of max. ');
	// don't add closing bracket

DEFINE ('_UDDEIM_MESSAGE_ARCHIVED', 'Message stored in archive.');
DEFINE ('_UDDEIM_STORE', 'archive');
	// translators info: as in: 'store this message in archive now'

DEFINE ('_UDDEIM_BACK', 'back');

DEFINE ('_UDDEIM_TRASHCHECKED', 'delete checked');
	// translators info: plural! (as in "delete checked" messages)
	
DEFINE ('_UDDEIM_SHOWALL', 'show all');
	// translators example "SHOW ALL messages"
	
DEFINE ('_UDDEIM_ARCHIVE', 'Archive');
	// should be same as _UDDEADM_ARCHIVE
	
DEFINE ('_UDDEIM_ARCHIVEFULL', 'Archive full. Not saved.');	
	
DEFINE ('_UDDEIM_NOMSGSELECTED', 'No messages selected.');
DEFINE ('_UDDEIM_THISISACOPY', 'Copy of a message you sent to ');
DEFINE ('_UDDEIM_SENDCOPYTOME', 'copy to me');
	// as in 'send a "copy to me"' or cc: me

DEFINE ('_UDDEIM_SENDCOPYTOARCHIVE', 'copy to archive');
DEFINE ('_UDDEIM_TRASHORIGINAL', 'trash original');

DEFINE ('_UDDEIM_MESSAGEDOWNLOAD', 'Message Download');
DEFINE ('_UDDEIM_EXPORT_MAILED', 'E-mail with exported messages sent');
DEFINE ('_UDDEIM_EXPORT_NOW', 'e-mail checked to me');
	// as in "send the messages checked above by E-Mail to me"

DEFINE ('_UDDEIM_EXPORT_MAIL_INTRO', 'This mail includes your private messages.');
DEFINE ('_UDDEIM_EXPORT_COULDNOTSEND', 'Could not send e-mail containing messages.');

DEFINE ('_UDDEIM_LIMITREACHED', 'Message limit! Not restored.');

DEFINE ('_UDDEIM_WRITEMSGTO', 'Write a message to ');
	// as in "write a message to" (a person)

// new in 0.5 FRONTEND

DEFINE ('_UDDEIM_SHOWUSERS', 'Show users');
DEFINE ('_UDDEIM_CONNECTIONS', 'Connections');
DEFINE ('_UDDEIM_SETTINGS', 'Settings');
DEFINE ('_UDDEIM_NOSETTINGS', 'There are no settings to adjust.');
DEFINE ('_UDDEIM_ABOUT', 'About'); // as in "About uddeIM"
DEFINE ('_UDDEIM_COMPOSE', 'Compose'); // as in "write new message", but only one word
DEFINE ('_UDDEIM_EMN', 'E-Mail-Notification');
DEFINE ('_UDDEIM_EMN_EXP', 'You can receive an e-mail when you get new private messages.');
DEFINE ('_UDDEIM_EMN_ALWAYS', 'E-mail-notification on new messages');
DEFINE ('_UDDEIM_EMN_NONE', 'No e-mail-notification');
DEFINE ('_UDDEIM_EMN_WHENOFFLINE', 'E-mail-notification when offline');
DEFINE ('_UDDEIM_EMN_NOTONREPLY', 'Don\'t send notification on replies');
DEFINE ('_UDDEIM_BLOCKSYSTEM', 'User blocking'); // Headline for blocking system in settings
DEFINE ('_UDDEIM_BLOCKSYSTEM_EXP', 'You can prevent users from sending you messages by blocking them. Choose <i>block user</i> when you view a messages from the respective user.'); // block user is the same as _UDDEIM_BLOCKNOW
DEFINE ('_UDDEIM_SAVECHANGE', 'Save change');
DEFINE ('_UDDEIM_TOOLTIP_BOLD', 'BB Code tags to produce bold text. Usage: [b]bold[/b]');
DEFINE ('_UDDEIM_TOOLTIP_ITALIC', 'BB Code tags to produce italic text. Usage: [i]italic[/i]');
DEFINE ('_UDDEIM_TOOLTIP_UNDERLINE', 'BB Code tags to produce underlined text. Usage: [u]underline[/u]');
DEFINE ('_UDDEIM_TOOLTIP_COLORRED', 'BB Code tags to produce coloured letters. Usage [color=#XXXXXX]colored[/color] where XXXXXX is the hex code of the colour you want, for example FF0000 for red.');
DEFINE ('_UDDEIM_TOOLTIP_COLORGREEN', 'BB Code tags to produce coloured letters. Usage [color=#XXXXXX]colored[/color] where XXXXXX is the hex code of the colour you want, for example 00FF00 for green.');
DEFINE ('_UDDEIM_TOOLTIP_COLORBLUE', 'BB Code tags to produce coloured letters. Usage [color=#XXXXXX]colored[/color] where XXXXXX is the hex code of the colour you want, for example 0000FF for blue.');
DEFINE ('_UDDEIM_TOOLTIP_FONTSIZE1', 'BB Code tags to produce very small letters. Usage: [size=1]very small text.[/size]');
DEFINE ('_UDDEIM_TOOLTIP_FONTSIZE2', 'BB Code tags to produce small letters. Usage: [size=2] small text.[/size]');
DEFINE ('_UDDEIM_TOOLTIP_FONTSIZE4', 'BB Code tags to produce big letters. Usage: [size=4]big text.[/size]');
DEFINE ('_UDDEIM_TOOLTIP_FONTSIZE5', 'BB Code tags to produce very big letters. Usage: [size=5]very big text.[/size]');
DEFINE ('_UDDEIM_TOOLTIP_IMAGE', 'BB Code tags to insert a link to an image. Usage: [img]Image-URL[/img]');
DEFINE ('_UDDEIM_TOOLTIP_URL', 'BB Code tags to insert a hyperlink. Usage: [url]web address[/url]. Do not forget the http:// at the beginning of every web address.');
DEFINE ('_UDDEIM_TOOLTIP_CLOSEALLTAGS', 'Close all open BB tags.');
DEFINE ('_UDDEIM_INBOX_LIMIT_2_SINGULAR', ' message in your'); // same as _UDDEIM_INBOX_LIMIT_2, but singular (as in 1 "message in your")
DEFINE ('_UDDEIM_ARC_SAVED_NONE_2', '<strong>You have no messages in your archive.</strong>'); 

// udde Module

DEFINE ('_UDDEMODULE_PRIVATEMESSAGES', 'Private Messages');
DEFINE ('_UDDEMODULE_NONEW', 'no new');
	// as in "no new" messages

DEFINE ('_UDDEMODULE_NEWMESSAGES', 'New messages: ');

// months and weeknames (please translate according 
// to your language)

$udde_smon[1]="Jan";
$udde_smon[2]="Feb";
$udde_smon[3]="Mar";
$udde_smon[4]="Apr";
$udde_smon[5]="May";
$udde_smon[6]="Jun";
$udde_smon[7]="Jul";
$udde_smon[8]="Aug";
$udde_smon[9]="Sep";
$udde_smon[10]="Oct";
$udde_smon[11]="Nov";
$udde_smon[12]="Dec";

$udde_lmon[1]="January";
$udde_lmon[2]="February";
$udde_lmon[3]="March";
$udde_lmon[4]="April";
$udde_lmon[5]="May";
$udde_lmon[6]="June";
$udde_lmon[7]="July";
$udde_lmon[8]="August";
$udde_lmon[9]="September";
$udde_lmon[10]="October";
$udde_lmon[11]="November";
$udde_lmon[12]="December";

$udde_lweekday[0]="Sunday";
$udde_lweekday[1]="Monday";
$udde_lweekday[2]="Tuesday";
$udde_lweekday[3]="Wednesday";
$udde_lweekday[4]="Thursday";
$udde_lweekday[5]="Friday";
$udde_lweekday[6]="Saturday";

$udde_sweekday[0]="Sun";
$udde_sweekday[1]="Mon";
$udde_sweekday[2]="Tue";
$udde_sweekday[3]="Wed";
$udde_sweekday[4]="Thu";
$udde_sweekday[5]="Fri";
$udde_sweekday[6]="Sat";



// *********************************************************
// the following can remain English
// *********************************************************

DEFINE ('_UDDEIM_NOID', 'Error: No recipient ID found. No message sent.');
DEFINE ('_UDDEIM_REFERAFTERSAVING', 'index.php?option=com_uddeim');
DEFINE ('_UDDEIM_VIOLATION', '<b>Access violation!</b> You have no rights to perform this action!');
DEFINE ('_UDDEIM_UNEXPECTEDERROR_QUIT', 'Unexpected error: ');
DEFINE ('_UDDEIM_ARCHIVENOTENABLED', 'Archive not enabled.');


// *********************************************************
// No translation necessary below this line
// *********************************************************

DEFINE ('_UDDEIM_ONLINEPIC', 'images/icon_online.gif');
DEFINE ('_UDDEIM_OFFLINEPIC', 'images/icon_offline.gif');

DEFINE ('_UDDEIM_EXPORT_FORMAT', '
================================================================================
%user% (%msgdate%)
----------------------------------------
%msgbody%
================================================================================');

// Admin

DEFINE ('_UDDEADM_SETTINGS', 'uddeIM Administration');
DEFINE ('_UDDEADM_GENERAL', 'General');
DEFINE ('_UDDEADM_ABOUT', 'About');
DEFINE ('_UDDEADM_DATESETTINGS', 'Date/time');
DEFINE ('_UDDEADM_PICSETTINGS', 'Icons');
DEFINE ('_UDDEADM_DELETEREADAFTER_HEAD', 'Read messages kept for (days)');
DEFINE ('_UDDEADM_DELETEUNREADAFTER_HEAD', 'Unread messages kept for (days)');
DEFINE ('_UDDEADM_DELETETRASHAFTER_HEAD', 'Messages kept in trash for (days)');
DEFINE ('_UDDEADM_DAYS', 'day(s)');
DEFINE ('_UDDEADM_DELETEREADAFTER_EXP', 'Enter the number of days until <b>read</b> messages will automatically be erased from the inbox. If you do not want to erase messages automatically, enter a very high value (for example, 36524 days equal one century). But keep in mind that the database can fill up quickly if you keep all messages.');
DEFINE ('_UDDEADM_DELETEUNREADAFTER_EXP', 'Enter the number of days until messages will be erased that have <b>not been read</b> by their intended recipient yet.');
DEFINE ('_UDDEADM_DELETETRASHAFTER_EXP', 'Enter the number of days until messages are erased from the trashcan. Values less than 1 are O.K. Example: To erase messages from the trashcan after 3 hrs, enter 0.125 as value.');
DEFINE ('_UDDEADM_DATEFORMAT_HEAD', 'Date display format');
DEFINE ('_UDDEADM_DATEFORMAT_EXP', 'Choose the format in which message date/time is being displayed. Months will be abbreviated according to your local language settings of Mambo (if a matching uddeIM language file is present).');
DEFINE ('_UDDEADM_LDATEFORMAT_HEAD', 'Longer date display');
DEFINE ('_UDDEADM_LDATEFORMAT_EXP', 'When showing messages there is more space for date display. Choose the date format to display when opening a message. For weekday names and months, the local language settings of Mambo will be used (if a matching uddeIM language file is present).');
DEFINE ('_UDDEADM_ADMINIGNITIONONLY_HEAD', 'Deletion invoked by admin only');
DEFINE ('_UDDEADM_ADMINIGNITIONONLY_YES', 'yes, by admins only');
DEFINE ('_UDDEADM_ADMINIGNITIONONLY_NO', 'no, by any user');
DEFINE ('_UDDEADM_ADMINIGNITIONONLY_EXP', 'Automatic deletions put a heavy weight on servers and databases. If you choose <i>yes,&nbsp;by&nbsp;admins&nbsp;only</i> automatic deletions according to the settings above (of all users\' messages) are invoked when any admin checks his or her inbox. Choose this option if an admin is checking the inbox around once a day or more often, which is the case at most sites. (If your site has more than one admin, it doesn\'t matter which of them logs in as deletions are automatically invoked by any admin.) At very small or rarely administered sites where admins rarely check their inboxes, choose <i>no,&nbsp;by&nbsp;any&nbsp;user</i>. If you do not understand this or do not know what to do, choose <i>no, by any user</i>.');
DEFINE ('_UDDEADM_ABOUTTEXT', ' 
<strong>uddeIM Instant Messages (uddeIM)</strong><br>
Instant Messages System for Mambo 4.5.X/Joomla 1.0.X<br>
Author:         Benjamin Zweifel<br>
Language File:  translation.php<br>
Copyright:       by Benjamin Zweifel<br>
This is free software and you may redistribute it under the GPL.
uddeIM comes with absolutely no warranty. For details, see the license at
 <a href="http://www.gnu.org/licenses/gpl.txt">www.gnu.org/licenses/gpl.txt</a>.
');
	// replace the translation.php with your language, of course
DEFINE ('_UDDEADM_SAVESETTINGS', 'Save settings');
DEFINE ('_UDDEADM_THISHASBEENSAVED', 'The following settings have been saved to config file:');
DEFINE ('_UDDEADM_SETTINGSSAVED', 'Settings have been saved.');
DEFINE ('_UDDEADM_ICONONLINEPIC_HEAD', 'Icon: User is online');
DEFINE ('_UDDEADM_ICONONLINEPIC_EXP', 'Enter the location of the icon to be displayed next to the username when this user is online.');
DEFINE ('_UDDEADM_ICONOFFLINEPIC_HEAD', 'Icon: User is offline');
DEFINE ('_UDDEADM_ICONOFFLINEPIC_EXP', 'Enter the location of the icon to be displayed next to the username when this user is offline.');
DEFINE ('_UDDEADM_ICONREADPIC_HEAD', 'Icon: Read message');
DEFINE ('_UDDEADM_ICONREADPIC_EXP', 'Enter the location of the icon to be displayed for read messages.');
DEFINE ('_UDDEADM_ICONUNREADPIC_HEAD', 'Icon: Unread message');
DEFINE ('_UDDEADM_ICONUNREADPIC_EXP', 'Enter the location of the icon to be displayed for unread messages.');
DEFINE ('_UDDEADM_MODULENEWMESS_HEAD', 'Module: New Messages Icon');
DEFINE ('_UDDEADM_MODULENEWMESS_EXP', 'This setting refers to the mod_uddeim_new module. Enter the location of the icon that this module shall display when there are new messages.');
DEFINE ('_UDDEADM_UDDEINSTALL', 'uddeIM Installation');
DEFINE ('_UDDEADM_FINISHED', 'Installation is finished. Welcome to uddeIM 0.4 (beta). ');
DEFINE ('_UDDEADM_NOCB', '<span style="color: red;">You do not have Mambo Community Builder installed. You will not be able to use uddeIM.</span><br><br>You might want to download <a href="http://www.mambojoe.com">Mambo Community Builder</a>.');
DEFINE ('_UDDEADM_CONTINUE', 'continue');
DEFINE ('_UDDEADM_PMSFOUND_1', 'There are ');
DEFINE ('_UDDEADM_PMSFOUND_2', ' messages in your myPMS installation. Do you want to import them into uddeIM?');
DEFINE ('_UDDEADM_IMPORT_EXP', 'This will not alter the myPMS messages or your installation. They will be kept intact. You can safely import them into uddeIM, even if you consider to continue using myPMS. (You should save any changes you made to the settings first before running the import!) Any messages that are already in your uddeIM database will remain intact.');
DEFINE ('_UDDEADM_IMPORT_YES', 'Import myPMS messages into uddeIM now');
DEFINE ('_UDDEADM_IMPORT_NO', 'No, do not import any messages');  
DEFINE ('_UDDEADM_IMPORTING', 'Please wait while messages are being imported.');
DEFINE ('_UDDEADM_IMPORTDONE', 'Done importing messages from myPMS. Do not run this installation script again because doing so will import the messages again and they will show up twice.'); 
DEFINE ('_UDDEADM_IMPORT', 'Import');
DEFINE ('_UDDEADM_IMPORT_HEADER', 'Import messages from myPMS');
DEFINE ('_UDDEADM_PMSNOTFOUND', 'No myPMS installation found. Import not possible.');
DEFINE ('_UDDEADM_ALREADYIMPORTED', '<span style="color: red;">You have already imported the messages from myPMS into uddeIM.</span>');
DEFINE ('_UDDEADM_BLOCKSYSTEM_HEAD', 'Enable blocking system');
DEFINE ('_UDDEADM_BLOCKSYSTEM_EXP', 'When enabled, users can block other users. A blocked user can not send messages to the user who has blocked him/her. Admins can\'t be blocked.');
DEFINE ('_UDDEADM_BLOCKSYSTEM_YES', 'yes');
DEFINE ('_UDDEADM_BLOCKSYSTEM_NO', 'no');
DEFINE ('_UDDEADM_BLOCKALERT_HEAD', 'Blocked user gets message');
DEFINE ('_UDDEADM_BLOCKALERT_EXP', 'If set to <i>yes</i>, a blocked user will be informed that his message has not been sent because the recipient has blocked him. If set to <i>no</i>, the blocked user does not get any notification that his message has not been sent.');
DEFINE ('_UDDEADM_BLOCKALERT_YES', 'yes');
DEFINE ('_UDDEADM_BLOCKALERT_NO', 'no');
DEFINE ('_UDDEADM_DELETIONS', 'Deletions');
DEFINE ('_UDDEADM_BLOCK', 'Blocking');
DEFINE ('_UDDEADM_INTEGRATION', 'Integration');
DEFINE ('_UDDEADM_EMAIL', 'E-mail');
DEFINE ('_UDDEADM_SHOWCBLINK_HEAD', 'Show CB links');
DEFINE ('_UDDEADM_SHOWCBLINK_EXP', 'When set to <i>yes</i>, all usernames showing up in uddeIM will be displayed as links to their Community Builder profile.');
DEFINE ('_UDDEADM_SHOWCBPIC_HEAD', 'Show CB thumbnail');
DEFINE ('_UDDEADM_SHOWCBPIC_EXP', 'When set to <i>yes</i>, the thumbnail of the respective user will be displayed when reading a message (if (s)he has a picture in his/her Community Builder profile).');
DEFINE ('_UDDEADM_SHOWONLINE_HEAD', 'Show online status');
DEFINE ('_UDDEADM_SHOWONLINE_EXP', 'When set to <i>yes</i>, uddeIM displays every username with a small icon that informs whether this user is online or offline. You can set the icons in the Icons admin dialog.');
DEFINE ('_UDDEADM_ALLOWEMAILNOTIFY_HEAD', 'Allow e-mail notification');
DEFINE ('_UDDEADM_ALLOWEMAILNOTIFY_EXP', 'When set to <i>yes</i>, every user can choose whether (s)he wants to get an e-mail every time a new message arrives in his/her inbox.');
DEFINE ('_UDDEADM_EMAILWITHMESSAGE_HEAD', 'E-mail contains message');
DEFINE ('_UDDEADM_EMAILWITHMESSAGE_EXP', 'When set to <i>no</i>, this e-mail will only contain information about when and by whom the message was sent, but not the message itself.');
DEFINE ('_UDDEADM_LONGWAITINGEMAIL_HEAD', 'Forgetmenot e-mail');
DEFINE ('_UDDEADM_LONGWAITINGEMAIL_EXP', 'This feature sends - independent from his or her own settings - an e-mail to a user who has an unread message in the inbox for a very long time (set below). This setting is independent from the \'allow e-mail notification\' setting above. If you do not want to send out any e-mail messages ever, you have to turn off both.');
DEFINE ('_UDDEADM_LONGWAITINGDAYS_HEAD', 'Forgetmenot sent after day(s)');
DEFINE ('_UDDEADM_LONGWAITINGDAYS_EXP', 'If the forgetmenot feature (above) is set to <i>yes</i>, set here after how many days e-mail notifications about unread messages shall be dispatched.');
DEFINE ('_UDDEADM_FIRSTWORDSINBOX_HEAD', 'First characters list');
DEFINE ('_UDDEADM_FIRSTWORDSINBOX_EXP', 'You can set here how many characters of a message will be displayed in the inbox, outbox and trashcan.');
DEFINE ('_UDDEADM_MAXLENGTH_HEAD', 'Message maximum length');
DEFINE ('_UDDEADM_MAXLENGTH_EXP', 'Set here the maximum length of a message. It will automatically be truncated after this. Set to \'0\' to allow for messages of any length (not recommended).');
DEFINE ('_UDDEADM_YES', 'yes');
DEFINE ('_UDDEADM_NO', 'no');
DEFINE ('_UDDEADM_ADMINSONLY', 'admins only');
DEFINE ('_UDDEADM_SYSTEM', 'System');
DEFINE ('_UDDEADM_SYSM_USERNAME_HEAD', 'System messages username');
DEFINE ('_UDDEADM_SYSM_USERNAME_EXP', 'uddeIM supports system messages. They do not have a visible sender and users can\'t reply to them. Enter here the default username alias for system messages (for example <i>Support</i> or <i>Help desk</i> or <i>Community Master</i>)');
DEFINE ('_UDDEADM_ALLOWTOALL_HEAD', 'Allow admins to send general messages');
DEFINE ('_UDDEADM_ALLOWTOALL_EXP', 'uddeIM supports general messages. They are sent to every user on your system. Use them sparingly.');
DEFINE ('_UDDEADM_EMN_SENDERNAME_HEAD', 'E-mail sender name');
DEFINE ('_UDDEADM_EMN_SENDERNAME_EXP', 'Enter the name from which e-mail-notifications come from (for example <i>YOURSITENAME</i>)');
DEFINE ('_UDDEADM_EMN_SENDERMAIL_HEAD', 'E-mail sender address');
DEFINE ('_UDDEADM_EMN_SENDERMAIL_EXP', 'Enter the e-mail-address from which e-mail-notifications are sent from (this should be the main contact e-mail-address of your site.');
DEFINE ('_UDDEADM_VERSION', 'uddeIM version');
DEFINE ('_UDDEADM_ARCHIVE', 'Archive'); // translators info: headline for Archive system
DEFINE ('_UDDEADM_ALLOWARCHIVE_HEAD', 'Enable archive');
DEFINE ('_UDDEADM_ALLOWARCHIVE_EXP', 'Choose whether users shall be allowed to store messages in an archive. Messages in archive will not be deleted.');
DEFINE ('_UDDEADM_MAXARCHIVE_HEAD', 'Max messages in user archive');
DEFINE ('_UDDEADM_MAXARCHIVE_EXP', 'Set how many messages every user may store in the archive (no limit for admins).');
DEFINE ('_UDDEADM_COPYTOME_HEAD', 'Allow self copies');
DEFINE ('_UDDEADM_COPYTOME_EXP', 'Allows users to receive copies of messages they are sending. These copies will appear in the inbox.');
DEFINE ('_UDDEADM_MESSAGES', 'Messages');
DEFINE ('_UDDEADM_TRASHORIGINAL_HEAD', 'Suggest to trash original');
DEFINE ('_UDDEADM_TRASHORIGINAL_EXP', 'When activated, this will put a checkbox next to the \'Send\' reply button called \'trash original\' that is checked by default. In this case, a message will immediately be moved from the inbox to trashcan when a reply has been sent. This function will keep the number of messages in the database small(er). Users can always uncheck the box if they want to keep a message in the inbox.');
	// translators info: 'Send' is the same as _UDDEIM_SUBMIT, 
	// and 'trash original' the same as _UDDEIM_TRASHORIGINAL
DEFINE ('_UDDEADM_PERPAGE_HEAD', 'Messages per page');	
DEFINE ('_UDDEADM_PERPAGE_EXP', 'Define here the number of messages displayed per page in inbox, outbox, trashcan and archive.');
DEFINE ('_UDDEADM_CHARSET_HEAD', 'Used charset');
DEFINE ('_UDDEADM_CHARSET_EXP', 'If you\'re experiencing problems with non-latin character sets displayed, you can enter the charset uddeIM uses to convert database output to HTML code here. <b>If you don\'t know what that means, do not change the default value!</b>');
DEFINE ('_UDDEADM_MAILCHARSET_HEAD', 'Used mail charset');
DEFINE ('_UDDEADM_MAILCHARSET_EXP', 'If you\'re experiencing problems with non-latin character sets displayed, you can enter the charset uddeIM uses to send outgoing e-mails with. <b>If you don\'t know what that means, do not change the default value!</b>');
		// translators info: if you're translating into a language that uses a latin charset
		// (like English, Dutch, German, Swedish, Spanish, ... ) you might want to add a line
		// saying 'For usage in [mylanguage] the default value is correct.'
DEFINE ('_UDDEADM_EMN_BODY_NOMESSAGE_EXP', 'This is the content of the e-mail users will receive when the option is set above. The content of the message will not be in the e-mail. Keep the variables %you%, %user% and %site% intact. ');		
DEFINE ('_UDDEADM_EMN_BODY_WITHMESSAGE_EXP', 'This is the content of the e-mail users will receive when the option is set above. This e-mail will include the content of the message. Keep the variables %you%, %user%, %pmessage% and %site% intact. ');		
DEFINE ('_UDDEADM_EMN_FORGETMENOT_EXP', 'This is the content of the forgetmenot e-mail users will receive when the option is set above. Keep the variables %you% and %site% intact. ');		
DEFINE ('_UDDEADM_ENABLEDOWNLOAD_EXP', 'Allow users to download messages from their archive by sending them as e-mail to themselves.');
DEFINE ('_UDDEADM_ENABLEDOWNLOAD_HEAD', 'Allow download');	
DEFINE ('_UDDEADM_EXPORT_FORMAT_EXP', 'This is the format of the e-mail users will receive when they download their own messages from the archive. Keep the variables %user%, %msgdate% and %msgbody% intact. ');	
		// translators info: Don't translate %you%, %user%, etc. in the strings above. 
DEFINE ('_UDDEADM_INBOXLIMIT_HEAD', 'Set inbox limit');		
DEFINE ('_UDDEADM_INBOXLIMIT_EXP', 'You can include the number of messages in the inbox into the maximum number of archived messages. In this case, the number of messages in inbox and archive in total must not exceed the number set above. Alternatively, you can set the inbox limit without an archive. In this case, users may have no more than the number of messages set above in their inboxes. If the number is reached, they will no longer be able to reply to messages or to compose new ones until they delete old messages from the inbox or archive respectively. (Users will still be able to receive messages and to read them.)');
DEFINE ('_UDDEADM_SHOWINBOXLIMIT_HEAD', 'Show limit usage at inbox');		
DEFINE ('_UDDEADM_SHOWINBOXLIMIT_EXP', 'Shows how many messages users have stored (and how many they are allowed to store) in a line below the inbox.');
DEFINE ('_UDDEADM_ARCHIVETOTRASH_INTRO', 'You have turned off the archive. How do you want to handle messages that are saved in the archive?');		
DEFINE ('_UDDEADM_ARCHIVETOTRASH_LEAVE_LINK', 'Leave them');		
DEFINE ('_UDDEADM_ARCHIVETOTRASH_LEAVE_EXP', 'Leave them in the archive (user will not be able to access them and they will still count against message limits).');		
DEFINE ('_UDDEADM_ARCHIVETOTRASH_INBOX_LINK', 'Move to inbox');		
DEFINE ('_UDDEADM_ARCHIVETOTRASH_INBOX_DONE', 'Archived messages moved to inboxes');
DEFINE ('_UDDEADM_ARCHIVETOTRASH_INBOX_EXP', 'Messages will be moved to the inbox of the respective user (or to trash if they are older than allowed in the inbox).');		

		
// 0.4 frontend, but visible admins only (no translation necessary)		

DEFINE ('_UDDEIM_SEND_ASSYSM', 'send as system message (=recipients can\'t reply)');
DEFINE ('_UDDEIM_SEND_TOALL', 'send to all users');
DEFINE ('_UDDEIM_SEND_TOALLADMINS', 'send to all admins');
DEFINE ('_UDDEIM_SEND_TOALLLOGGED', 'send to all online users');
DEFINE ('_UDDEIM_VALIDFOR_1', 'valid for ');
DEFINE ('_UDDEIM_VALIDFOR_2', ' hours. 0=forever (automatic deletions apply)');
DEFINE ('_UDDEIM_WRITE_SYSM_GM', '[Create system or general message]');
DEFINE ('_UDDEIM_WRITE_NORMAL', '[Create a normal (standard) message]');
DEFINE ('_UDDEIM_NOTALLOWED_SYSM_GM', 'System and general messages not allowed.');
DEFINE ('_UDDEIM_SYSGM_TYPE', 'Type of message');
DEFINE ('_UDDEIM_HELPON_SYSGM', 'Help on system messages');
DEFINE ('_UDDEIM_HELPON_SYSGM_2', '(opens in new window)');

DEFINE ('_UDDEIM_SYSGM_PLEASECONFIRM', 'You are about to send the message displayed below. Please review and confirm or cancel!');
DEFINE ('_UDDEIM_SYSGM_WILLSENDTOALL', 'Message to <strong>all users</strong>');
DEFINE ('_UDDEIM_SYSGM_WILLSENDTOALLADMINS', 'Message to <strong>all admins</strong>');
DEFINE ('_UDDEIM_SYSGM_WILLSENDTOALLLOGGED', 'Message to <strong>all currently logged in users</strong>');
DEFINE ('_UDDEIM_SYSGM_WILLDISABLEREPLY', 'Recipients will not be able to reply to this message.');
DEFINE ('_UDDEIM_SYSGM_WILLSENDAS_1', 'Message will be sent with <strong>');
DEFINE ('_UDDEIM_SYSGM_WILLSENDAS_2', '</strong> as username');

DEFINE ('_UDDEIM_SYSGM_WILLEXPIRE', 'Message will expire ');
DEFINE ('_UDDEIM_SYSGM_WILLNOTEXPIRE', 'Message will not expire');
DEFINE ('_UDDEIM_SYSGM_CHECKLINK', '<b>Check the link (by clicking on it) before proceeding!</b>');
DEFINE ('_UDDEIM_SYSGM_SHORTHELP', 'Usage <strong>in system messages only</strong>:<br> [b]<strong>bold</strong>[/b] [i]<em>italic</em>[/i]<br>
[url=http://www.someurl.com]some url[/url] or [url]http://www.someurl.com[/url] are links');
DEFINE ('_UDDEIM_SYSGM_ERRORNORECIPS', 'Error: No recipients found. Message not sent.');		
// new in 0.5 ADMIN

DEFINE ('_UDDEADM_TEMPLATEDIR_HEAD', 'uddeIM Template');
DEFINE ('_UDDEADM_TEMPLATEDIR_EXP', 'Choose the template you want uddeIM to use');
DEFINE ('_UDDEADM_SHOWCONNEX_HEAD', 'Show CB Connections');
DEFINE ('_UDDEADM_SHOWCONNEX_EXP', 'Use <i>yes</i> if you have Community Builder installed and want to present the user the name of his/her connections on the compose new message page.');
DEFINE ('_UDDEADM_SHOWSETTINGSLINK_HEAD', 'Show settings');
DEFINE ('_UDDEADM_SHOWSETTINGSLINK_EXP', 'The Settings link appears in uddeIM if you have the e-mail-notification or the blocking system activated. If you do not want this, you can turn it off here. ');
DEFINE ('_UDDEADM_SHOWSETTINGS_ATBOTTOM', 'yes, at bottom');
DEFINE ('_UDDEADM_ALLOWBB_HEAD', 'Allow BB codes');
DEFINE ('_UDDEADM_FONTFORMATONLY', 'font formats only');
DEFINE ('_UDDEADM_ALLOWBB_EXP', 'Use <i>font formats only</i> to allow users to use the bb codes for bold, italic, underline, font color and font size. When you set this option to <i>yes</i>, users are allowed to use <strong>all</strong> supported BB codes in their messages (even links and images).');
DEFINE ('_UDDEADM_ALLOWSMILE_HEAD', 'Allow Emoticons');
DEFINE ('_UDDEADM_ALLOWSMILE_EXP', 'When set to <i>yes</i>, emoticon codes like :-) are replaced with emoticon graphics in message display. See the readme file for a list of supported emoticons.');
DEFINE ('_UDDEADM_DISPLAY', 'Display');
DEFINE ('_UDDEADM_SHOWMENUICONS_HEAD', 'Show Menu Icons');
DEFINE ('_UDDEADM_SHOWMENUICONS_EXP', 'When set to <i>yes</i>, menu and action links will be displayed with an icon.');
DEFINE ('_UDDEADM_SHOWTITLE_HEAD', 'Component Title');
DEFINE ('_UDDEADM_SHOWTITLE_EXP', 'Enter the headline of the private messaging component, for example \'Private Messages\'. Leave empty if you do not want to display a headline.');
DEFINE ('_UDDEADM_SHOWABOUT_HEAD', 'Show About link');
DEFINE ('_UDDEADM_SHOWABOUT_EXP', 'Set to <i>yes</i> to show a link to the uddeIM software credits and license. This link will be placed at the bottom of the uddeIM HTML output.');
DEFINE ('_UDDEADM_STOPALLEMAIL_HEAD', 'Stop e-mail now');
DEFINE ('_UDDEADM_STOPALLEMAIL_EXP', 'Check this box to prevent uddeIM from sending out e-mails (e-mail-notifications and forgetmenot e-mails) irrespective of the users\' settings, for example when testing the site. If you do not want these features ever, set all options above to <i>no</i>.');
DEFINE ('_UDDEADM_ADMINIGNITIONONLY_MANUALLY', 'manually');
DEFINE ('_UDDEADM_GETPICLINK_HEAD', 'CB thumbnails in lists');
DEFINE ('_UDDEADM_GETPICLINK_EXP', 'Set to <i>yes</i> if you want to display the CB thumbnails of the users in the message lists overview (inbox, outbox, etc.)');		
		


?>