<?php
// *******************************************************************
// Title          uddeIM Instant Messages (uddeIM)
// Description    Instant Messages System for Mambo 4.5.X/Joomla 1.0.0/Joomla 1.0.0 
// Author         Benjamin Zweifel
// Version        0.5b build 4
// as of          2006/01/10
// Contact        uddeim@yahoo.com
// Copyright       by FMQ
// License        This is free software and you may redistribute it under the GPL.
//                uddeIM comes with absolutely no warranty. For details, see the license at
//                http://www.gnu.org/licenses/gpl.txt
//                YOU ARE NOT REQUIRED TO KEEP COPYRIGHT NOTICES IN
//                THE HTML OUTPUT OF THIS SCRIPT. YOU ARE NOT ALLOWED
//                TO REMOVE COPYRIGHT NOTICES FROM THE SOURCE CODE.
// *******************************************************************
// This script is part of the uddeIM component
// This is the administration script
// *******************************************************************

defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

$pathtome="components/com_uddeim";

// Get right language file or use english
if (file_exists($pathtome.'/language/'.$mosConfig_lang.'.php')) {
	include($pathtome.'/language/'.$mosConfig_lang.'.php');
	$usedlanguage=$mosConfig_lang;
} elseif (file_exists($pathtome.'/language/english.php')) {
	include($pathtome.'/language/english.php');
	$usedlanguage="english";
} 

$config_version="0.5b (build 4)";

// backwards compatibility
$config_emn_body_nomessage = "";
$config_emn_body_withmessage = "";
$config_emn_forgetmenot = "";
$config_export_format = "";

	
// switch according to task

switch ($task) {

	case "exipt":
	doExipt();
	break;

  case "settings":
    showSettings($option);
    break;

  case "savesettings":
	//get strings correctly escaped
		// $config_version=mosGetParam ($_POST, 'config_version');
		$ReadMessagesLivespan=mosGetParam ($_POST, 'ReadMessagesLivespan', 36524);
		$UnreadMessagesLivespan=mosGetParam ($_POST, 'UnreadMessagesLivespan', 36524);
		$TrashLivespan=mosGetParam ($_POST, 'TrashLivespan', 2);
		$datumsformat=mosGetParam ($_POST, 'datumsformat', 'j M, H:i');
		$ldatumsformat=mosGetParam ($_POST, 'ldatumsformat', 'j F Y, H:i');  
		$adminignitiononly=mosGetParam ($_POST, 'adminignitiononly', 1);  
		$uddeicons_onlinepic=mosGetParam ($_POST, 'uddeicons_onlinepic');
		$uddeicons_offlinepic=mosGetParam ($_POST, 'uddeicons_offlinepic');
		$uddeicons_readpic=mosGetParam ($_POST, 'uddeicons_readpic');
		$uddeicons_unreadpic=mosGetParam ($_POST, 'uddeicons_unreadpic');      
		$uddeicons_modulenewmess=mosGetParam ($_POST, 'uddeicons_modulenewmess');      
		$pmsimportdone=mosGetParam ($_POST, 'pmsimportdone');  
		$config_blockalert=mosGetParam ($_POST, 'config_blockalert', 0);  	
		$config_blocksystem=mosGetParam ($_POST, 'config_blocksystem', 0);  	
		$config_allowemailnotify=mosGetParam ($_POST, 'config_allowemailnotify', 0);   
		$config_allowsysgm=mosGetParam ($_POST, 'config_allowsysgm', 0);   
		$config_emailwithmessage=mosGetParam ($_POST, 'config_emailwithmessage', 0);   
		$config_emn_sendermail=mosGetParam ($_POST, 'config_emn_sendermail', 'webmaster');   
		$config_emn_sendername=quotestrip(mosGetParam ($_POST, 'config_emn_sendername', 'Messaging'));  
		$config_firstwordsinbox=mosGetParam ($_POST, 'config_firstwordsinbox', 34);   
		$config_firstwordsmodule=mosGetParam ($_POST, 'config_firstwordsmodule', 21);   
		$config_longwaitingdays=mosGetParam ($_POST, 'config_longwaitingdays', 75);   
		$config_longwaitingemail=mosGetParam ($_POST, 'config_longwaitingemail', 0);   
		$config_maxlength=mosGetParam ($_POST, 'config_maxlength', 1200);   
		$config_showcblink=mosGetParam ($_POST, 'config_showcblink', 0);   
		$config_showcbpic=mosGetParam ($_POST, 'config_showcbpic', 0);   
		$config_showonline=mosGetParam ($_POST, 'config_showonline', 1);   
		$config_sysm_username = htmlspecialchars(quotestrip(mosGetParam ($_POST,'config_sysm_username', 'System')),ENT_QUOTES);   	
		$config_allowarchive=mosGetParam ($_POST, 'config_allowarchive', 0);   
		$config_maxarchive=mosGetParam ($_POST, 'config_maxarchive', 500);  	
		$config_allowcopytome=mosGetParam ($_POST, 'config_allowcopytome', 0);  		
		$config_trashoriginal=mosGetParam ($_POST, 'config_trashoriginal', 1);  		
		$config_perpage=mosGetParam ($_POST, 'config_perpage', 8);  		
		$config_charset = mosGetParam($_POST,'config_charset');  	
		$config_mailcharset = mosGetParam($_POST,'config_mailcharset');  			
		$config_emn_body_nomessage = mosGetParam($_POST,'config_emn_body_nomessage', '');	
		$config_emn_body_withmessage = mosGetParam($_POST,'config_emn_body_withmessage', '');	
		$config_emn_forgetmenot = mosGetParam($_POST,'config_emn_forgetmenot', '');	
		$config_export_format = mosGetParam($_POST,'config_export_format', '');				
		$config_enabledownload=mosGetParam ($_POST, 'config_enabledownload', 0);	
		$config_userdirbox=mosGetParam ($_POST, 'config_userdirbox', 0);		
		$config_inboxlimit=mosGetParam ($_POST, 'config_inboxlimit', 0);		
		$config_showinboxlimit=mosGetParam ($_POST, 'config_showinboxlimit',0);				
		$config_heaven=mosGetParam ($_POST, 'config_heaven', ''); 
		$config_allowpopup=mosGetParam ($_POST, 'config_allowpopup', '');
		$config_allowbb=mosGetParam ($_POST, 'config_allowbb', 1);	
		$config_allowsmile=mosGetParam ($_POST, 'config_allowsmile', 1);		
		$config_showmenuicons=mosGetParam ($_POST, 'config_showmenuicons', 1);					
		$config_showtitle = quotecode(mosGetParam($_POST,'config_showtitle', ''));			
		$config_showconnex=mosGetParam ($_POST, 'config_showconnex', 0);			
		$config_showsettingslink=mosGetParam ($_POST, 'config_showsettingslink', 0);				
		$config_templatedir = mosGetParam($_POST,'config_templatedir');					
		$config_showabout=mosGetParam ($_POST, 'config_showabout', 0);				
		$config_emailtrafficenabled=mosGetParam ($_POST, 'config_emailtrafficenabled', 0);
		$config_getpiclink=mosGetParam ($_POST, 'config_getpiclink', 0);	
		$config_connex_listbox=mosGetParam ($_POST, 'config_connex_listbox', '0');	
		$config_forgetmenotstart=mosGetParam ($_POST, 'config_forgetmenotstart', '');		
		$config_setpopup=mosGetParam ($_POST, 'config_setpopup', 0);	
		$config_setsound=mosGetParam ($_POST, 'config_setsound', 0);	
		$config_quotedivider=mosGetParam ($_POST, 'config_quotedivider', '__________');		
		$config_realnames=mosGetParam ($_POST, 'config_realnames', '0');		
		$oldsetting_allowarchive=mosGetParam ($_POST, $oldsetting_allowarchive);
		$oldsetting_longwaitingemail= mosGetParam ($_POST, $oldsetting_longwaitingemail);
    saveSettings ($option, $ReadMessagesLivespan, $UnreadMessagesLivespan, $TrashLivespan, $datumsformat, $ldatumsformat, $adminignitiononly, $uddeicons_onlinepic, $uddeicons_offlinepic, $uddeicons_readpic, $uddeicons_unreadpic, $uddeicons_modulenewmess, $pmsimportdone, $config_blockalert, $config_blocksystem, $config_showcblink, $config_showcbpic, $config_showonline, $config_allowemailnotify, $config_emailwithmessage, $config_longwaitingemail, $config_longwaitingdays, $config_firstwordsinbox, $config_firstwordsmodule, $config_maxlength, $config_allowsysgm, $config_sysm_username, $config_emn_sendermail, $config_emn_sendername, $config_version, $config_allowarchive, $config_maxarchive, $config_allowcopytome, $config_trashoriginal, $config_perpage, $config_charset, $config_emn_body_nomessage, $config_emn_body_withmessage, $config_emn_forgetmenot, $config_export_format, $config_enabledownload, $config_userdirbox, $config_inboxlimit, $config_showinboxlimit, $oldsetting_allowarchive, $config_mailcharset, $config_allowpopup, $config_allowbb, $config_allowsmile, $config_showmenuicons, $config_showtitle, $config_showconnex, $config_showsettingslink, $config_templatedir, $config_showabout, $config_emailtrafficenabled, $config_emailtrafficenabled_checkbox, $config_getpiclink, $config_connex_listbox, $oldsetting_longwaitingemail, $config_forgetmenotstart, $config_setsound, $config_setpopup, $config_quotedivider, $config_realnames);
    break;
	
  case "cancel":
  	$redirecturl="index2.php";
	mosRedirect($redirecturl);
	
  case "importpms":
    importPMS($option);
	break;
	
  case "archivetotrash":
  	archivetoTrash($option, $archiveaction);
	break;	
	
  default:
    showSettings($option);
    break;	
	
}


function saveSettings ($option, $ReadMessagesLivespan, $UnreadMessagesLivespan, $TrashLivespan, $datumsformat, $ldatumsformat, $adminignitiononly, $uddeicons_onlinepic, $uddeicons_offlinepic, $uddeicons_readpic, $uddeicons_unreadpic, $uddeicons_modulenewmess, $pmsimportdone, $config_blockalert, $config_blocksystem, $config_showcblink, $config_showcbpic, $config_showonline, $config_allowemailnotify, $config_emailwithmessage, $config_longwaitingemail, $config_longwaitingdays, $config_firstwordsinbox, $config_firstwordsmodule, $config_maxlength, $config_allowsysgm, $config_sysm_username, $config_emn_sendermail, $config_emn_sendername, $config_version, $config_allowarchive, $config_maxarchive, $config_allowcopytome, $config_trashoriginal, $config_perpage, $config_charset, $config_emn_body_nomessage, $config_emn_body_withmessage, $config_emn_forgetmenot, $config_export_format, $config_enabledownload, $config_userdirbox, $config_inboxlimit, $config_showinboxlimit, $oldsetting_allowarchive, $config_mailcharset, $config_allowpopup, $config_allowbb, $config_allowsmile, $config_showmenuicons, $config_showtitle, $config_showconnex, $config_showsettingslink, $config_templatedir, $config_showabout, $config_emailtrafficenabled, $config_emailtrafficenabled_checkbox, $config_getpiclink, $config_connex_listbox, $oldsetting_longwaitingemail, $config_forgetmenotstart, $config_setsound, $config_setpopup, $config_quotedivider, $config_realnames) {

global $mosConfig_sitename;

if ($ReadMessagesLivespan>50000) { $ReadMessagesLivespan=50000; }
if ($UnreadMessagesLivespan>50000) { $UnreadMessagesLivespan=50000; }
if ($TrashLivespan>50000) { $TrashLivespan=50000; }
if ($config_maxarchive<10) { $config_maxarchive=10; }
if ($config_longwaitingdays<14) { $config_longwaitingdays=14; }

	if(!$config_charset) {
		$config_charset="ISO8859-1";
	}
	
	if(!$config_mailcharset) {
		$config_mailcharset="ISO8859-1";
	}

	if($config_emailtrafficenabled_checkbox) {
		$config_emailtrafficenabled=0;
	} else {
		$config_emailtrafficenabled=1;
	}
	
	if(!$config_sysm_username) {
		$config_sysm_username=$mosConfig_sitename;
	}
	
	if(($oldsetting_longwaitingemail != $config_longwaitingemail) && ($config_longwaitingemail=='1')) {
		$config_forgetmenotstart=time();
	}
	
	$configdatei = "components/com_uddeim/uddeim_config.php";
	@chmod ($configdatei, 0766);
	$writetofile = is_writable($configdatei);
	if (!$writetofile) {
    	echo "<b><span style='color: red;'>Critical Error: Failed to write to configuration file.</span></b>";
	    return;
	}
  
	$cf="<?php\n";
	$cf.="\$config_version = '".$config_version."';\n";   	
	$cf.="\$ReadMessagesLivespan = '".$ReadMessagesLivespan."';\n";
	$cf.="\$UnreadMessagesLivespan = '".$UnreadMessagesLivespan."';\n";
	$cf.="\$TrashLivespan = '".$TrashLivespan."';\n";
	$cf.="\$datumsformat = '".$datumsformat."';\n";
	$cf.="\$ldatumsformat = '".$ldatumsformat."';\n";  
	$cf.="\$adminignitiononly = '".$adminignitiononly."';\n";  
	$cf.="\$uddeicons_onlinepic = '".$uddeicons_onlinepic."';\n";
	$cf.="\$uddeicons_offlinepic = '".$uddeicons_offlinepic."';\n";
	$cf.="\$uddeicons_readpic = '".$uddeicons_readpic."';\n";
	$cf.="\$uddeicons_unreadpic = '".$uddeicons_unreadpic."';\n";      
	$cf.="\$uddeicons_modulenewmess = '".$uddeicons_modulenewmess."';\n";      
	$cf.="\$pmsimportdone = '".$pmsimportdone."';\n";  
	$cf.="\$config_blockalert = '".$config_blockalert."';\n";  	
	$cf.="\$config_blocksystem = '".$config_blocksystem."';\n";  	
	$cf.="\$config_allowemailnotify = '".$config_allowemailnotify."';\n";   
	$cf.="\$config_allowsysgm = '".$config_allowsysgm."';\n";   
	$cf.="\$config_emailwithmessage = '".$config_emailwithmessage."';\n";   
	$cf.="\$config_emn_sendermail = '".$config_emn_sendermail."';\n";   
	$cf.="\$config_emn_sendername = '".$config_emn_sendername."';\n";  
	$cf.="\$config_firstwordsinbox = '".$config_firstwordsinbox."';\n";   
	$cf.="\$config_firstwordsmodule = '".$config_firstwordsmodule."';\n";   
	$cf.="\$config_longwaitingdays = '".$config_longwaitingdays."';\n";   
	$cf.="\$config_longwaitingemail = '".$config_longwaitingemail."';\n";   
	$cf.="\$config_maxlength = '".$config_maxlength."';\n";   
	$cf.="\$config_showcblink = '".$config_showcblink."';\n";   
	$cf.="\$config_showcbpic = '".$config_showcbpic."';\n";   
	$cf.="\$config_showonline = '".$config_showonline."';\n";   
	$cf.="\$config_sysm_username = '".$config_sysm_username."';\n";   	
	$cf.="\$config_allowarchive = '".$config_allowarchive."';\n";   
	$cf.="\$config_maxarchive = '".$config_maxarchive."';\n";  	
	$cf.="\$config_allowcopytome = '".$config_allowcopytome."';\n";  		
	$cf.="\$config_trashoriginal = '".$config_trashoriginal."';\n";  		
	$cf.="\$config_perpage = '".$config_perpage."';\n";  		
	$cf.="\$config_charset = '".getCharsetalias($config_charset)."';\n";  	
	$cf.="\$config_mailcharset = '".getCharsetMailalias($config_mailcharset)."';\n";  			
	$cf.="\$config_emn_body_nomessage = '".$config_emn_body_nomessage."';\n";	
	$cf.="\$config_emn_body_withmessage = '".$config_emn_body_withmessage."';\n";	
	$cf.="\$config_emn_forgetmenot = '".$config_emn_forgetmenot."';\n";	
	$cf.="\$config_export_format = '".$config_export_format."';\n";				
	$cf.="\$config_enabledownload = '".$config_enabledownload."';\n";	
	$cf.="\$config_userdirbox = '".$config_userdirbox."';\n";		
	$cf.="\$config_inboxlimit = '".$config_inboxlimit."';\n";		
	$cf.="\$config_showinboxlimit = '".$config_showinboxlimit."';\n";				
	$cf.="\$config_heaven = '".$config_heaven."'; // do not touch!\n";					
	$cf.="\$config_allowpopup = '".$config_allowpopup."'; // do not touch!\n";			
	$cf.="\$config_allowbb = '".$config_allowbb."';\n";	
	$cf.="\$config_allowsmile = '".$config_allowsmile."';\n";		
	// $cf.="\$config_usesimpleboard = '".$config_usesimpleboard."';\n";		
	$cf.="\$config_showmenuicons = '".$config_showmenuicons."';\n";					
	$cf.="\$config_showtitle = '".$config_showtitle."';\n";			
	$cf.="\$config_showconnex = '".$config_showconnex."';\n";			
	$cf.="\$config_showsettingslink = '".$config_showsettingslink."';\n";				
	$cf.="\$config_templatedir = '".$config_templatedir."';\n";					
	$cf.="\$config_showabout = '".$config_showabout."';\n";				
	$cf.="\$config_emailtrafficenabled = '".$config_emailtrafficenabled."';\n";
	$cf.="\$config_getpiclink = '".$config_getpiclink."';\n";	
	$cf.="\$config_connex_listbox = '".$config_connex_listbox."';\n";	
	$cf.="\$config_forgetmenotstart = '".$config_forgetmenotstart."';\n";		
	$cf.="\$config_setpopup = '".$config_setpopup."';\n";	
	$cf.="\$config_setsound = '".$config_setsound."';\n";		
	$cf.="\$config_quotedivider = '".$config_quotedivider."';\n";		
	$cf.="\$config_realnames = '".$config_realnames."';\n";		
	$cf.="?>\n";

	if ($schreibkanal = fopen("$configdatei", "w")) {
    	fputs($schreibkanal, $cf, strlen($cf));
	    fclose ($schreibkanal);
	}

	if($oldsetting_allowarchive==1 && $config_allowarchive==0) {
		$mosmsg=_UDDEADM_SETTINGSSAVED;
		$redirecturl="index2.php?option=com_uddeim&task=archivetotrash";
		mosRedirect($redirecturl, $mosmsg); 
	}
	
	$mosmsg=_UDDEADM_SETTINGSSAVED;
	$redirecturl="index2.php?option=com_uddeim&task=settings";
	mosRedirect($redirecturl, $mosmsg); 
}


function importPMS ($option) {
	global $database;
	global $mosConfig_absolute_path;

	$sql="SELECT id, whofrom, username AS whoto, date, time, message, readstate FROM #__pms";
	$database->setQuery($sql);
	$allpms=$database->loadObjectList();

	echo _UDDEADM_IMPORTING;

	foreach($allpms as $thepms) {
		// convert the usernames saved in the PMS messages to user IDs as
		// uddeIM uses only the user ID to save a message for compatibility reasons
		$sql="SELECT id FROM #__users WHERE `username`='".$thepms->whofrom."'";
		$database->setQuery($sql);
		$fromid=$database->loadResult();
	
		$sql="SELECT id FROM #__users WHERE `username`='".$thepms->whoto."'";
		$database->setQuery($sql);
		$toid=$database->loadResult();
	
		// merge the PMS fields date and time into one single unix timestamp
		$totaldate=$thepms->date." ".$thepms->time;
		$unixdate=strtotime($totaldate);
	
		// debug
		// echo $thepms->whofrom."-".$thepms->whoto." | ".$toid."-".$fromid."<br>";
	
		$pmessage=$thepms->message;
		// remove "<br>" tags in pms message 
		// (uddeIM saves no BR tags and inserts them when reading from the database instead
		// of adding them before writing to database)
		// line breaks should be present in the message, that's why we just strip the BRs
		$pmessage=str_replace("<br />", "", $pmessage);
		$pmessage=str_replace("<br/>", "", $pmessage);
		$pmessage=str_replace("<br>", "", $pmessage);	
		
		// add slahes (but strip them first to avoid double slashes if they have already
		// been added)
		$pmessage=stripslashes($pmessage);
		$pmessage=addslashes($pmessage);	
	
		// strip any HTML that might have been saved into the PMS message
		$pmessage=strip_tags($pmessage);
	
		$totrash=0;
		$totrashdate="";
	
		$toread=$thepms->readstate;
	
		if($fromid && $toid && $pmessage) {
			$sql="INSERT INTO #__uddeim (fromid, toid, message, datum, toread) VALUES (".$fromid.", ".$toid.", '".$pmessage."', ".$unixdate.", ".$toread.")";
			$database->setQuery( $sql );
			if (!$database->query()) {
				die("SQL error" . $database->stderr(true));
			}	
		}
	}
	
	// now set the pmsimportdone variable in the config file to true
 		// read config
	require($mosConfig_absolute_path."/administrator/components/com_uddeim/uddeim_config.php");
		// change setting
		$pmsimportdone=1;
		// save config	
		$configdatei = "components/com_uddeim/uddeim_config.php";
	    @chmod ($configdatei, 0766);
	    $writetofile = is_writable($configdatei);
	    if (!$writetofile) {
	    	echo "<b><span style='color: red;'>Critical Error: Failed to write to configuration file.</span></b>";
	    	return;
		}
	$cf="<?php\n";
	$cf.="\$config_version = '".$config_version."';\n";   	
	$cf.="\$ReadMessagesLivespan = '".$ReadMessagesLivespan."';\n";
	$cf.="\$UnreadMessagesLivespan = '".$UnreadMessagesLivespan."';\n";
	$cf.="\$TrashLivespan = '".$TrashLivespan."';\n";
	$cf.="\$datumsformat = '".$datumsformat."';\n";
	$cf.="\$ldatumsformat = '".$ldatumsformat."';\n";  
	$cf.="\$adminignitiononly = '".$adminignitiononly."';\n";  
	$cf.="\$uddeicons_onlinepic = '".$uddeicons_onlinepic."';\n";
	$cf.="\$uddeicons_offlinepic = '".$uddeicons_offlinepic."';\n";
	$cf.="\$uddeicons_readpic = '".$uddeicons_readpic."';\n";
	$cf.="\$uddeicons_unreadpic = '".$uddeicons_unreadpic."';\n";      
	$cf.="\$uddeicons_modulenewmess = '".$uddeicons_modulenewmess."';\n";      
	$cf.="\$pmsimportdone = '".$pmsimportdone."';\n";  
	$cf.="\$config_blockalert = '".$config_blockalert."';\n";  	
	$cf.="\$config_blocksystem = '".$config_blocksystem."';\n";  	
	$cf.="\$config_allowemailnotify = '".$config_allowemailnotify."';\n";   
	$cf.="\$config_allowsysgm = '".$config_allowsysgm."';\n";   
	$cf.="\$config_emailwithmessage = '".$config_emailwithmessage."';\n";   
	$cf.="\$config_emn_sendermail = '".$config_emn_sendermail."';\n";   
	$cf.="\$config_emn_sendername = '".$config_emn_sendername."';\n";  
	$cf.="\$config_firstwordsinbox = '".$config_firstwordsinbox."';\n";   
	$cf.="\$config_firstwordsmodule = '".$config_firstwordsmodule."';\n";   
	$cf.="\$config_longwaitingdays = '".$config_longwaitingdays."';\n";   
	$cf.="\$config_longwaitingemail = '".$config_longwaitingemail."';\n";   
	$cf.="\$config_maxlength = '".$config_maxlength."';\n";   
	$cf.="\$config_showcblink = '".$config_showcblink."';\n";   
	$cf.="\$config_showcbpic = '".$config_showcbpic."';\n";   
	$cf.="\$config_showonline = '".$config_showonline."';\n";   
	$cf.="\$config_sysm_username = '".$config_sysm_username."';\n";   	
	$cf.="\$config_allowarchive = '".$config_allowarchive."';\n";   
	$cf.="\$config_maxarchive = '".$config_maxarchive."';\n";  	
	$cf.="\$config_allowcopytome = '".$config_allowcopytome."';\n";  		
	$cf.="\$config_trashoriginal = '".$config_trashoriginal."';\n";  		
	$cf.="\$config_perpage = '".$config_perpage."';\n";  		
	$cf.="\$config_charset = '".getCharsetalias($config_charset)."';\n";  		
	$cf.="\$config_mailcharset = '".getCharsetMailalias($config_mailcharset)."';\n";  				
	$cf.="\$config_emn_body_nomessage = '".$config_emn_body_nomessage."';\n";	
	$cf.="\$config_emn_body_withmessage = '".$config_emn_body_withmessage."';\n";	
	$cf.="\$config_emn_forgetmenot = '".$config_emn_forgetmenot."';\n";	
	$cf.="\$config_export_format = '".$config_export_format."';\n";				
	$cf.="\$config_enabledownload = '".$config_enabledownload."';\n";	
	$cf.="\$config_userdirbox = '".$config_userdirbox."';\n";				
	$cf.="\$config_inboxlimit = '".$config_inboxlimit."';\n";		
	$cf.="\$config_showinboxlimit = '".$config_showinboxlimit."';\n";				
	$cf.="\$config_heaven = '".$config_heaven."'; // do not touch!\n";		
	$cf.="\$config_allowpopup = '".$config_allowpopup."'; // do not touch!\n";		
	$cf.="\$config_allowbb = '".$config_allowbb."';\n";	
	$cf.="\$config_allowsmile = '".$config_allowsmile."';\n";		
	// $cf.="\$config_usesimpleboard = '".$config_usesimpleboard."';\n";			
	$cf.="\$config_showmenuicons = '".$config_showmenuicons."';\n";		
	$cf.="\$config_showtitle = '".$config_showtitle."';\n";				
	$cf.="\$config_showconnex = '".$config_showconnex."';\n";			
	$cf.="\$config_showsettingslink = '".$config_showsettingslink."';\n";				
	$cf.="\$config_templatedir = '".$config_templatedir."';\n";			
	$cf.="\$config_showabout = '".$config_showabout."';\n";				
	$cf.="\$config_emailtrafficenabled = '".$config_emailtrafficenabled."';\n";			
	$cf.="\$config_getpiclink = '".$config_getpiclink."';\n";		
	$cf.="\$config_connex_listbox = '".$config_connex_listbox."';\n";		
	$cf.="\$config_forgetmenotstart = '".$config_forgetmenotstart."';\n";		
	$cf.="\$config_setpopup = '".$config_setpopup."';\n";	
	$cf.="\$config_setsound = '".$config_setsound."';\n";		
	$cf.="\$config_quotedivider = '".$config_quotedivider."';\n";			
	$cf.="\$config_realnames = '".$config_realnames."';\n";			
	$cf.="?>\n";

		if ($schreibkanal = fopen("$configdatei", "w")) {
		    fputs($schreibkanal, $cf, strlen($cf));
		    fclose ($schreibkanal);
		}
		
	
	echo "<hr><p></p><h2>";
	echo _UDDEADM_IMPORTDONE;
	echo "</h2>";
	echo "<p><a href=index2.php?option=com_uddeim>"._UDDEADM_CONTINUE."</a></p>";
	
}


function showSettings($option) {
global $mosConfig_absolute_path, $database, $mosConfig_sitename, $usedlanguage;
 	require($mosConfig_absolute_path."/administrator/components/com_uddeim/uddeim_config.php");
	
	if(!$config_charset) {
		$config_charset="ISO8859-1";
	}
	
	if(!$config_mailcharset) {
		$config_mailcharset="ISO8859-1";
	}

	if(!$config_sysm_username) {
		$config_sysm_username=$mosConfig_sitename;
	}
	
	if(!$config_emn_body_nomessage) {
		$config_emn_body_nomessage=_UDDEIM_EMN_BODY_NOMESSAGE;
	}
	
	if(!$config_emn_body_withmessage) {
		$config_emn_body_withmessage=_UDDEIM_EMN_BODY_WITHMESSAGE;
	}
	
	if(!$config_emn_forgetmenot) {
		$config_emn_forgetmenot=_UDDEIM_EMN_FORGETMENOT;
	}	
	
	if(!$config_export_format) {
		$config_export_format=_UDDEIM_EXPORT_FORMAT;
	}		
	
	$oldsetting_allowarchive = $config_allowarchive;
	$oldsetting_longwaitingemail = $config_longwaitingemail;
	



	
?>
  <form action="index2.php" method="POST" name="adminForm">
  <input type="hidden" name="oldsetting_allowarchive" value="<?php echo $oldsetting_allowarchive; ?>">
  <input type="hidden" name="config_quotedivider" value="<?php echo $config_quotedivider; ?>">
//  <input type="hidden" name="config_realnames" value="<?php echo $config_realnames; ?>">  
  <input type="hidden" name="oldsetting_longwaitingemail" value="<?php echo $oldsetting_longwaitingemail; ?>">
  <input type="hidden" name="config_forgetmenotstart" value="<?php echo $config_forgetmenotstart; ?>">
  <input type="hidden" name="config_firstwordsmodule" value="<?php echo $config_firstwordsmodule; ?>">
//  <input type="hidden" name="config_connex_listbox" value="<?php echo $config_connex_listbox; ?>">
  <table cellpadding="4" cellspacing="0" border="0" width="100%">
  <tr>
    <td width="100%" class="sectionname">
      <h4><img align=middle style="display: inline;" src="images/inbox.png">&nbsp;<?php echo _UDDEADM_SETTINGS; ?></h4>
    </td>
  </tr>
  <?php if (file_exists("components/com_uddeim/exipt.php")) {   ?>
  <tr>
  	<td cellpadding=15>
		<a href="index2.php?option=com_uddeim&task=exipt"><strong>run exipt</strong></a><br>&nbsp;
	</td>
  </tr>
  <?php } ?>
  </table>

<?php	

	$tabs = new mosTabs( 0 );
	$tabs->startPane( "uddeim" );
	$tabs->startTab(_UDDEADM_MESSAGES,"messages-tab");
		?>
			<table width="100%" border="0" cellpadding="4" cellspacing="2" class="adminForm">
			    <tr align="center" valign="middle">
				    <td align="left" valign="top">
						<strong><?php echo _UDDEADM_MAXLENGTH_HEAD; ?></strong></td>
					<td align="left" valign="top">
						<input type="text" name="config_maxlength" size="4" value="<?php echo $config_maxlength; ?>">
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo _UDDEADM_MAXLENGTH_EXP; ?>
					</td>
			    </tr>		
			    <tr align="center" valign="middle">
				    <td align="left" valign="top">
						<strong><?php echo _UDDEADM_ALLOWBB_HEAD; ?></strong></td>
					<td align="left" valign="top">
				    	<?php
				        $valobb[] = mosHTML::makeOption( '2', _UDDEADM_YES );
				        $valobb[] = mosHTML::makeOption( '0', _UDDEADM_NO );
						$valobb[] = mosHTML::makeOption( '1', _UDDEADM_FONTFORMATONLY );
				        $list_valobb = mosHTML::selectList( $valobb, 'config_allowbb', 'class="inputbox" size="3"', 'value', 'text', $config_allowbb );
				        echo $list_valobb;
					    ?>
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo _UDDEADM_ALLOWBB_EXP; ?>
					</td>
			    </tr>
			    <tr align="center" valign="middle">
				    <td align="left" valign="top">
						<strong><?php echo _UDDEADM_ALLOWSMILE_HEAD; ?></strong></td>
					<td align="left" valign="top">
				    	<?php
				        $valos[] = mosHTML::makeOption( '1', _UDDEADM_YES );
				        $valos[] = mosHTML::makeOption( '0', _UDDEADM_NO );
				        $list_valos = mosHTML::selectList( $valos, 'config_allowsmile', 'class="inputbox" size="2"', 'value', 'text', $config_allowsmile );
				        echo $list_valos;
					    ?>
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo _UDDEADM_ALLOWSMILE_EXP; ?>
					</td>
			    </tr>								
  			    <tr align="center" valign="middle">
				    <td align="left" valign="top">
						<strong><?php echo _UDDEADM_TRASHORIGINAL_HEAD; ?></strong></td>
					<td align="left" valign="top">
				    	<?php
				        $tror[] = mosHTML::makeOption( '1', _UDDEADM_YES );
				        $tror[] = mosHTML::makeOption( '0', _UDDEADM_NO );
				        $list_tror = mosHTML::selectList( $tror, 'config_trashoriginal', 'class="inputbox" size="2"', 'value', 'text', $config_trashoriginal );
				        echo $list_tror;
					    ?>
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo _UDDEADM_TRASHORIGINAL_EXP; ?>
					</td>
			    </tr>							
			    <tr align="center" valign="middle">
				    <td align="left" valign="top">
						<strong><?php echo _UDDEADM_COPYTOME_HEAD; ?></strong></td>
					<td align="left" valign="top">
				    	<?php
				        $actm[] = mosHTML::makeOption( '1', _UDDEADM_YES );
				        $actm[] = mosHTML::makeOption( '0', _UDDEADM_NO );
				        $list_actm = mosHTML::selectList( $actm, 'config_allowcopytome', 'class="inputbox" size="2"', 'value', 'text', $config_allowcopytome );
				        echo $list_actm;
					    ?>
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo _UDDEADM_COPYTOME_EXP; ?>
					</td>
			    </tr>			



			    <tr align="center" valign="middle">
				    <td align="left" valign="top">
						<strong><?php echo _UDDEADM_NAMESTEXT; ?></strong></td>
					<td align="left" valign="top">
				    	<?php
				        $valrn[] = mosHTML::makeOption( '1', _UDDEADM_REALNAMES );
				        $valrn[] = mosHTML::makeOption( '0', _UDDEADM_USERNAMES );
				        $list_valrn = mosHTML::selectList( $valrn, 'config_realnames', 'class="inputbox" size="2"', 'value', 'text', $config_realnames );
				        echo $list_valrn;
					    ?>
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo _UDDEADM_NAMESDESC; ?>
					</td>
			    </tr>								

			    <tr align="center" valign="middle">
				    <td align="left" valign="top">
						<strong><?php echo _UDDEADM_CONLISTBOX; ?></strong></td>
					<td align="left" valign="top">
				    	<?php
				        $valclb[] = mosHTML::makeOption( '1', _UDDEADM_LISTBOX );
				        $valclb[] = mosHTML::makeOption( '0', _UDDEADM_TABLE );
				        $list_valclb = mosHTML::selectList( $valclb, 'config_connex_listbox', 'class="inputbox" size="2"', 'value', 'text', $config_connex_listbox );
				        echo $list_valclb;
					    ?>
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo _UDDEADM_CONLISTBOXDESC; ?>
					</td>
			    </tr>								








			</table>
<?php
	$tabs->endTab(_UDDEADM_MESSAGES,"messages-tab");			
	$tabs->startTab(_UDDEADM_DISPLAY,"display-tab");
		?>
			<table width="100%" border="0" cellpadding="4" cellspacing="2" class="adminForm">
			    <tr align="center" valign="middle">
				    <td align="left" valign="top">
						<strong><?php echo _UDDEADM_TEMPLATEDIR_HEAD; ?></strong></td>
					<td align="left" valign="top">
				    	<?php
	$tdirs = array();
	$dir=($mosConfig_absolute_path."/components/com_uddeim/templates");
 	if ($hd = opendir($dir)) {
	    while ($sz = readdir($hd)) { if (preg_match("/\./",$sz)==0) $tdirs[] = $sz; }
    	closedir($hd);
	}
    asort($tdirs);	

	foreach($tdirs as $tdir) {
		$lastdiradded=$tdir;
		$remodir[]=mosHTML::makeOption( $tdir, $tdir );
	}
	$list_remodir=mosHTML::selectList( $remodir, 'config_templatedir', 'class="inputbox" size="'.count($remodir).'"', 'value', 'text', $config_templatedir );	
	if(count($remodir)<2) { echo $lastdiradded; } else { echo $list_remodir; }
					    ?>
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo _UDDEADM_TEMPLATEDIR_EXP; ?>
					</td>
			    </tr>				
			    <tr align="center" valign="middle">
				    <td align="left" valign="top">
						<strong><?php echo _UDDEADM_SHOWTITLE_HEAD; ?></strong></td>
					<td align="left" valign="top">
						<input type="text" name="config_showtitle" size="30" value="<?php echo quotecode($config_showtitle); ?>"> 
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo _UDDEADM_SHOWTITLE_EXP; ?>
					</td>
			    </tr>					
			    <tr align="center" valign="middle">
				    <td align="left" valign="top">
						<strong><?php echo _UDDEADM_SHOWMENUICONS_HEAD; ?></strong></td>
					<td align="left" valign="top">
				    	<?php
				        $shmeic[] = mosHTML::makeOption( '1', _UDDEADM_YES );
				        $shmeic[] = mosHTML::makeOption( '0', _UDDEADM_NO );
				        $list_shmeic = mosHTML::selectList( $shmeic, 'config_showmenuicons', 'class="inputbox" size="2"', 'value', 'text', $config_showmenuicons );
				        echo $list_shmeic;
					    ?>
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo _UDDEADM_SHOWMENUICONS_EXP; ?>
					</td>
			    </tr>		
			    <tr align="center" valign="middle">
				    <td align="left" valign="top">
						<strong><?php echo _UDDEADM_SHOWSETTINGSLINK_HEAD; ?></strong></td>
					<td align="left" valign="top">
				    	<?php
				        $soseli[] = mosHTML::makeOption( '0', _UDDEADM_NO );
				        $soseli[] = mosHTML::makeOption( '1', _UDDEADM_YES );
				        $soseli[] = mosHTML::makeOption( '2', _UDDEADM_SHOWSETTINGS_ATBOTTOM );						
				        $list_soseli = mosHTML::selectList( $soseli, 'config_showsettingslink', 'class="inputbox" size="3"', 'value', 'text', $config_showsettingslink );
				        echo $list_soseli;
					    ?>
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo _UDDEADM_SHOWSETTINGSLINK_EXP; ?>
					</td>
			    </tr>		
			    <tr align="center" valign="middle">
				    <td align="left" valign="top">
						<strong><?php echo _UDDEADM_SHOWCONNEX_HEAD; ?></strong></td>
					<td align="left" valign="top">
				    	<?php
				        $socox[] = mosHTML::makeOption( '1', _UDDEADM_YES );
				        $socox[] = mosHTML::makeOption( '0', _UDDEADM_NO );
				        $list_socox = mosHTML::selectList( $socox, 'config_showconnex', 'class="inputbox" size="2"', 'value', 'text', $config_showconnex );
				        echo $list_socox;
					    ?>
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo _UDDEADM_SHOWCONNEX_EXP; ?>
					</td>
			    </tr>										
			    <tr align="center" valign="middle">
				    <td align="left" valign="top">
						<strong><?php echo _UDDEADM_FIRSTWORDSINBOX_HEAD; ?></strong></td>
					<td align="left" valign="top">
						<input type="text" name="config_firstwordsinbox" size="4" value="<?php echo $config_firstwordsinbox; ?>">
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo _UDDEADM_FIRSTWORDSINBOX_EXP; ?>
					</td>
			    </tr>
			    <tr align="center" valign="middle">
				    <td align="left" valign="top">
						<strong><?php echo _UDDEADM_PERPAGE_HEAD; ?></strong></td>
					<td align="left" valign="top">
						<input type="text" name="config_perpage" size="4" value="<?php echo $config_perpage; ?>">
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo _UDDEADM_PERPAGE_EXP; ?>
					</td>
			    </tr>
			    <tr align="center" valign="middle">
				    <td align="left" valign="top">
						<strong><?php echo _UDDEADM_SHOWABOUT_HEAD; ?></strong></td>
					<td align="left" valign="top">
				    	<?php
				        $shmabout[] = mosHTML::makeOption( '1', _UDDEADM_YES );
				        $shmabout[] = mosHTML::makeOption( '0', _UDDEADM_NO );
				        $list_shmabout = mosHTML::selectList( $shmabout, 'config_showabout', 'class="inputbox" size="2"', 'value', 'text', $config_showabout );
				        echo $list_shmabout;
					    ?>
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo _UDDEADM_SHOWABOUT_EXP; ?>
					</td>
			    </tr>						
			</table>
<?php
	$tabs->endTab(_UDDEADM_DISPLAY,"display-tab");			
	$tabs->startTab(_UDDEADM_DELETIONS,"delete-tab");
		?>
			<table width="100%" border="0" cellpadding="4" cellspacing="2" class="adminForm">
			    <tr align="center" valign="middle">
				    <td align="left" valign="top">
						<strong><?php echo _UDDEADM_DELETEREADAFTER_HEAD; ?></strong></td>
					<td align="left" valign="top">
						<input type="text" name="ReadMessagesLivespan" size="4" value="<?php echo $ReadMessagesLivespan; ?>"> <?php echo _UDDEADM_DAYS; ?>
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo _UDDEADM_DELETEREADAFTER_EXP; ?>
					</td>
			    </tr>
			    <tr align="center" valign="middle">
				    <td align="left" valign="top">
						<strong><?php echo _UDDEADM_DELETEUNREADAFTER_HEAD; ?></strong></td>
					<td align="left" valign="top">
						<input type="text" name="UnreadMessagesLivespan" size="4" value="<?php echo $UnreadMessagesLivespan; ?>"> <?php echo _UDDEADM_DAYS; ?>
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo _UDDEADM_DELETEUNREADAFTER_EXP; ?>
					</td>
			    </tr>				
			    <tr align="center" valign="middle">
				    <td align="left" valign="top">
						<strong><?php echo _UDDEADM_DELETETRASHAFTER_HEAD; ?></strong></td>
					<td align="left" valign="top">
						<input type="text" name="TrashLivespan" size="4" value="<?php echo $TrashLivespan; ?>"> <?php echo _UDDEADM_DAYS; ?>
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo _UDDEADM_DELETETRASHAFTER_EXP; ?>
					</td>
			    </tr>		
			</table>
<?php
	$tabs->endTab(_UDDEADM_DELETIONS,"delete-tab");			
	$tabs->startTab(_UDDEADM_INTEGRATION,"integration-tab");
		?>
			<table width="100%" border="0" cellpadding="4" cellspacing="2" class="adminForm">	
			    <tr align="center" valign="middle">
				    <td align="left" valign="top">
						<strong><?php echo _UDDEADM_SHOWONLINE_HEAD; ?></strong></td>
					<td align="left" valign="top">
				    	<?php
				        $cso[] = mosHTML::makeOption( '1', _UDDEADM_YES );
				        $cso[] = mosHTML::makeOption( '0', _UDDEADM_NO );
				        $list_cso = mosHTML::selectList( $cso, 'config_showonline', 'class="inputbox" size="2"', 'value', 'text', $config_showonline );
				        echo $list_cso;
					    ?>
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo _UDDEADM_SHOWONLINE_EXP; ?>
					</td>
			    </tr>						
			    <tr align="center" valign="middle">
				    <td align="left" valign="top">
						<strong><?php echo _UDDEADM_SHOWCBLINK_HEAD; ?></strong></td>
					<td align="left" valign="top">
				    	<?php
				        $cbl[] = mosHTML::makeOption( '1', _UDDEADM_YES );
				        $cbl[] = mosHTML::makeOption( '0', _UDDEADM_NO );
				        $list_cbl = mosHTML::selectList( $cbl, 'config_showcblink', 'class="inputbox" size="2"', 'value', 'text', $config_showcblink );
				        echo $list_cbl;
					    ?>
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo _UDDEADM_SHOWCBLINK_EXP; ?>
					</td>
			    </tr>		
			    <tr align="center" valign="middle">
				    <td align="left" valign="top">
						<strong><?php echo _UDDEADM_SHOWCBPIC_HEAD; ?></strong></td>
					<td align="left" valign="top">
				    	<?php
				        $cbp[] = mosHTML::makeOption( '1', _UDDEADM_YES );
				        $cbp[] = mosHTML::makeOption( '0', _UDDEADM_NO );
				        $list_cbp = mosHTML::selectList( $cbp, 'config_showcbpic', 'class="inputbox" size="2"', 'value', 'text', $config_showcbpic );
				        echo $list_cbp;
					    ?>
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo _UDDEADM_SHOWCBPIC_EXP; ?>
					</td>
			    </tr>		
			    <tr align="center" valign="middle">
				    <td align="left" valign="top">
						<strong><?php echo _UDDEADM_GETPICLINK_HEAD; ?></strong></td>
					<td align="left" valign="top">
				    	<?php
				        $cb_gpl[] = mosHTML::makeOption( '1', _UDDEADM_YES );
				        $cb_gpl[] = mosHTML::makeOption( '0', _UDDEADM_NO );
				        $list_cb_gpl = mosHTML::selectList( $cb_gpl, 'config_getpiclink', 'class="inputbox" size="2"', 'value', 'text', $config_getpiclink );
				        echo $list_cb_gpl;
					    ?>
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo _UDDEADM_GETPICLINK_EXP; ?>
					</td>
			    </tr>		
			
			<?php if (file_exists('../components/com_uddeim/userdirbox.php')) { ?>
			    <tr align="center" valign="middle">
				    <td align="left" valign="top">
						<strong><?php echo "User directory box"; ?></strong></td>
					<td align="left" valign="top">
				    	<?php
				        $udb[] = mosHTML::makeOption( '1', _UDDEADM_YES );
				        $udb[] = mosHTML::makeOption( '0', _UDDEADM_NO );
				        $list_udb = mosHTML::selectList( $udb, 'config_userdirbox', 'class="inputbox" size="2"', 'value', 'text', $config_userdirbox );
				        echo $list_udb;
					    ?>
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo "Enable user directory box if this plugin is installed"; ?>
					</td>
			<?php } ?>
			    </tr>																				
			</table>
<?php
	$tabs->endTab(_UDDEADM_INTEGRATION,"integration-tab");			
	$tabs->startTab(_UDDEADM_EMAIL,"email-tab");
		?>
			<table width="100%" border="0" cellpadding="4" cellspacing="2" class="adminForm">		
			    <tr align="center" valign="middle">
				    <td align="left" valign="top">
						<strong><?php echo _UDDEADM_ALLOWEMAILNOTIFY_HEAD; ?></strong></td>
					<td align="left" valign="top">
				    	<?php
				        $aen[] = mosHTML::makeOption( '1', _UDDEADM_YES );
						$aen[] = mosHTML::makeOption( '2', _UDDEADM_ADMINSONLY );
				        $aen[] = mosHTML::makeOption( '0', _UDDEADM_NO );
				        $list_aen = mosHTML::selectList( $aen, 'config_allowemailnotify', 'class="inputbox" size="3"', 'value', 'text', $config_allowemailnotify );
				        echo $list_aen;
					    ?>
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo _UDDEADM_ALLOWEMAILNOTIFY_EXP; ?>
					</td>
			    </tr>		
			    <tr align="center" valign="middle">
				    <td align="left" valign="top">
						<strong><?php echo _UDDEADM_EMAILWITHMESSAGE_HEAD; ?></strong></td>
					<td align="left" valign="top">
				    	<?php
				        $ewm[] = mosHTML::makeOption( '1', _UDDEADM_YES );
				        $ewm[] = mosHTML::makeOption( '0', _UDDEADM_NO );
				        $list_ewm = mosHTML::selectList( $ewm, 'config_emailwithmessage', 'class="inputbox" size="2"', 'value', 'text', $config_emailwithmessage );
				        echo $list_ewm;
					    ?>
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo _UDDEADM_EMAILWITHMESSAGE_EXP; ?>
					</td>
			    </tr>						
			    <tr align="center" valign="middle">
				    <td align="left" valign="top">
						<strong><?php echo _UDDEADM_LONGWAITINGEMAIL_HEAD; ?></strong></td>
					<td align="left" valign="top">
				    	<?php
				        $lwe[] = mosHTML::makeOption( '1', _UDDEADM_YES );
				        $lwe[] = mosHTML::makeOption( '0', _UDDEADM_NO );
				        $list_lwe = mosHTML::selectList( $lwe, 'config_longwaitingemail', 'class="inputbox" size="2"', 'value', 'text', $config_longwaitingemail );
				        echo $list_lwe;
					    ?>
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo _UDDEADM_LONGWAITINGEMAIL_EXP; ?>
					</td>
			    </tr>		
			    <tr align="center" valign="middle">
				    <td align="left" valign="top">
						<strong><?php echo _UDDEADM_LONGWAITINGDAYS_HEAD; ?></strong></td>
					<td align="left" valign="top">
						<input type="text" name="config_longwaitingdays" size="4" value="<?php echo $config_longwaitingdays; ?>"> <?php echo _UDDEADM_DAYS; ?>
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo _UDDEADM_LONGWAITINGDAYS_EXP; ?>
					</td>
			    </tr>			
			    <tr align="center" valign="middle">
				    <td align="left" valign="top">
						<strong><?php echo _UDDEADM_EMN_SENDERNAME_HEAD; ?></strong></td>
					<td align="left" valign="top">
						<input type="text" name="config_emn_sendername" size="10" value="<?php echo quotestrip($config_emn_sendername); ?>"> 
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo _UDDEADM_EMN_SENDERNAME_EXP; ?>
					</td>
			    </tr>	
			    <tr align="center" valign="middle">
				    <td align="left" valign="top">
						<strong><?php echo _UDDEADM_EMN_SENDERMAIL_HEAD; ?></strong></td>
					<td align="left" valign="top">
						<input type="text" name="config_emn_sendermail" size="10" value="<?php echo $config_emn_sendermail; ?>"> 
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo _UDDEADM_EMN_SENDERMAIL_EXP; ?>
					</td>
			    </tr>			
			    <tr align="center" valign="middle">
				    <td align="left" valign="top">
						<strong><?php echo _UDDEADM_STOPALLEMAIL_HEAD; ?></strong></td>
					<td align="left" valign="top">
						<input type="checkbox" name="config_emailtrafficenabled_checkbox" <?php if ($config_emailtrafficenabled!=1) { echo "CHECKED"; }?> value="1"> 
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo _UDDEADM_STOPALLEMAIL_EXP; ?>
					</td>
			    </tr>						
			    <!-- <tr align="center" valign="middle">
					<td align="left" valign="top" colspan=2>
						<textarea type="text" name="config_emn_body_nomessage" cols="50" rows="4"><?php echo $config_emn_body_nomessage; ?></textarea> 
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo _UDDEADM_EMN_BODY_NOMESSAGE_EXP; ?>
					</td>
			    </tr>			
			    <tr align="center" valign="middle">
					<td align="left" valign="top" colspan=2>
						<textarea type="text" name="config_emn_body_withmessage" cols="50" rows="4"><?php echo $config_emn_body_withmessage; ?></textarea> 
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo _UDDEADM_EMN_BODY_WITHMESSAGE_EXP; ?>
					</td>
			    </tr>		
			    <tr align="center" valign="middle">
					<td align="left" valign="top" colspan=2>
						<textarea type="text" name="config_emn_forgetmenot" cols="50" rows="4"><?php echo stripslashes($config_emn_forgetmenot); ?></textarea> 
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo _UDDEADM_EMN_FORGETMENOT_EXP; ?>
					</td>
			    </tr> -->																																		
			</table>
<?php
	$tabs->endTab(_UDDEADM_EMAIL,"email-tab");				
	$tabs->startTab(_UDDEADM_BLOCK,"block-tab");	
?>		
			<table width="100%" border="0" cellpadding="4" cellspacing="2" class="adminForm">
			    <tr align="center" valign="middle">
				    <td align="left" valign="top">
						<strong><?php echo _UDDEADM_BLOCKSYSTEM_HEAD; ?></strong></td>
					<td align="left" valign="top">
				    	<?php
				        $bs[] = mosHTML::makeOption( '1', _UDDEADM_BLOCKSYSTEM_YES );
				        $bs[] = mosHTML::makeOption( '0', _UDDEADM_BLOCKSYSTEM_NO );
				        $list_bs = mosHTML::selectList( $bs, 'config_blocksystem', 'class="inputbox" size="2"', 'value', 'text', $config_blocksystem );
				        echo $list_bs;
					    ?>
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo _UDDEADM_BLOCKSYSTEM_EXP; ?>
					</td>
			    </tr>								
			    <tr align="center" valign="middle">
				    <td align="left" valign="top">
						<strong><?php echo _UDDEADM_BLOCKALERT_HEAD; ?></strong></td>
					<td align="left" valign="top">
				    	<?php
				        $ba[] = mosHTML::makeOption( '1', _UDDEADM_BLOCKALERT_YES );
				        $ba[] = mosHTML::makeOption( '0', _UDDEADM_BLOCKALERT_NO );
				        $list_ba = mosHTML::selectList( $ba, 'config_blockalert', 'class="inputbox" size="2"', 'value', 'text', $config_blockalert );
				        echo $list_ba;
					    ?>
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo _UDDEADM_BLOCKALERT_EXP; ?>
					</td>
			    </tr>								
			</table>
<?php			
	$tabs->endTab(_UDDEADM_BLOCK,"block-tab");		
	$tabs->startTab(_UDDEADM_ARCHIVE,"archive-tab");	
?>
			<table width="100%" border="0" cellpadding="4" cellspacing="2" class="adminForm">
			    <tr align="center" valign="middle">
				    <td align="left" valign="top">
						<strong><?php echo _UDDEADM_ALLOWARCHIVE_HEAD; ?></strong></td>
					<td align="left" valign="top">
				    	<?php
				        $aarc[] = mosHTML::makeOption( '1', _UDDEADM_YES );
				        $aarc[] = mosHTML::makeOption( '0', _UDDEADM_NO );
				        $list_aarc = mosHTML::selectList( $aarc, 'config_allowarchive', 'class="inputbox" size="2"', 'value', 'text', $config_allowarchive );
				        echo $list_aarc;
					    ?>
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo _UDDEADM_ALLOWARCHIVE_EXP; ?>
					</td>
			    </tr>	
			    <tr align="center" valign="middle">
				    <td align="left" valign="top">
						<strong><?php echo _UDDEADM_MAXARCHIVE_HEAD; ?></strong></td>
					<td align="left" valign="top">
						<input type="text" name="config_maxarchive" size="4" value="<?php echo $config_maxarchive; ?>"> 
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo _UDDEADM_MAXARCHIVE_EXP; ?>
					</td>
			    </tr>	
			    <tr align="center" valign="middle">
				    <td align="left" valign="top">
						<strong><?php echo _UDDEADM_INBOXLIMIT_HEAD; ?></strong></td>
					<td align="left" valign="top">
				    	<?php
				        $iblt[] = mosHTML::makeOption( '1', _UDDEADM_YES );
				        $iblt[] = mosHTML::makeOption( '0', _UDDEADM_NO );
				        $list_iblt = mosHTML::selectList( $iblt, 'config_inboxlimit', 'class="inputbox" size="2"', 'value', 'text', $config_inboxlimit );
				        echo $list_iblt;
					    ?>
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo _UDDEADM_INBOXLIMIT_EXP; ?>
					</td>
			    </tr>					
			    <tr align="center" valign="middle">
				    <td align="left" valign="top">
						<strong><?php echo _UDDEADM_SHOWINBOXLIMIT_HEAD; ?></strong></td>
					<td align="left" valign="top">
				    	<?php
				        $siblt[] = mosHTML::makeOption( '1', _UDDEADM_YES );
				        $siblt[] = mosHTML::makeOption( '0', _UDDEADM_NO );
				        $list_siblt = mosHTML::selectList( $siblt, 'config_showinboxlimit', 'class="inputbox" size="2"', 'value', 'text', $config_showinboxlimit );
				        echo $list_siblt;
					    ?>
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo _UDDEADM_SHOWINBOXLIMIT_EXP; ?>
					</td>
			    </tr>					
				
			    <tr align="center" valign="middle">
				    <td align="left" valign="top">
						<strong><?php echo _UDDEADM_ENABLEDOWNLOAD_HEAD; ?></strong></td>
					<td align="left" valign="top">
				    	<?php
				        $endo[] = mosHTML::makeOption( '1', _UDDEADM_YES );
				        $endo[] = mosHTML::makeOption( '0', _UDDEADM_NO );
				        $list_endo = mosHTML::selectList( $endo, 'config_enabledownload', 'class="inputbox" size="2"', 'value', 'text', $config_enabledownload );
				        echo $list_endo;
					    ?>
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo _UDDEADM_ENABLEDOWNLOAD_EXP; ?>
					</td>
			    </tr>					
			    <!-- <tr align="center" valign="middle">
					<td align="left" valign="top" colspan=2>
						<textarea type="text" name="config_export_format" cols="60" rows="6"><?php echo $config_export_format; ?></textarea> 
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo _UDDEADM_EXPORT_FORMAT_EXP; ?>
					</td>
			    </tr> --> 				
			</table>
<?php	
	$tabs->endTab(_UDDEADM_ARCHIVE, "archive-tab");	
		
	$tabs->startTab(_UDDEADM_DATESETTINGS,"date-tab");			
?>
			<table width="100%" border="0" cellpadding="4" cellspacing="2" class="adminForm">
			    <tr align="center" valign="middle">
				    <td align="left" valign="top">
						<strong><?php echo _UDDEADM_DATEFORMAT_HEAD; ?></strong></td>
					<td align="left" valign="top">
				    	<?php
				        $df[] = mosHTML::makeOption( 'j. M H:i', '5. Aug 22:40' );
				        $df[] = mosHTML::makeOption( 'M j, H:i', 'Aug 5, 22:40' );
				        $df[] = mosHTML::makeOption( 'M j, h:i a', 'Aug 5, 10:40 pm' );						
				        $df[] = mosHTML::makeOption( 'j M, H:i', '5 Aug, 22:40' );
				        $df[] = mosHTML::makeOption( 'Y-m-d H:i', '2005-08-05 22:40' );						
				        $df[] = mosHTML::makeOption( 'm/d/y h:i a', '08/05/05 10:40 pm' );												
				        $list_df = mosHTML::selectList( $df, 'datumsformat', 'class="inputbox" size="3"', 'value', 'text', $datumsformat );
				        echo $list_df;
					    ?>
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo _UDDEADM_DATEFORMAT_EXP; ?>
					</td>
			    </tr>				
			    <tr align="center" valign="middle">
				    <td align="left" valign="top">
						<strong><?php echo _UDDEADM_LDATEFORMAT_HEAD; ?></strong></td>
					<td align="left" valign="top">
				    	<?php
				        $ldf[] = mosHTML::makeOption( 'j. F Y, H:i', '5. August 2005, 22:40' );
				        $ldf[] = mosHTML::makeOption( 'j. F H:i', '5. August 22:40' );
				        $ldf[] = mosHTML::makeOption( 'F j, Y - H:i', 'August 5, 2005 - 22:40' );
				        $ldf[] = mosHTML::makeOption( 'F j, Y - h:i a', 'August 5, 2005 - 10:40 pm' );						
				        $ldf[] = mosHTML::makeOption( 'j F Y, H:i', '5 August 2005, 22:40' );
				        $ldf[] = mosHTML::makeOption( 'j. M H:i', '5. Aug 22:40' );
				        $ldf[] = mosHTML::makeOption( 'M j, H:i', 'Aug 5, 22:40' );
				        $ldf[] = mosHTML::makeOption( 'M j, h:i a', 'Aug 5, 10:40 pm' );						
				        $ldf[] = mosHTML::makeOption( 'j M, H:i', '5 Aug, 22:40' );
				        $ldf[] = mosHTML::makeOption( 'Y-m-d H:i', '2005-08-05 22:40' );						
				        $ldf[] = mosHTML::makeOption( 'm/d/y h:i a', '08/05/05 10:40 pm' );		
						$ldf[] = mosHTML::makeOption( 'D, j. M - H:i', 'Tue, 5. Aug - 22:40' );
						$ldf[] = mosHTML::makeOption( 'D, j M - H:i', 'Tue, 5 Aug - 22:40' );
						$ldf[] = mosHTML::makeOption( 'D, M j - H:i', 'Tue, Aug 5 - 22:40' );										
						$ldf[] = mosHTML::makeOption( 'D, M j - h:i a', 'Tue, Aug 5 - 10:40 pm' );
						$ldf[] = mosHTML::makeOption( 'l, j. F - H:i', 'Tuesday, 5. August - 22:40' );	
						$ldf[] = mosHTML::makeOption( 'l, j. F Y - H:i', 'Tuesday, 5. August 2005 - 22:40' );							
						$ldf[] = mosHTML::makeOption( 'l, \d\e\n j F Y, H:i', 'Tuesday, den 5 August 2005, 22:40');
						$ldf[] = mosHTML::makeOption( 'l, \d\e\n j. F Y, H:i', 'Tuesday, den 5. August 2005, 22:40');
						$ldf[] = mosHTML::makeOption( 'l, F j - H:i', 'Tuesday, August 5 - 22:40' );
						$ldf[] = mosHTML::makeOption( 'l, F j, Y - H:i', 'Tuesday, August 5, 2005 - 22:40' );
						$ldf[] = mosHTML::makeOption( 'l, F j - h:i a', 'Tuesday, August 5 - 10:40 pm' );
				        $list_ldf = mosHTML::selectList( $ldf, 'ldatumsformat', 'class="inputbox" size="3"', 'value', 'text', $ldatumsformat );
				        echo $list_ldf;
					    ?>
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo _UDDEADM_LDATEFORMAT_EXP; ?>
					</td>
			    </tr>						
		
			</table>														
<?php
	$tabs->endTab(_UDDEADM_DATESETTINGS, "date-tab");
	$tabs->startTab(_UDDEADM_SYSTEM,"system-tab");	
?>
			<table width="100%" border="0" cellpadding="4" cellspacing="2" class="adminForm">
			    <tr align="center" valign="middle">
				    <td align="left" valign="top">
						<strong><?php echo _UDDEADM_ADMINIGNITIONONLY_HEAD; ?></strong></td>
					<td align="left" valign="top">
				    	<?php
				        $aio[] = mosHTML::makeOption( '1', _UDDEADM_ADMINIGNITIONONLY_YES );
				        $aio[] = mosHTML::makeOption( '0', _UDDEADM_ADMINIGNITIONONLY_NO );
						$aio[] = mosHTML::makeOption( '2', _UDDEADM_ADMINIGNITIONONLY_MANUALLY );
				        $list_aio = mosHTML::selectList( $aio, 'adminignitiononly', 'class="inputbox" size="3"', 'value', 'text', $adminignitiononly );
				        echo $list_aio;
					    ?>
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo _UDDEADM_ADMINIGNITIONONLY_EXP; ?>
					</td>
			    </tr>	
			    <tr align="center" valign="middle">
				    <td align="left" valign="top">
						<strong><?php echo _UDDEADM_ALLOWTOALL_HEAD; ?></strong></td>
					<td align="left" valign="top">
				    	<?php
				        $ata[] = mosHTML::makeOption( '1', _UDDEADM_BLOCKSYSTEM_YES );
				        $ata[] = mosHTML::makeOption( '0', _UDDEADM_BLOCKSYSTEM_NO );
				        $list_ata = mosHTML::selectList( $ata, 'config_allowsysgm', 'class="inputbox" size="2"', 'value', 'text', $config_allowsysgm );
				        echo $list_ata;
					    ?>
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo _UDDEADM_ALLOWTOALL_EXP; ?>
					</td>
			    </tr>	
			    <tr align="center" valign="middle">
				    <td align="left" valign="top">
						<strong><?php echo _UDDEADM_SYSM_USERNAME_HEAD; ?></strong></td>
					<td align="left" valign="top">
						<input type="text" name="config_sysm_username" size="30" value="<?php echo quotestrip($config_sysm_username); ?>"> 
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo _UDDEADM_SYSM_USERNAME_EXP; ?>
					</td>
			    </tr>	
			    <tr align="center" valign="middle">
				    <td align="left" valign="top">
						<strong><?php echo _UDDEADM_CHARSET_HEAD; ?></strong></td>
					<td align="left" valign="top">
						<input type="text" name="config_charset" size="12" value="<?php echo $config_charset; ?>"> 
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo _UDDEADM_CHARSET_EXP; ?>
					</td>
			    </tr>		
			    <tr align="center" valign="middle">
				    <td align="left" valign="top">
						<strong><?php echo _UDDEADM_MAILCHARSET_HEAD; ?></strong></td>
					<td align="left" valign="top">
						<input type="text" name="config_mailcharset" size="12" value="<?php echo $config_mailcharset; ?>"> 
					</td>
				    <td align="left" valign="top" width="50%">
						<?php echo _UDDEADM_MAILCHARSET_EXP; ?>
					</td>
			    </tr>						
			</table>				

<?php	
	$tabs->endTab(_UDDEADM_SYSTEM, "system-tab");	


		$sql="SELECT count(id) FROM #__pms";
		$database->setQuery($sql);
		$allpms=$database->loadResult(); 

if ($allpms>0 && !$pmsimportdone) { // PMS found
	$tabs->startTab(_UDDEADM_IMPORT,"import-tab");	
?>
			<table align="left" width="50%" border="0" cellpadding="4" cellspacing="2" class="adminForm">
			    <tr align="center" valign="middle">
				    <td align="left" valign="top">
						<h2><?php echo _UDDEADM_IMPORT_HEADER;?></h2>
					</td>
				</tr>
			    <tr align="center" valign="middle">				
				    <td align="left" valign="top">
<?php
						if ($allpms>0) { // PMS found
							if ($pmsimportdone) { // already imported
								echo "<p>";
								echo _UDDEADM_ALREADYIMPORTED;						
								echo "</p>";
							} else { // not imported yet							
								echo "<p>";
								echo _UDDEADM_PMSFOUND_1;
								echo $allpms;
								echo _UDDEADM_PMSFOUND_2;
								echo "</p><p>";
								echo _UDDEADM_IMPORT_EXP;
								echo "</p>";
							echo "<a href=index2.php?option=com_uddeim&task=importpms>"._UDDEADM_IMPORT_YES."</a><br>";
							// echo "<a href=index2.php?option=com_uddeim>"._UDDEADM_IMPORT_NO."</a>";
							}
						} else { // no PMS found
							echo "<p>"._UDDEADM_PMSNOTFOUND."</p>";
						}
?>
							<input type="hidden" name="pmsimportdone" value="<?php echo $pmsimportdone; ?>"> 
					</td>
				</tr>
			</table>
<?php	
	$tabs->endTab(_UDDEADM_IMPORT, "import-tab");	
}
	$tabs->startTab(_UDDEADM_ABOUT,"about-tab");
?>
			<table width="100%" border="0" cellpadding="4" cellspacing="2" class="adminForm">
			    <tr align="center" valign="middle">
				    <td align="left" valign="top">
						<h2>uddeIM</h2>
						<?php echo "<p><span style='color: red;'>"._UDDEADM_VERSION.": ".$config_version."</span></p>\n"; 
						// echo _UDDEADM_ABOUTTEXT; ?>
						<b>uddeIM Instant Messsages</b><br>
						Component for Joomla 1.0.x/Mambo 4.5.1<br>
						Benjamin Zweifel &copy; 2005-2006 FMQ<br>
						Language file: <?php echo $usedlanguage; ?>.php<br>
						This is free software and you may redistribute it under the GPL. uddeIM comes with absolutely no warranty. For details, see the license at <a href=http://www.gnu.org/licenses/gpl.txt>www.gnu.org/licenses/gpl.txt</a>.
						<input type="hidden" name="config_version" value="<?php echo $config_version; ?>">
					</td>
				</tr>
			</table>
<?php	
	$tabs->endTab(_UDDEADM_ABOUT, "about-tab");
	$tabs->endPane();
?>
	<input type="hidden" name="option" value="<?php echo $option; ?>">
	<input type="hidden" name="task" value="savesettings">
</form>
	
	<br clear=all><p>
	uddeIM <?php echo $config_version; ?> Personal messaging component for Mambo/Joomla<br>
	&copy; 2005 Benjamin Zweifel</p>
<?php	
}

function archivetoTrash($option, $archiveaction) {
	global $database;
	


	if($archiveaction=="inbox") {
		$rightnow=time();
		$sql="UPDATE #__uddeim SET archived=0 WHERE archived>0";
		$database->setQuery($sql);
		if (!$database->query()) {
			die("SQL error when attempting to delete a message" . $database->stderr(true));
		}	
		$mosmsg=_UDDEADM_ARCHIVETOTRASH_INBOX_DONE;
		$redirecturl="index2.php?option=com_uddeim";
		mosRedirect($redirecturl, $mosmsg);
	} else {
?>

	  <table cellpadding="4" cellspacing="0" border="0" width="100%">
	  	<tr>
    		<td width="100%" class="sectionname">
			      <h4><img align=middle style="display: inline;" src="images/inbox.png">&nbsp;<?php echo _UDDEADM_SETTINGS; ?></h4>
		    </td>
		</tr>
	  </table>

	  <table width="100%" border="0" cellpadding="4" cellspacing="2" class="adminForm">
		    <tr align="center" valign="middle">
			    <td align="left" valign="top">
						<?php
						echo "<p><b>"._UDDEADM_ARCHIVETOTRASH_INTRO."</b></p>";
						echo "<p>";
						echo "<a href='index2.php?option=com_uddeim&task=archivetotrash&archiveaction=inbox'>"._UDDEADM_ARCHIVETOTRASH_INBOX_LINK."</a><br>"._UDDEADM_ARCHIVETOTRASH_INBOX_EXP;
						echo "</p>";
						echo "<p>";
						echo "<a href='index2.php?option=com_uddeim'>"._UDDEADM_ARCHIVETOTRASH_LEAVE_LINK."</a><br>"._UDDEADM_ARCHIVETOTRASH_LEAVE_EXP;
						echo "</p>";
						?>
				</td>
			</tr>
	  </table>
<?php			
	}
}

function getCharsetalias($notalias)
{
	$notalias=strtoupper($notalias);
	
	switch ($notalias) {
		
		case "ISO-8859-1":
			$analias="ISO8859-1";
			break;
		case "ISO88591":
			$analias="ISO8859-1";
			break;
		case "ISO8859-1":
			$analias="ISO8859-1";
			break;
		case "ISO-8859-15":
			$analias="ISO8859-15";
			break;
		case "ISO8859-15":
			$analias="ISO8859-15";
			break;
		case "UTF-8":
			$analias="UTF-8";
			break;
		case "CP866":
			$analias="866";
			break;
		case "IBM866":
			$analias="866";
			break;
		case "866":
			$analias="866";
			break;
		case "CP1251":
			$analias="Windows-1251";
			break;
		case "WINDOWS-1251":
			$analias="Windows-1251";
			break;
		case "WINDOWS1251":
			$analias="Windows-1251";
			break;			
		case "WIN-1251":
			$analias="Windows-1251";
			break;
		case "1251":
			$analias="Windows-1251";
			break;
		case "CP1252":
			$analias="Windows-1252";
			break;
		case "WINDOWS-1252":
			$analias="Windows-1252";
			break;
		case "WINDOWS1252":
			$analias="Windows-1252";
			break;			
		case "1251":
			$analias="Windows-1251";
			break;
		case "KOI8-R":
			$analias="koi8r";
			break;
		case "KOI8R":
			$analias="koi8r";
			break;
		case "KOI8-RU":
			$analias="koi8r";
			break;
		case "BIG5":
			$analias="950";
			break;
		case "950":
			$analias="950";
			break;
		case "GB2312":
			$analias="936";
			break;
		case "936":
			$analias="936";
			break;
		case "BIG5-HKSCS":
			$analias="BIG5-HKSCS";
			break;
		case "SHIFT_JIS":
			$analias="SJIS";
			break;
		case "SJIS":
			$analias="932";
			break;
		case "932":
			$analias="932";
			break;
		case "EUC-JP":
			$analias="EUCJP";
			break;
		case "EUCJP":
			$analias="EUCJP";
			break;
		default:
			$analias="ISO8859-1";
			break;
	}
	
	return $analias;
}

function getCharsetMailalias($analias) {

	switch (strtoupper($analias)) {

		case "ISO8859-1":
			$notalias="ISO-8859-1";
			break;
		case "ISO88591":
			$notalias="ISO-8859-1";
			break;			
		case "ISO8859-15":
			$notalias="ISO-8859-15";
			break;
		case "ISO-8859-1":
			$notalias="ISO-8859-1";
			break;
		case "ISO-8859-15":
			$notalias="ISO-8859-15";
			break;			
		case "UTF-8":
			$notalias="UTF-8";
			break;
		case "IBM866":
			$notalias="ibm866";
			break;
		case "866":
			$notalias="ibm866";
			break;
		case "CP866":
			$notalias="ibm866";
			break;
		case "CP1251":
			$notalias="Windows-1251";
			break;
		case "WINDOWS-1251":
			$notalias="Windows-1251";
			break;
		case "WINDOWS1251":
			$notalias="Windows-1251";
			break;			
		case "WIN-1251":
			$notalias="Windows-1251";
			break;
		case "1251":
			$notalias="Windows-1251";
			break;
		case "CP1252":
			$notalias="Windows-1252";
			break;
		case "WINDOWS1252":
			$notalias="Windows-1252";
			break;			
		case "WINDOWS-1252":
			$notalias="Windows-1252";
			break;
		case "1252":
			$notalias="Windows-1252";
			break;
		case "KOI8-RU":
			$notalias="KOI8-R";
			break;
		case "KOI8R":
			$notalias="KOI8-R";
			break;
		case "KOI8-R":
			$notalias="KOI8-R";
			break;		
		case "BIG5":
			$notalias="Big5";
			break;		
		case "950":
			$notalias="Big5";
			break;
		case "GB2312":
			$notalias="GB2312";
			break;			
		case "936":
			$notalias="GB2312";
			break;
		case "BIG5-HKSCS":
			$notalias="BIG5-HKSCS";
			break;
		case "SJIS":
			$notalias="Shift_JIS";
			break;
		case "SHIFT_JIS":
			$notalias="Shift_JIS";
			break;			
		case "932":
			$notalias="Shift_JIS";
			break;
		case "EUC-JP":
			$notalias="EUC-JP";
			break;
		case "EUCJP":
			$notalias="EUC-JP";
			break;
	}

	if(!$notalias) {
		// $notalias="ISO-8859-1";
		$notalias=$analias;
	}
	return $notalias;
	
}

function doExipt() {
	global $option, $ReadMessagesLivespan, $UnreadMessagesLivespan, $TrashLivespan, $datumsformat, $ldatumsformat, $adminignitiononly, $uddeicons_onlinepic, $uddeicons_offlinepic, $uddeicons_readpic, $uddeicons_unreadpic, $uddeicons_modulenewmess, $pmsimportdone, $config_blockalert, $config_blocksystem, $config_showcblink, $config_showcbpic, $config_showonline, $config_allowemailnotify, $config_emailwithmessage, $config_longwaitingemail, $config_longwaitingdays, $config_firstwordsinbox, $config_firstwordsmodule, $config_maxlength, $config_allowsysgm, $config_sysm_username, $config_emn_sendermail, $config_emn_sendername, $config_version, $config_allowarchive, $config_maxarchive, $config_allowcopytome, $config_trashoriginal, $config_perpage, $config_charset, $config_emn_body_nomessage, $config_emn_body_withmessage, $config_emn_forgetmenot, $config_export_format, $config_enabledownload, $config_userdirbox, $config_inboxlimit, $config_showinboxlimit, $oldsetting_allowarchive, $config_mailcharset, $config_allowpopup, $config_allowbb, $config_allowsmile, $config_showmenuicons, $config_showtitle, $config_showconnex, $config_showsettingslink, $config_templatedir, $config_showabout, $config_emailtrafficenabled, $config_emailtrafficenabled_checkbox, $config_getpiclink, $config_connex_listbox, $oldsetting_longwaitingemail, $config_forgetmenotstart, $config_setsound, $config_setpopup, $config_realnames;

	if (file_exists("components/com_uddeim/exipt.php")) {
		include("components/com_uddeim/exipt.php");
	}
}

function quotecode($astring) {
	$astring=str_replace('\"', '', $astring);
	$astring=str_replace('\\\\', '\\', $astring);	
	$astring=str_replace('"', '', $astring);		
	return $astring;
}

function quotestrip($astring) {
	$astring=str_replace("\"", "", $astring);
	$astring=str_replace("'", "", $astring);	
	$astring=str_replace("\\", "", $astring);	
	return $astring;
}
?>