<?php
// *******************************************************************
// Title          udde Instant Messages (uddeIM)
// Description    Instant Messages System for Mambo 4.5.X/Joomla 1.0.0
// Author         Benjamin Zweifel
// Version        0.5b b4
// as of          2006/01/10
// Contact        uddeim@yahoo.com
// Copyright       by FMQ
// License        This is free software and you may redistribute it under the GPL.
//                uddeIM comes with absolutely no warranty. For details, see the license at
//                http://www.gnu.org/licenses/gpl.txt
//                YOU ARE NOT REQUIRED TO KEEP COPYRIGHT NOTICES IN
//                THE HTML OUTPUT OF THIS SCRIPT. YOU ARE NOT ALLOWED
//                TO REMOVE COPYRIGHT NOTICES FROM THE SOURCE CODE.
// *******************************************************************
// The is the include script with utility functions
// *******************************************************************

// Don't allow direct linking
  
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );





function markUnread($myself, $messageid, $returntask, $returnlimit, $returnlimitstart, $item_id) {
	global $database, $my;
	
	$sql="UPDATE #__uddeim SET toread=0, totrash=0 WHERE toid=".$my->id." AND archived<1 AND id=".$messageid;
	$database->setQuery($sql);
		if (!$database->query()) {
			die("SQL error when attempting to trash a message" . $database->stderr(true));
		}	
		
	if($returnlimit && $returnlimitstart) {
		$redirecturl="index.php?option=com_uddeim&task=inbox&Itemid=".$item_id;
	} else {
		$redirecturl="index.php?option=com_uddeim&task=inbox&Itemid=".$item_id."&limit=".$returnlimit."&limitstart=".$returnlimitstart;	
	}
	
	mosRedirect($redirecturl);
		
}







function markRead($myself, $messageid, $returntask, $returnlimit, $returnlimitstart, $item_id) {
	global $database, $my;
	
	$sql="UPDATE #__uddeim SET toread=1 WHERE toid=".$my->id." AND archived<1 AND id=".$messageid;
	$database->setQuery($sql);
		if (!$database->query()) {
			die("SQL error when attempting to trash a message" . $database->stderr(true));
		}	
		
	if($returnlimit && $returnlimitstart) {
		$redirecturl="index.php?option=com_uddeim&task=inbox&Itemid=".$item_id;
	} else {
		$redirecturl="index.php?option=com_uddeim&task=inbox&Itemid=".$item_id."&limit=".$returnlimit."&limitstart=".$returnlimitstart;	
	}
	
	mosRedirect($redirecturl);
		
}





function showUddeAbout($item_id, $versionstring) {
	global $config_showtitle;

	if($config_showtitle) {
		echo "<div class='contentheading'>".$config_showtitle."</div>";
	}
	
	// write the uddeim menu
	print_uddemenu('about', $item_id);
	
	echo "<div id='uddeim-bottomlines'>";
	echo "<p><b>uddeIM</b><br>Messaging Component for Mambo/Joomla</p>";
	echo "<p><b>Version</b><br>".$versionstring."</p>";
	echo "<p>Written by Benjamin Zweifel<br>&copy; 2005-2006 FMQ</p>";
	echo "<p>This is free software and you may redistribute it under the GPL.
uddeIM comes with absolutely no warranty. For details, see the license at
<a href='http://www.gnu.org/licenses/gpl.txt'>www.gnu.org/licenses/gpl.txt</a>. See the open source software code for additional credits and different licenses of code portions.</p>";
	echo "<p>For the latest uddeIM version, go to<br><a href='http://www.mamboforge.net/projects/uddeim'>www.mamboforge.net/projects/uddeim</a></p>";
	echo "</div>";
	
	echo "</div>\n<div id='uddeim-bottomborder'>".contentBottomborder('about', 'none')."</div>\n</div>\n<!-- uddeIM 0.5 output above -->\n";

}




function dispatchEMN($var_fromid, $var_toid, $var_message, $emn_option) {
	global $database;
	global $config_sysm_username, $config_emailwithmessage, $config_emn_sendermail, $config_emn_sendername, $config_charset, $config_mailcharset;
	global $mosConfig_sitename, $config_emailtrafficenabled, $config_realnames;
	
	// if e-mail traffic stopped, don't send.
	if(!$config_emailtrafficenabled>0) {
		return;
	}
	
	if($config_realnames) {
		$sql="SELECT name FROM #__users WHERE `id`=".$var_fromid;
	} else {
		$sql="SELECT username FROM #__users WHERE `id`=".$var_fromid;	
	}
	$database->setQuery($sql);
	$var_fromname=$database->loadResult();
	if (!$var_fromname) {
		$var_fromname=$config_sysm_username;
	}
	
	if($config_realnames) {
		$sql="SELECT name AS displayname, email FROM #__users WHERE `id`=".$var_toid;	
	} else {
		$sql="SELECT username AS displayname, email FROM #__users WHERE `id`=".$var_toid;
	}
	$database->setQuery($sql);
	$results=$database->loadObjectList();
	foreach($results as $result) {
		$var_toname=$result->displayname;
		$var_tomail=$result->email;
	}
	
	if(!$var_tomail) {
		return;
	}
	
	if($emn_option==1) {
		$var_body=_UDDEIM_EMN_FORGETMENOT;
		$var_body=str_replace("%you%", $var_toname, $var_body);
		$var_body=str_replace("%site%", $mosConfig_sitename, $var_body);
	} else {
		if($config_emailwithmessage) {
			$var_body=_UDDEIM_EMN_BODY_WITHMESSAGE;
			$var_body=str_replace("%you%", $var_toname, $var_body);
			$var_body=str_replace("%site%", $mosConfig_sitename, $var_body);	
			$var_body=str_replace("%user%", $var_fromname, $var_body);
			$var_body=str_replace("%pmessage%", $var_message, $var_body);	
		} else {
		$var_body=_UDDEIM_EMN_BODY_NOMESSAGE;
			$var_body=str_replace("%you%", $var_toname, $var_body);
			$var_body=str_replace("%site%", $mosConfig_sitename, $var_body);		
			$var_body=str_replace("%user%", $var_fromname, $var_body);			
		}
	}
	
	$subject=_UDDEIM_EMN_SUBJECT;
	$subject=str_replace("%site%", $mosConfig_sitename, $subject);

	$header  = "MIME-Version: 1.0\n";
	// $header .= "Content-type: text/plain; charset=iso-8859-1\n";
	$header .= "Content-type: text/plain; charset=".getCharsetname($config_mailcharset)."\n";
	$header .= "Organization: ".$mosConfig_sitename."\n";
	$header .= "Content-Transfer-encoding: 8bit\n";
	$header .= "From: \"".$config_emn_sendername."\" <".$config_emn_sendermail.">\n";
	$header .= "Reply-To: ".$config_emn_sendermail."\n";
	$header .= "Message-ID: <".md5(uniqid(uddetime()))."@{$_SERVER['SERVER_NAME']}>\n";
	$header .= "Return-Path: ".$config_emn_sendermail."\n";            
	$header .= "X-Priority: 3\n"; 
	$header .= "X-MSmail-Priority: Low\n"; 
            // $header .= "X-Mailer: PHP\r\n"; //hotmail and others dont like PHP mailer. --Microsoft Office Outlook, Build 11.0.5510
	$header .= "X-Mailer: Microsoft Office Outlook, Build 11.0.5510\n";
	$header .= "X-Sender: ".$config_emn_sendermail."\n";
            
	if(mail ($var_tomail,$subject,$var_body,$header)) {
		// set the remindersent status of this user to true
		$sql="SELECT count(id) FROM #__uddeim_emn WHERE userid=".$var_toid;
		$database->setQuery($sql);
		$exists=$database->loadResult();
		if($exists) {
			$sql="UPDATE #__uddeim_emn SET remindersent=".uddetime()." WHERE userid=".$var_toid;
			$database->setQuery($sql);
			if (!$database->query()) {
				die("SQL error" . $database->stderr(true));
			}	
		} else {
			$sql="INSERT INTO #__uddeim_emn (userid, status, remindersent) VALUES (".$var_toid.", 0, ".uddetime().")";
			$database->setQuery($sql);
			if (!$database->query()) {
				die("SQL error" . $database->stderr(true));
			} // end if database query
		} // end else
	} // end if mail
} // end function



function replyquoteMarkup($string) {
	global $config_quotedivider;
	if (stristr($string, $config_quotedivider)) {
		$msgparts=explode($config_quotedivider, $string, 2);
		if($msgparts[1]) {
			$string=$msgparts[0]."<div class='uddeim-replyquote'>".$config_quotedivider.$msgparts[1]."</div>";
		}
	}
	return $string;
}



function teaser($ofwhat, $howlong) {
	global $config_quotedivider;

	$msgparts=explode($config_quotedivider, $ofwhat, 2);

	$words=explode(" ", $msgparts[0]);
	$howmanywords=count($words);
	
	$x=0;
	if (!$howlong) { $howlong=33; }
	$trailstring="";
	if (strlen($msgparts[0])>$howlong) {
		$howlong=$howlong-3;
		$trailstring="...";
	}
	$construct="";
		// while ((strlen($construct)+strlen($words[$x]))<($howlong+1)):
		//		$construct.=" ".$words[$x];
		// $x++;
		// endwhile;
		if(strlen($words[0])>$howlong) {
			$construct=substr($words[0], 0, ($howlong-3));
		} else {
			for($x=0; $x < $howmanywords; $x++) {
				$posslen=strlen($construct)+strlen($words[$x]);
				if($posslen<=$howlong) {
					$construct.=" ".$words[$x];
				} else {
					break;
				}
			}
		}
	$construct.=$trailstring;
	$construct=ltrim($construct);
	if(empty($construct)) {
		$construct="...";
	}	
	
	return $construct;
}

function uddeDate($ofwhat) {
	global $datumsformat, $ldatumsformat, $udde_smon, $udde_lmon, $udde_sweekday, $udde_lweekday;

	$monat=trim(date('m', $ofwhat));
	$monat=doubleval($monat);
	$wochentag=trim(date('w', $ofwhat));

	$wert=date($datumsformat, $ofwhat);
	
	$ori_sweekday=date('D', $ofwhat);
	$ori_lweekday=date('l', $ofwhat);
	$ori_smonth=date('M', $ofwhat);
	$ori_lmonth=date('F', $ofwhat);

	if (strstr($datumsformat, "l")) {
		$wert=str_replace($ori_lweekday, $udde_lweekday[$wochentag], $wert);
	}
	if (strstr($datumsformat, "F")) {	
		$wert=str_replace($ori_lmonth, $udde_lmon[$monat], $wert);		
	}
	if (strstr($datumsformat, "D")) {	
		$wert=str_replace($ori_sweekday, $udde_sweekday[$wochentag], $wert);
	}
	if (strstr($datumsformat, "M")) {	
		$wert=str_replace($ori_smonth, $udde_smon[$monat], $wert);
	}

	return $wert;
	
}

function uddeLdate($ofwhat) {
	global $datumsformat, $ldatumsformat, $udde_smon, $udde_lmon, $udde_sweekday, $udde_lweekday;
	
	$monat=trim(date('m', $ofwhat));
	$monat=doubleval($monat);
	$wochentag=trim(date('w', $ofwhat));

	$wert=date($ldatumsformat, $ofwhat);
	
	$ori_sweekday=date('D', $ofwhat);
	$ori_lweekday=date('l', $ofwhat);
	$ori_smonth=date('M', $ofwhat);
	$ori_lmonth=date('F', $ofwhat);

	if (strstr($ldatumsformat, "l")) {
		$wert=str_replace($ori_lweekday, $udde_lweekday[$wochentag], $wert);
	}
	if (strstr($ldatumsformat, "F")) {	
		$wert=str_replace($ori_lmonth, $udde_lmon[$monat], $wert);		
	}
	if (strstr($ldatumsformat, "D")) {	
		$wert=str_replace($ori_sweekday, $udde_sweekday[$wochentag], $wert);
	}
	if (strstr($ldatumsformat, "M")) {	
		$wert=str_replace($ori_smonth, $udde_smon[$monat], $wert);
	}

	return $wert;
	
}

function getCharsetname($analias) {

	switch ($analias) {

		case "ISO8859-1":
			$notalias="ISO-8859-1";
			break;
		case "ISO8859-15":
			$notalias="ISO-8859-15";
			break;
		case "ISO-8859-1":
			$notalias="ISO-8859-1";
			break;
		case "ISO-8859-15":
			$notalias="ISO-8859-15";
			break;			
		case "UTF-8":
			$notalias="UTF-8";
			break;
		case "ibm866":
			$notalias="ibm866";
			break;
		case "866":
			$notalias="ibm866";
			break;
		case "cp866":
			$notalias="ibm866";
			break;
		case "cp1251":
			$notalias="Windows-1251";
			break;
		case "Windows-1251":
			$notalias="Windows-1251";
			break;
		case "win-1251":
			$notalias="Windows-1251";
			break;
		case "1251":
			$notalias="Windows-1251";
			break;
		case "cp1252":
			$notalias="Windows-1252";
			break;
		case "Windows-1252":
			$notalias="Windows-1252";
			break;
		case "1252":
			$notalias="Windows-1252";
			break;
		case "koi8-ru":
			$notalias="KOI8-R";
			break;
		case "koi8r":
			$notalias="KOI8-R";
			break;
		case "KOI8-R":
			$notalias="KOI8-R";
			break;		
		case "BIG5":
			$notalias="Big5";
			break;		
		case "Big5":
			$notalias="Big5";
			break;							
		case "950":
			$notalias="Big5";
			break;
		case "GB2312":
			$notalias="GB2312";
			break;			
		case "936":
			$notalias="GB2312";
			break;
		case "BIG5-HKSCS":
			$notalias="BIG5-HKSCS";
			break;
		case "SJIS":
			$notalias="Shift_JIS";
			break;
		case "Shift_JIS":
			$notalias="Shift_JIS";
			break;			
		case "932":
			$notalias="Shift_JIS";
			break;
		case "EUC-JP":
			$notalias="EUC-JP";
			break;
		case "EUCJP":
			$notalias="EUC-JP";
			break;
		default:
			$notalias=$analias;
			break;
	}

	if(!$notalias) {
		$notalias="ISO-8859-1";
	}
	return $notalias;
	
}

function print_uddemenu($uddeaction, $item_id) {
	global $config_showmenuicons;
	global $config_allowarchive;
	global $config_blocksystem;
	global $config_allowemailnotify;
	global $config_showsettingslink;
	global $config_templatedir;
	
	// write the uddeim menu
	// $config_allowemailnotify
	echo "\n\n<div id='uddeim-navbar2'>";
	echo "<ul>\n";

	if($uddeaction=="inbox") {
		echo "<li class='uddeim-activemenu'>";
		if($config_showmenuicons) {
			echo "<img src='components/com_uddeim/templates/".$config_templatedir."/images/menu_inbox.gif'>";
		}
		echo _UDDEIM_INBOX;
		echo "</li>\n";
	} else {
		echo "<li>";
		if($config_showmenuicons) {
			echo "<a href='index.php?option=com_uddeim&Itemid=".$item_id."'><img src='components/com_uddeim/templates/".$config_templatedir."/images/menu_inbox.gif' border='0' alt="._UDDEIM_INBOX."></a>";
		}
		echo "<a href='index.php?option=com_uddeim&Itemid=".$item_id."'>"._UDDEIM_INBOX."</a>";
		echo "</li>\n";
	}

	if($uddeaction=="outbox") {
		echo "<li class='uddeim-activemenu'>";
		if($config_showmenuicons) {
			echo "<img src='components/com_uddeim/templates/".$config_templatedir."/images/menu_outbox.gif'>";
		}
		echo _UDDEIM_OUTBOX;
		echo "</li>\n";
	} else {
		echo "<li>";
		if($config_showmenuicons) {
			echo "<a href='index.php?option=com_uddeim&task=outbox&Itemid=".$item_id."'><img src='components/com_uddeim/templates/".$config_templatedir."/images/menu_outbox.gif' border='0' alt="._UDDEIM_OUTBOX."></a>";
		}
		echo "<a href='index.php?option=com_uddeim&task=outbox&Itemid=".$item_id."'>"._UDDEIM_OUTBOX."</a>";
		echo "</li>\n";
	}	
	
	if($uddeaction=="trashcan") {
		echo "<li class='uddeim-activemenu'>";
		if($config_showmenuicons) {
			echo "<img src='components/com_uddeim/templates/".$config_templatedir."/images/menu_trashcan.gif'>";
		}
		echo _UDDEIM_TRASHCAN;
		echo "</li>\n";
	} else {
		echo "<li>";
		if($config_showmenuicons) {
			echo "<a href='index.php?option=com_uddeim&task=trashcan&Itemid=".$item_id."'><img src='components/com_uddeim/templates/".$config_templatedir."/images/menu_trashcan.gif' border='0' alt="._UDDEIM_TRASHCAN."></a>";
		}
		echo "<a href='index.php?option=com_uddeim&task=trashcan&Itemid=".$item_id."'>"._UDDEIM_TRASHCAN."</a>";
		echo "</li>\n";
	}		
	
	if($uddeaction=="archive") {
		echo "<li class='uddeim-activemenu'>";
		if($config_showmenuicons) {
			echo "<img src='components/com_uddeim/templates/".$config_templatedir."/images/menu_archive.gif'>";
		}
		echo _UDDEIM_ARCHIVE;
		echo "</li>\n";
	} else {
		if($config_allowarchive) {
			echo "<li>";
			if($config_showmenuicons) {
				echo "<a href='index.php?option=com_uddeim&task=archive&Itemid=".$item_id."'><img src='components/com_uddeim/templates/".$config_templatedir."/images/menu_archive.gif' border='0' alt="._UDDEIM_ARCHIVE."></a>";
			}
			echo "<a href='index.php?option=com_uddeim&task=archive&Itemid=".$item_id."'>"._UDDEIM_ARCHIVE."</a>";
			echo "</li>\n";
		}
	}	
	
	if($config_allowemailnotify==2) {
		global $my;
		global $database;
		$sql="SELECT gid FROM #__users WHERE id=".$my->id;
		$database->setQuery($sql);
		$my_gid=$database->loadResult();
	}
	
	if($uddeaction=="settings") {
		echo "<li class='uddeim-activemenu'>";
		if($config_showsettingslink==1) {
			if($config_showmenuicons) {
				echo "<img src='components/com_uddeim/templates/".$config_templatedir."/images/menu_settings.gif'>";
			}
			echo _UDDEIM_SETTINGS;
			echo "</li>\n";
		}
	} else { 
		// if((($config_allowemailnotify==1) || $config_blocksystem || ($config_allowemailnotify==2 && $my_gid>23)) && $config_showsettingslink==1) { // JACL support
		if((($config_allowemailnotify==1) || $config_blocksystem || ($config_allowemailnotify==2 && ($my_gid==24 || $my_gid==25))) && $config_showsettingslink==1) {
			echo "<li>";
			if($config_showmenuicons) {
				echo "<a href='index.php?option=com_uddeim&task=settings&Itemid=".$item_id."'><img src='components/com_uddeim/templates/".$config_templatedir."/images/menu_settings.gif' border='0' alt="._UDDEIM_SETTINGS."></a>";
			}
			echo "<a href='index.php?option=com_uddeim&task=settings&Itemid=".$item_id."'>"._UDDEIM_SETTINGS."</a>";
			echo "</li>\n";
		}
	}		
	
	if($uddeaction=="new") {
		echo "<li class='uddeim-activemenu'>";
		if($config_showmenuicons) {
			echo "<img src='components/com_uddeim/templates/".$config_templatedir."/images/menu_new.gif'>";
		}
		echo _UDDEIM_COMPOSE;
		echo "</li>\n";
	} else {
		echo "<li>";
		if($config_showmenuicons) {
			echo "<a href='index.php?option=com_uddeim&task=new&Itemid=".$item_id."'><img src='components/com_uddeim/templates/".$config_templatedir."/images/menu_new.gif' border='0' alt="._UDDEIM_COMPOSE."></a>";
		}
		echo "<a href='index.php?option=com_uddeim&task=new&Itemid=".$item_id."'>"._UDDEIM_COMPOSE."</a>";
		echo "</li>\n";
	}	
	
	echo "</ul>\n</div>\n<div id='uddeim-m'>";	
	
}

function uddetime() {
	global $mosConfig_offset;
	$rightnow=time()+($mosConfig_offset*3600); 
	return $rightnow;
}




function drawWriteform($item_id, $backto, $recipname, $pmessage, $messageid, $config_trashoriginal, $config_allowcopytome, $config_allowbb, $config_allowsmile, $config_showconnex, $dwf_isreply, $dwf_errorcode, $dwf_sysgm) {
	global $database, $my, $config_templatedir, $config_connex_listbox, $config_realnames;

	// possible values for dwf_errorcode:
	// 0 = no error
	// 1 = no error, show complete userlist
	// 2 = don't send to yourself
	// 3 = username not found
	
	// This functions expects values stripslashed
	
	echo "<div id='uddeim-writeform'>\n";
	if($dwf_sysgm) {
		echo '<form name="sendeform" method="post" action="index.php?option=com_uddeim&task=savesysgm&Itemid='.$item_id.'">';	
		echo "<p>";
		echo "<input type=checkbox checked name='sysgm_sys' value='1'>"._UDDEIM_SEND_ASSYSM;
		echo "</p>\n";
		echo "<p>";
		echo "<input type=radio name='sysgm_universe' value='sysgm_toall'>"._UDDEIM_SEND_TOALL;
		echo "<br />\n";
		echo "<input type=radio name='sysgm_universe' checked value='sysgm_toalladmins'>"._UDDEIM_SEND_TOALLADMINS;
		echo "<br />\n";
		echo "<input type=radio name='sysgm_universe' value='sysgm_toalllogged'>"._UDDEIM_SEND_TOALLLOGGED;
		echo "</p>\n";
		echo "<p>";
		echo _UDDEIM_VALIDFOR_1;
		echo "<input name='sysgm_validfor' type='text' size='4'>";
		echo _UDDEIM_VALIDFOR_2;
		echo "</p>\n";
		echo "<p>"._UDDEIM_SYSGM_SHORTHELP."</p>\n";
	} else {
		echo '<form name="sendeform" method="post" action="index.php?option=com_uddeim&task=save&Itemid='.$item_id.'">';
		echo "<input type=\"hidden\" name=\"sendeform_showallusers\" value=\"\">\n";
	}
	echo "\n";
	
	if($dwf_errorcode==0 && $backto) {
		echo '<input type="hidden" name="backto" value="'.$backto.'">';
		echo "\n";
	}
	
if(!$dwf_sysgm) {	
	if($dwf_isreply!=1) { // if this is NOT a reply
		if($dwf_errorcode==0 && $recipname) {
			echo "<a href=\"index.php?option=com_uddeim&task=new&Itemid=".$item_id."\">"._UDDEIM_TO."</a>";
		} else {
			echo _UDDEIM_TO;
		}	
		echo "<table cellspacing=0 cellpadding=0>";
		if($dwf_errorcode==0 && $recipname) {
			echo "<tr><td valign=top>";
			echo "<b>".$recipname."</b>";
			echo '<input type="hidden" name="to_name" value="'.$recipname.'">&nbsp;';		
			echo "</td></tr>";
		} else {
			echo "<tr><td valign=top>";		
			if($dwf_errorcode>1) { 
				$errorstyle='style="background-color: #ff0000;" ';
			} else {
				$errorstyle='';
			}
			echo '<input type="text" '.$errorstyle.'name="to_name" value="'.$recipname.'">&nbsp;';
			echo "</td><td valign=top align=right>\n";


		
			if($dwf_errorcode==0) {
				// link to drop down box with names of connected users		
				// echo "&nbsp;&nbsp;&nbsp;<a href='index.php?option=com_uddeim&Itemid=".$item_id."&task=new&showallusers=true'>"._UDDEIM_SHOWUSERS."</a>";
				echo "&nbsp;&nbsp;&nbsp;<a href=\"#\" onclick=\"javascript:document.sendeform.sendeform_showallusers.value='true'; document.sendeform.submit(); return false;\">"._UDDEIM_SHOWUSERS."</a>";
			} else { // now show all users
				if($config_realnames) {
					$sql="SELECT name AS displayname FROM #__users WHERE block<1 ORDER BY name";
				} else {
					$sql="SELECT username AS displayname FROM #__users WHERE block<1 ORDER BY username";				
				}
				$database->setQuery($sql);
				$rows=$database->loadObjectList();	
	
				$allnames="<select class=\"inputbox\" name=\"userlist\" size=1 onChange=\"javascript:document.sendeform.to_name.value=document.sendeform.userlist.value;\"> ";
					if(count($rows)<=2) {
						$allnames.="<option value=\"\" ";
						$allnames.=">&nbsp;</option>";						
					}
			    foreach ($rows as $row) {
					if($config_realnames) {
						$my_displayname=$my->name;
					} else {
						$my_displayname=$my->username;
					}
					if($row->displayname!=$my_displayname) {					
						$allnames.="<option value=\"".$row->displayname."\" ";
						$allnames.=">".$row->displayname."</option>";
					}
				}
				$allnames.="</select>";		
				// test debug
				echo $allnames;
			}

			echo "</td></tr>";			
			
			if($dwf_errorcode==3) {
				echo "<tr><td valign=left colspan=2>"._UDDEIM_NOSUCHUSER."</td></tr>";
			} elseif ($dwf_errorcode==2) {
				echo "<tr><td valign=left colspan=2>"._UDDEIM_NOTTOYOURSELF."</td></tr>";
			}			
			

			if($config_showconnex && !($recipname && $dwf_errorcode==0)) {
				// load connections

// The people have connections with me...
				if($config_realnames) {
					$sql="SELECT a.referenceid, a.memberid, b.id, b.name AS displayname FROM #__comprofiler_members AS a, #__users AS b WHERE a.memberid=".$my->id." AND b.id=a.referenceid ORDER BY b.name";
				} else {
					$sql="SELECT a.referenceid, a.memberid, b.id, b.username AS displayname FROM #__comprofiler_members AS a, #__users AS b WHERE a.memberid=".$my->id." AND b.id=a.referenceid ORDER BY b.username";
				}
				$database->setQuery($sql);
				$rows=$database->loadObjectList();	
				$somanyfriends=count($rows);

// I have connections with these people...
	if($config_realnames) {
		$sql = "SELECT m.referenceid,m.memberid,u.name as displayname,u.username, u.id FROM #__comprofiler_members AS m, #__users AS u "
		. "\n WHERE m.memberid=u.id AND m.referenceid=". $my->id .""
		. "\n ORDER BY u.name ";
	} else {
		$sql = "SELECT m.referenceid,m.memberid,u.name,u.username as displayname, u.id FROM #__comprofiler_members AS m, #__users AS u "
		. "\n WHERE m.memberid=u.id AND m.referenceid=". $my->id .""
		. "\n ORDER BY u.username ";
	}
	$database->setQuery($sql);
	$rows=$database->loadObjectList();	
	$somanyfriends=count($rows);


				if(!$somanyfriends) { // no friends found, maybe there are some in CBE?
					if (file_exists('administrator/components/com_comprofiler/enhanced_admin/enhanced_config.php')) {
					if($config_realnames) {
						$sql="SELECT a.buddyid, a.userid, b.id, b.name AS displayname FROM #__comprofiler_buddylist AS a, #__users AS b WHERE (((a.userid=".$my->id." AND b.id=a.buddyid) OR (a.buddyid=".$my->id." AND b.id=a.userid)) AND buddy='1') ORDER by b.name";
					} else {
						$sql="SELECT a.buddyid, a.userid, b.id, b.username AS displayname FROM #__comprofiler_buddylist AS a, #__users AS b WHERE (((a.userid=".$my->id." AND b.id=a.buddyid) OR (a.buddyid=".$my->id." AND b.id=a.userid)) AND buddy='1') ORDER by b.username";
					}
					$database->setQuery($sql);
					$rows=$database->loadObjectList();	
					$somanyfriends=count($rows);
					}
				}

				$mycons="<br><div id='uddeim-connectionlist'><b>"._UDDEIM_CONNECTIONS."</b><br>";


				if($config_connex_listbox) {
					$mycons.="<select onChange='javascript:document.sendeform.to_name.value=this.options[this.selectedIndex].value;' name='connexlistbox'>";
					if($somanyfriends==1) {
						// insert empty line
						$mycons.="<option>&nbsp;</option>";
					}
					foreach ($rows as $row) {
					$mycons.="<option>$row->displayname</option>";
					}		
					$mycons.="</select>";
				} else {
					foreach ($rows as $row) {
					$mycons.="<a href=\"#\" onClick=\"javascript:document.sendeform.to_name.value='".$row->displayname."'; return false;\">".$row->displayname."</a>&nbsp; ";
					}	
				}
				$mycons.="</div>";
				if ($somanyfriends>0) {
					echo "<tr><td colspan=2>".$mycons."</td></tr>";
				}
			}
		}
		echo "</table>";
		echo "<br />";		
	} else { // it IS a reply
		echo '<input type="hidden" name="to_id" value="'.$recipname.'">&nbsp;';	
		echo '<input type="hidden" name="messageid" value="'.$messageid.'">';
	}
}

	if($config_allowbb || $config_allowsmile) {
		
	// Most of the following/referenced javascript code is taken from phpBB
	// (C) 2001 The phpBB Group, for original code go to phpbb.com
	/*   This program is free software; you can redistribute it and/or modify
	 *   it under the terms of the GNU General Public License as published by
	 *   the Free Software Foundation; either version 2 of the License, or
	 *   (at your option) any later version.*/
	// Changed by Benjamin Zweifel for integration with uddeIM

		echo '<script language="JavaScript" type="text/javascript" src="components/com_uddeim/bbsmile.js">';
		echo "\n";
		echo '</script>';
		echo "\n";		
		?>		
		<div id='uddeim-bbemobox'>
        	<table border="0" cellspacing="4" cellpadding="0">
		<?php if ($config_allowbb) {?>		 
				<tr>
					<td><img alt="bold" src="components/com_uddeim/templates/<?php echo $config_templatedir; ?>/images/format_bold.gif" style="cursor: pointer;" accesskey="b" name="addbbcode0" onclick="bbstyle(0); return false;" title="<?php echo _UDDEIM_TOOLTIP_BOLD; ?>"/></td>
					<td><img alt="italic" src="components/com_uddeim/templates/<?php echo $config_templatedir; ?>/images/format_italic.gif" style="cursor: pointer;"  accesskey="i" name="addbbcode2" onclick="bbstyle(2); return false;"  title="<?php echo _UDDEIM_TOOLTIP_ITALIC; ?>"/></td>
					<td><img alt="underline" src="components/com_uddeim/templates/<?php echo $config_templatedir; ?>/images/format_underline.gif" style="cursor: pointer;"  accesskey="u" name="addbbcode4" onclick="bbstyle(4); return false;"  title="<?php echo _UDDEIM_TOOLTIP_UNDERLINE; ?>"/></td>
					<td>&nbsp;</td>
					<td><img alt="red" src="components/com_uddeim/templates/<?php echo $config_templatedir; ?>/images/format_red.gif" style="cursor: pointer;"  name="addbbcode6" onclick="bbstyle(6); return false;"  title="<?php echo _UDDEIM_TOOLTIP_COLORRED; ?>"/></td>
					<td><img alt="green" src="components/com_uddeim/templates/<?php echo $config_templatedir; ?>/images/format_green.gif" style="cursor: pointer;"  name="addbbcode8" onclick="bbstyle(8); return false;"  title="<?php echo _UDDEIM_TOOLTIP_COLORGREEN; ?>"/></td>
					<td><img alt="blue" src="components/com_uddeim/templates/<?php echo $config_templatedir; ?>/images/format_blue.gif" style="cursor: pointer;"  name="addbbcode10" onclick="bbstyle(10); return false;"  title="<?php echo _UDDEIM_TOOLTIP_COLORBLUE; ?>"/></td>
					<td>&nbsp;</td>
					<td><img alt="very small" src="components/com_uddeim/templates/<?php echo $config_templatedir; ?>/images/format_size1.gif" style="cursor: pointer;"  name="addbbcode12" onclick="bbstyle(12); return false;"  title="<?php echo _UDDEIM_TOOLTIP_FONTSIZE1; ?>"/></td>		
					<td><img alt="small" src="components/com_uddeim/templates/<?php echo $config_templatedir; ?>/images/format_size2.gif" style="cursor: pointer;"  name="addbbcode14" onclick="bbstyle(14); return false;" title="<?php echo _UDDEIM_TOOLTIP_FONTSIZE2; ?>"/></td>	
					<td><img alt="large" src="components/com_uddeim/templates/<?php echo $config_templatedir; ?>/images/format_size4.gif" style="cursor: pointer;"  name="addbbcode16" onclick="bbstyle(16); return false;" title="<?php echo _UDDEIM_TOOLTIP_FONTSIZE4; ?>"/></td>	
					<td><img alt="very large" src="components/com_uddeim/templates/<?php echo $config_templatedir; ?>/images/format_size5.gif" style="cursor: pointer;"  name="addbbcode18" onclick="bbstyle(18); return false;" title="<?php echo _UDDEIM_TOOLTIP_FONTSIZE5; ?>"/></td>	
		<?php 
		}
		if ($config_allowbb>1) {
		?>
					<td>&nbsp;</td>
					<td><img alt="image" src="components/com_uddeim/templates/<?php echo $config_templatedir; ?>/images/format_image.gif" style="cursor: pointer;"  name="addbbcode24" onclick="bbstyle(24); return false;" title="<?php echo _UDDEIM_TOOLTIP_IMAGE; ?>"/></td>		
					<td><img alt="web link" src="components/com_uddeim/templates/<?php echo $config_templatedir; ?>/images/format_link.gif" style="cursor: pointer;"  name="addbbcode26" onclick="bbstyle(26); return false;" title="<?php echo _UDDEIM_TOOLTIP_URL; ?>"/></td>	
		<?php 
		}
		if ($config_allowbb) {
		?>
					<td>&nbsp;</td>
					<td><img alt="close tags" src="components/com_uddeim/templates/<?php echo $config_templatedir; ?>/images/format_closeall.gif" style="cursor: pointer;"  onclick="bbstyle(-1); return false;" title="<?php echo _UDDEIM_TOOLTIP_CLOSEALLTAGS; ?>"/></td>		
				</tr>
		<?php 
		} 
		if ($config_allowsmile) {
		?>
        		<tr>
					<td><img  style="cursor: pointer;" onclick="javascript:emo(':) ');"  src="components/com_uddeim/templates/<?php echo $config_templatedir; ?>/images/emoticon_smile.gif" alt=":)" title=":)"></td>
					<td><img style="cursor: pointer;" onclick="javascript:emo(':( ');"  src="components/com_uddeim/templates/<?php echo $config_templatedir; ?>/images/emoticon_sad.gif" alt=":(" title=":("></td>
					<td><img style="cursor: pointer;" onclick="javascript:emo(':P ');"  src="components/com_uddeim/templates/<?php echo $config_templatedir; ?>/images/emoticon_tongue.gif" alt=":P" title=":P"></td>
					<td><img style="cursor: pointer;" onclick="javascript:emo(':x ');"  src="components/com_uddeim/templates/<?php echo $config_templatedir; ?>/images/emoticon_crossed.gif" alt=":x" title=":x"></td>
					<td><img style="cursor: pointer;" onclick="javascript:emo(':angry: ');"  src="components/com_uddeim/templates/<?php echo $config_templatedir; ?>/images/emoticon_angry.gif" alt=":angry:" title=":angry:"></td>
					<td><img style="cursor: pointer;" onclick="javascript:emo(':blush: ');"  src="components/com_uddeim/templates/<?php echo $config_templatedir; ?>/images/emoticon_blush.gif" alt=":blush:" title=":blush:"></td>
					<td><img style="cursor: pointer;" onclick="javascript:emo('B) ');"  src="components/com_uddeim/templates/<?php echo $config_templatedir; ?>/images/emoticon_cool.gif" alt="B)" title="B)"></td>
					<td><img style="cursor: pointer;" onclick="javascript:emo(':* ');"  src="components/com_uddeim/templates/<?php echo $config_templatedir; ?>/images/emoticon_heart.gif" alt=":*" title=":*"></td>					
					<td><img style="cursor: pointer;" onclick="javascript:emo(':kiss: ');"  src="components/com_uddeim/templates/<?php echo $config_templatedir; ?>/images/emoticon_kiss.gif" alt=":kiss:" title=":kiss:"></td>
					<td><img style="cursor: pointer;" onclick="javascript:emo(':laugh: ');"  src="components/com_uddeim/templates/<?php echo $config_templatedir; ?>/images/emoticon_laughing.gif" alt=":laugh:" title=":laugh:"></td>
					<td><img style="cursor: pointer;" onclick="javascript:emo(':ohmy: ');"  src="components/com_uddeim/templates/<?php echo $config_templatedir; ?>/images/emoticon_shocked.gif" alt=":ohmy:" title=":ohmy:"></td>
					<td><img style="cursor: pointer;" onclick="javascript:emo(';) ');"  src="components/com_uddeim/templates/<?php echo $config_templatedir; ?>/images/emoticon_wink.gif" alt=";)" title=";)"></td>
					<td><img style="cursor: pointer;" onclick="javascript:emo(':? ');"  src="components/com_uddeim/templates/<?php echo $config_templatedir; ?>/images/emoticon_wondering.gif" alt=":?" title=":?"></td>
				</tr>
		<?php } ?>
			</table>
		</div>
	<?php		
	}
	
	if($dwf_isreply==1) {
		echo _UDDEIM_REPLY;
	} else {
		echo _UDDEIM_MESSAGE;
	}
	echo "<br />";
	
	echo '<textarea name="pmessage" class="inputbox" rows=10 cols=60>'.$pmessage.'</textarea><br />';

	echo '<input type="submit" name="reply" class="button" value="'._UDDEIM_SUBMIT.'">';
	
	if(($config_trashoriginal && $dwf_isreply==1) || $config_allowcopytome) {
		echo '<span class="uddeim-sendoption">';
	}
	if($config_trashoriginal && $dwf_isreply==1) {
		echo '<input type="checkbox" checked name="tobedeleted">'._UDDEIM_TRASHORIGINAL;
	}
	if(($config_trashoriginal && $dwf_isreply==1) && $config_allowcopytome) {
		echo '&nbsp;';
	}	
	if($config_allowcopytome && !$dwf_sysgm) {
		echo '<input type="checkbox" name="copytome">'._UDDEIM_SENDCOPYTOME;
	}
	if(($config_trashoriginal && $dwf_isreply==1) || $config_allowcopytome) {
		echo '</span>';
	}	
	
	echo "</form>\n";
	echo "</div>\n"; // end of uddeim-writeform
		
}

function arrowReplace($shownav) {
	global $config_templatedir;
		if(file_exists('components/com_uddeim/templates/'.$config_templatedir.'/images/icon_end.gif')) {
			$shownav=str_replace("&gt;&gt;", "<img src='components/com_uddeim/templates/".$config_templatedir."/images/icon_end.gif' border='0'>", $shownav);
		}
		if(file_exists('components/com_uddeim/templates/'.$config_templatedir.'/images/icon_start.gif')) {
			$shownav=str_replace("&lt;&lt;", "<img src='components/com_uddeim/templates/".$config_templatedir."/images/icon_start.gif' border='0'>", $shownav);
		}	
		if(file_exists('components/com_uddeim/templates/'.$config_templatedir.'/images/icon_prev.gif')) {
			$shownav=str_replace("&lt;", "<img src='components/com_uddeim/templates/".$config_templatedir."/images/icon_prev.gif' border='0'>", $shownav);
		}	
		if(file_exists('components/com_uddeim/templates/'.$config_templatedir.'/images/icon_next.gif')) {
			$shownav=str_replace("&gt;", "<img src='components/com_uddeim/templates/".$config_templatedir."/images/icon_next.gif' border='0'>", $shownav);
		}		
	return $shownav;
}

function contentBottomborder($uddemenucontent, $messagetotal) {
	global $config_showsettingslink, $config_showabout, $config_allowemailnotify, $config_blocksystem;

	$zurueck="";

	if($config_allowemailnotify==2 && $config_showsettingslink==2 && $uddemenucontent!="settings") {
		global $my;
		global $database;
		$sql="SELECT gid FROM #__users WHERE id=".$my->id;
		$database->setQuery($sql);
		$my_gid=$database->loadResult();
	}

	// if((($config_allowemailnotify==1) || $config_blocksystem || ($config_allowemailnotify==2 && $my_gid>23)) && $config_showsettingslink==2  && $uddemenucontent!="settings") { // JACL support
	if((($config_allowemailnotify==1) || $config_blocksystem || ($config_allowemailnotify==2 && ($my_gid==24 || $my_gid==25))) && $config_showsettingslink==2  && $uddemenucontent!="settings") {
		$zurueck="<a href='index.php?option=com_uddeim&task=settings'>"._UDDEIM_SETTINGS."</a> ";
	}
	if($config_showabout && $uddemenucontent!="about") {
		$zurueck.="<a href='index.php?option=com_uddeim&task=about'>"._UDDEIM_ABOUT."</a> ";	
	}
	if($messagetotal && $messagetotal!='none') {
		$zurueck.="<span class='uddeim-limit-bb'>".$messagetotal."</span>";
	}
	return $zurueck;
}

function showStrings($adminpath, $mosConfig_lang) {
	if (file_exists($adminpath.'/language/'.$mosConfig_lang.'.php')) {
		$datei = $adminpath.'/language/'.$mosConfig_lang.'.php';
		$array = file($datei);
			for($x=0;$x<count($array);$x++){
			echo $array[$x];  
			echo "<br>";
		}
	}	
	echo "<div id='uddeim-bottomborder'></div>\n</div>\n<!-- uddeIM output above -->\n";		
}

?> 