<?php
// *******************************************************************
// Title          udde Instant Messages (uddeIM)
// Description    Instant Messages System for Mambo 4.5.X/Joomla 1.0.0
// Author         Benjamin Zweifel
// Version        0.5
// as of          2005/12/17
// Contact        uddeim@yahoo.com
// Copyright       by FMQ
// License        This is free software and you may redistribute it under the GPL.
//                uddeim comes with absolutely no warranty. For details, see the license at
//                http://www.gnu.org/licenses/gpl.txt
// *******************************************************************
// This script is part of the uddeIM component
// Danish Translation: Michael Jerndorff & Henrik Gregersen
// *******************************************************************

// New: 0.6+
DEFINE ('_UDDEADM_NAMESTEXT', 'Show realnames');
DEFINE ('_UDDEADM_NAMESDESC', 'Show realnames or usernames?');
DEFINE ('_UDDEADM_REALNAMES', 'Realnames');
DEFINE ('_UDDEADM_USERNAMES', 'Usernames');
DEFINE ('_UDDEADM_CONLISTBOX', 'Connections listbox');
DEFINE ('_UDDEADM_CONLISTBOXDESC', 'Show my connections in a listbox or in a table?');
DEFINE ('_UDDEADM_LISTBOX', 'Listbox');
DEFINE ('_UDDEADM_TABLE', 'Table');

DEFINE ('_UDDEIM_TRASHCAN_INFO_1', 'Beskeder bliver i papirkurven i ');
DEFINE ('_UDDEIM_TRASHCAN_INFO_2', ' timer f&oslash;r de slettes. Du kan kun se de f&oslash;rste ord af beskeden. For at l&aelig;se hele beskeden skal den f&oslash;rst genskabes.');
DEFINE ('_UDDEIM_RECALLEDMESSAGE_INFO', 'Denne besked er blevet tilbagekaldt. Den kan nu redigeres og gensendes.');
DEFINE ('_UDDEIM_COULDNOTRECALL', 'Beskeden kunne ikke tilbagekaldes (beskeden er muligvis allerede l&aelig;st eller slettet af modtager.)');
DEFINE ('_UDDEIM_CANTRESTORE', 'Genskabelse af besked fejlede. (Beskeden er muligvis automatisk blevet fjernet fra papirkurven.)');
DEFINE ('_UDDEIM_COULDNOTRESTORE', 'Genskabelse af besked fejlede.');
DEFINE ('_UDDEIM_DONTSEND', 'Send ikke');
DEFINE ('_UDDEIM_SENDAGAIN', 'Gensend');
DEFINE ('_UDDEIM_NOTLOGGEDIN', 'Du er ikke logget ind.');
DEFINE ('_UDDEIM_NOMESSAGES_INBOX', '<strong>Der er ingen beskeder i din indbakke.</strong>');
DEFINE ('_UDDEIM_NOMESSAGES_OUTBOX', '<strong>Der er ingen beskeder i din udbakke.</strong>');
DEFINE ('_UDDEIM_NOMESSAGES_TRASHCAN', '<strong>Der er ingen beskeder i din papirkurv.</strong>');
DEFINE ('_UDDEIM_INBOX', 'Indbakke');
DEFINE ('_UDDEIM_OUTBOX', 'Udbakke');
DEFINE ('_UDDEIM_TRASHCAN', 'Papirkurv');
DEFINE ('_UDDEIM_CREATE', 'Ny besked');
DEFINE ('_UDDEIM_UDDEIM', 'Private beskeder');
	// this is the headline/name of the component as it appears in Mambo

DEFINE ('_UDDEIM_READSTATUS', 'L&aelig;st');
	// as in 'this message has been "read"'

DEFINE ('_UDDEIM_FROM', 'fra');
DEFINE ('_UDDEIM_TO', 'til');
DEFINE ('_UDDEIM_OUTBOX_WARNING', 'Din udbakke indeholder alle beskeder du har afsendt, som endnu ikke er slettet. Du kan tilbagekalde en besked hvis den ikke er l&aelig;st af modtageren. En tilbagekaldt besked kan ikke l&aelig;ses af modtageren.');
DEFINE ('_UDDEIM_RECALL', 'tilbagekald');
DEFINE ('_UDDEIM_RECALLTHISMESSAGE', 'Tilbagekald denne besked');
DEFINE ('_UDDEIM_RESTORE', 'genskab');
DEFINE ('_UDDEIM_MESSAGE', 'Besked');
DEFINE ('_UDDEIM_DATE', 'Dato');
DEFINE ('_UDDEIM_DELETED', 'Slettet');
DEFINE ('_UDDEIM_DELETE', 'slet');
DEFINE ('_UDDEIM_DELETELINK', 'slet');
DEFINE ('_UDDEIM_MESSAGENOACCESS', 'Denne besked kan ikke vises. <br>Mulige &aring;rsager:<ul><li>Du har ikke rettigheder til at l&aelig;se denne besked</li><li>Beskeden er blevet slettet</li></ul>');
DEFINE ('_UDDEIM_YOUMOVEDTOTRASH', '<b>Du har flyttet denne besked til papirkurven.</b>');
DEFINE ('_UDDEIM_MESSAGEFROM', 'Besked fra ');
DEFINE ('_UDDEIM_MESSAGETO', 'Besked fra dig til ');
DEFINE ('_UDDEIM_REPLY', 'Svar');
DEFINE ('_UDDEIM_SUBMIT', 'Send');
DEFINE ('_UDDEIM_NOMESSAGE', 'Fejl: Beskeden er tom! Ingen besked er afsendt.');
DEFINE ('_UDDEIM_MESSAGE_REPLIEDTO', 'Svar sendt');
DEFINE ('_UDDEIM_MESSAGE_SENT', 'Besked sendt');
DEFINE ('_UDDEIM_MOVEDTOTRASH', ' og oprindelig besked er flyttet til papirkurven');
DEFINE ('_UDDEIM_NOSUCHUSER', 'Der findes ikke en bruger med dette brugernavn!');
DEFINE ('_UDDEIM_NOTTOYOURSELF', 'Det er ikke muligt at sende beskeder til sig selv!');
DEFINE ('_UDDEIM_PRUNELINK', 'Kun administrator: Fjern');
DEFINE ('_UDDEIM_BLOCKS', 'Blokeret');
DEFINE ('_UDDEIM_YOUAREBLOCKED', 'Ikke sendt (modtager har blokeret dig)');
DEFINE ('_UDDEIM_BLOCKNOW', 'bloker&nbsp;bruger');
DEFINE ('_UDDEIM_BLOCKS_EXP', 'Dette er en liste over brugere som du har blokeret. Disse brugere kan ikke sende private beskeder til dig.');
DEFINE ('_UDDEIM_NOBODYBLOCKED', 'Du har ikke blokeret nogle brugere.');
DEFINE ('_UDDEIM_YOUBLOCKED_PRE', 'Du har blokeret for ');
DEFINE ('_UDDEIM_YOUBLOCKED_POST', ' bruger(e).');
DEFINE ('_UDDEIM_UNBLOCKNOW', '[frigiv]');
DEFINE ('_UDDEIM_BLOCKALERT_EXP_ON', 'Hvis en blokeret bruger pr&oslash;ver at sende en besked til dig, vil afsender blive informeret om at man er blokeret og at beskeden ikke kan afsendes.');
DEFINE ('_UDDEIM_BLOCKALERT_EXP_OFF', 'En bruger kan ikke se hvis man er blokeret.');
DEFINE ('_UDDEIM_CANTBLOCKADMINS', 'Du kan ikke blokere administratorer.');
DEFINE ('_UDDEIM_BLOCKSDISABLED', 'Blokeringssystem er ikke aktiveret');
DEFINE ('_UDDEIM_CANTREPLY', 'Du kan ikke svare p&aring; denne besked.');
DEFINE ('_UDDEIM_EMNOFF', 'E-mail-notifikation er deaktiveret. ');
DEFINE ('_UDDEIM_EMNON', 'E-mail-notifikation er aktiveret. ');
DEFINE ('_UDDEIM_SETEMNON', '[aktiver]');
DEFINE ('_UDDEIM_SETEMNOFF', '[de-aktiver]');
DEFINE ('_UDDEIM_EMN_BODY_NOMESSAGE', 'Hej %you%,

%user% har sendt en privat besked p&aring; %site%.
Log ind p&aring; siden for at l&aelig;se beskeden!');
DEFINE ('_UDDEIM_EMN_BODY_WITHMESSAGE', 'Hej %you%,

%user% har sendt denne private besked p&aring; %site%.
Log ind for at svare!
__________________
%pmessage%
');
DEFINE ('_UDDEIM_EMN_FORGETMENOT', 'Hej %you%,

du har ul&aelig;ste beskeder p&aring; %site%.
Log ind for at l&aelig;se dem!
');
DEFINE ('_UDDEIM_EXPORT_FORMAT', '
===============================================================================%user% (%msgdate%)
----------------------------------------
%msgbody%
================================================================================');
DEFINE ('_UDDEIM_EMN_SUBJECT', 'Der er beskeder til dig p&aring; %site%');





DEFINE ('_UDDEIM_ARCHIVE_ERROR', 'Arkivering fejlede.');
DEFINE ('_UDDEIM_ARC_SAVED_NONE', '<strong>Du har ikke arkiveret nogle beskeder endnu.</strong>');
DEFINE ('_UDDEIM_ARC_SAVED_1', 'Du har arkiveret ');
DEFINE ('_UDDEIM_ARC_SAVED_2', ' beskeder');
DEFINE ('_UDDEIM_ARC_SAVED_ONE', 'Du har arkiveret en besked');
DEFINE ('_UDDEIM_ARC_SAVED_3', 'For at arkiverer beskeder, m&aring; du f&oslash;rst slette nogle andre.');
DEFINE ('_UDDEIM_ARC_CANSAVEMAX_1', 'Du kan h&oslash;jst arkivere ');
DEFINE ('_UDDEIM_ARC_CANSAVEMAX_2', ' beskeder.');

DEFINE ('_UDDEIM_INBOX_LIMIT_1', 'Du har ');
DEFINE ('_UDDEIM_INBOX_LIMIT_2', ' beskeder i');
DEFINE ('_UDDEIM_ARC_UNIVERSE_ARC', 'arkivet');
DEFINE ('_UDDEIM_ARC_UNIVERSE_INBOX', 'indbakke');
DEFINE ('_UDDEIM_ARC_UNIVERSE_BOTH', 'indbakke og arkiv');
	// The lines above are to make up a sentence like
	// "You have | 126 | messages in your | inbox and archive"

DEFINE ('_UDDEIM_INBOX_LIMIT_3', 'Det tilladte maksimum er ');
DEFINE ('_UDDEIM_INBOX_LIMIT_4', 'Du kan stadig modtage o l&aelig;se beskeder, men det er ikke muligt at svare p&aring; beskeder eller skrive nye bekseder f&oslash;r du sletter nogle beskeder.');
DEFINE ('_UDDEIM_SHOWINBOXLIMIT_1', 'Arkiverede beskeder: ');
DEFINE ('_UDDEIM_SHOWINBOXLIMIT_2', '(af maks. ');
	// don't add closing bracket

DEFINE ('_UDDEIM_MESSAGE_ARCHIVED', 'Besked arkiveret');
DEFINE ('_UDDEIM_STORE', 'arkiver');
	// translators info: as in: 'store this message in archive now'

DEFINE ('_UDDEIM_BACK', 'tilbage');

DEFINE ('_UDDEIM_TRASHCHECKED', 'slet markerede');
	// translators info: plural! (as in "delete checked" messages)

DEFINE ('_UDDEIM_SHOWALL', 'vis alle');
	// translators example "SHOW ALL messages"

DEFINE ('_UDDEIM_ARCHIVE', 'Arkiv');
	// should be same as _UDDEADM_ARCHIVE

DEFINE ('_UDDEIM_ARCHIVEFULL', 'Arkiv er fyldt. Besked ikke arkiveret.');

DEFINE ('_UDDEIM_NOMSGSELECTED', 'Ingen beskeder er valgt.');
DEFINE ('_UDDEIM_THISISACOPY', 'Kopi af besked afsendt til ');
DEFINE ('_UDDEIM_SENDCOPYTOME', 'kopi til dig selv');
	// as in 'send a "copy to me"' or cc: me

DEFINE ('_UDDEIM_SENDCOPYTOARCHIVE', 'kopi til arkiv');
DEFINE ('_UDDEIM_TRASHORIGINAL', 'slet original');

DEFINE ('_UDDEIM_MESSAGEDOWNLOAD', 'Hente beskeder');
DEFINE ('_UDDEIM_EXPORT_MAILED', 'E-mail med besked er sendt');
DEFINE ('_UDDEIM_EXPORT_NOW', 'send markeret til dig via e-mail');
	// as in "send the messages checked above by E-Mail to me"

DEFINE ('_UDDEIM_EXPORT_MAIL_INTRO', 'Denne e-mail inkluderer dine private beskeder.');
DEFINE ('_UDDEIM_EXPORT_COULDNOTSEND', 'Kunne ikke sende en e-mail med beskeder.');

DEFINE ('_UDDEIM_LIMITREACHED', 'Besked gr&aelig;nse! Ikke genskabt.');

DEFINE ('_UDDEIM_WRITEMSGTO', 'Skriv besked til ');
	// as in "write a message to" (a person)

// udde Module

DEFINE ('_UDDEMODULE_PRIVATEMESSAGES', 'Private beskeder');
DEFINE ('_UDDEMODULE_NONEW', 'ingen nye');
	// as in "no new" messages

DEFINE ('_UDDEMODULE_NEWMESSAGES', 'Nye beskeder: ');

// months and weeknames (please translate according
// to your language)

$udde_smon[1]="jan.";
$udde_smon[2]="feb.";
$udde_smon[3]="mar.";
$udde_smon[4]="apr.";
$udde_smon[5]="maj";
$udde_smon[6]="jun.";
$udde_smon[7]="jul.";
$udde_smon[8]="aug.";
$udde_smon[9]="sept.";
$udde_smon[10]="okt.";
$udde_smon[11]="nov.";
$udde_smon[12]="dec.";

$udde_lmon[1]="januar";
$udde_lmon[2]="februar";
$udde_lmon[3]="marts";
$udde_lmon[4]="april";
$udde_lmon[5]="maj";
$udde_lmon[6]="juni";
$udde_lmon[7]="juli";
$udde_lmon[8]="august";
$udde_lmon[9]="september";
$udde_lmon[10]="oktober";
$udde_lmon[11]="november";
$udde_lmon[12]="december";

$udde_lweekday[0]="S&oslash;ndag";
$udde_lweekday[1]="Mandag";
$udde_lweekday[2]="Tirsdag";
$udde_lweekday[3]="Onsdag";
$udde_lweekday[4]="Torsdag";
$udde_lweekday[5]="Fredag";
$udde_lweekday[6]="L&oslash;rdag";

$udde_sweekday[0]="S&oslash;n.";
$udde_sweekday[1]="Man.";
$udde_sweekday[2]="Tir.";
$udde_sweekday[3]="Ons.";
$udde_sweekday[4]="Tor.";
$udde_sweekday[5]="Fre.";
$udde_sweekday[6]="L&oslash;r.";

// *********************************************************
// the following can remain English
// *********************************************************

DEFINE ('_UDDEIM_NOID', 'Fejl: Ingen modtager-id fundet. Ingen besked sendt.');
DEFINE ('_UDDEIM_REFERAFTERSAVING', 'index.php?option=com_uddeim');
DEFINE ('_UDDEIM_VIOLATION', '<b>Ingen rettigheder!</b> Du har ikke rettigheder til at udf&oslash;re denne handling!');
DEFINE ('_UDDEIM_UNEXPECTEDERROR_QUIT', 'Uventet fejl: ');
DEFINE ('_UDDEIM_ARCHIVENOTENABLED', 'Arkiv er ikke aktiveret.');


// *********************************************************
// No translation necessary below this line
// *********************************************************

DEFINE ('_UDDEIM_ONLINEPIC', 'images/icon_online.gif');
DEFINE ('_UDDEIM_OFFLINEPIC', 'images/icon_offline.gif');

// Admin

DEFINE ('_UDDEADM_SETTINGS', 'uddeIM-administration');
DEFINE ('_UDDEADM_GENERAL', 'Generelt');
DEFINE ('_UDDEADM_ABOUT', 'Om');
DEFINE ('_UDDEADM_DATESETTINGS', 'Dato/tid');
DEFINE ('_UDDEADM_PICSETTINGS', 'Ikoner');
DEFINE ('_UDDEADM_DELETEREADAFTER_HEAD', 'L&aelig;ste beskeder gemmes i (dage)');
DEFINE ('_UDDEADM_DELETEUNREADAFTER_HEAD', 'Ul&aelig;ste beskeder gemmes i (dage)');
DEFINE ('_UDDEADM_DELETETRASHAFTER_HEAD', 'Beskeder i papirkurven gemmes i (dage)');
DEFINE ('_UDDEADM_DAYS', 'dag(e)');
DEFINE ('_UDDEADM_DELETEREADAFTER_EXP', 'Angiv antal dage f&oslash;r <b>l&aelig;ste</b> beskeder automatisk slettes fra indbakken. Hvis beskeder ikke skal slettes automatisk, indtastes et h&oslash;jt tal (f.eks, 36524 dage svarende til et &aring;rhundrede). Men overvej dette da mange beskeder fylder meget i databasen.');
DEFINE ('_UDDEADM_DELETEUNREADAFTER_EXP', 'Angiv antal dage for automatisk sletning af beskeder som modtagere endnu <b>ikke har l&aelig;st</b>.');
DEFINE ('_UDDEADM_DELETETRASHAFTER_EXP', 'Angiv antal dage f&oslash;r beskeder slettes fra papirkurven. V&aelig;rdier mindre end 1 kan angives. F.eks: for at slette beskeder fra papirkurven efter tre timer, angives 0.125.');
DEFINE ('_UDDEADM_DATEFORMAT_HEAD', 'Datovisningsformat');
DEFINE ('_UDDEADM_DATEFORMAT_EXP', 'V&aelig;lg formatet som beskedens dato og tid  
skal vises med. M&aring;neder forkortes i henhold til dine  
sprogindstillinger i Mambo/CMS (s&aring;fremt en matchende uddelM-sprogfil er til stede)');
DEFINE ('_UDDEADM_LDATEFORMAT_HEAD', 'Lang datovisning');
DEFINE ('_UDDEADM_LDATEFORMAT_EXP', 'N&aring;r beskeder vises afs&aelig;ttes der mere plads til datoer. V&aelig;lg dato formatet der skal anvendes n&aring;r en besked &aring;bnes. For ugedag og m&aring;neder, anvendes standardvisning i henhold til ops&aelig;tning af CMS-systemet og tilh&oslash;rende landespecifik sprogfil til uddeIM.');
DEFINE ('_UDDEADM_ADMINIGNITIONONLY_HEAD', 'Sletning afvikles kun af admin');
DEFINE ('_UDDEADM_ADMINIGNITIONONLY_YES', 'Ja, kun af administratorer');
DEFINE ('_UDDEADM_ADMINIGNITIONONLY_NO', 'Nej, af alm. bruger');
DEFINE ('_UDDEADM_ADMINIGNITIONONLY_EXP', 'Automatiske slettelser belaster servere og databaser. S&aring;fremt du vlger <i>Ja,&nbsp;men&nbsp;kun&nbsp;af&nbsp;administratorer</i> 
udf&oslash;res den automatiske slettelse af alle brugeres beskeder i henhold til indstillingerne herover n&aring;r en administrator tjekker sin indbakke. V&aelig;lg denne indstilling s&aring;fremt en administrator tjekker sin indbakke en eller flere gange dagligt - hvilket som regel er tilf&aelig;ldet. (Hvis dit site har mere end en administrator, vil det ingen indflydelse have mht. hvem, der logger ind idet slettelserne sker automatisk uanset hvilken af administratorerne, der logger ind.) V&aelig;lg <i>Nej, af enhver bruger</i> p&aring; sm&aring; eller minimalt administrerede websites hvor administratorerne kun sj&aelig;ldent tjekker deres indbakker. V&aelig;lg sidstn&aelig;vnte, hvis du ikke forst&aring;r dette punkt eller er i tvivl om hvad du skal v&aelig;lge.');
DEFINE ('_UDDEADM_ABOUTTEXT', '
<strong>uddeIM Instant Messages (uddeIM)</strong><br>
Instant Messages System for Mambo 4.5.X/Joomla 1.0.0<br>
Author:         Benjamin Zweifel<br>
Language File:  danish.php<br> by Michael Jerndorff and Henrik Gregersen
Copyright:       by Benjamin Zweifel<br>
This is free software and you may redistribute it under the GPL.
uddeIM comes with absolutely no warranty. For details, see the license at
 <a href="http://www.gnu.org/licenses/gpl.txt">www.gnu.org/licenses/gpl.txt</a>.
');
	// replace the translation.php with your language, of course
DEFINE ('_UDDEADM_SAVESETTINGS', 'Gem ops&aelig;tning');
DEFINE ('_UDDEADM_THISHASBEENSAVED', 'F&oslash;lgende ops&aelig;tning er gemt i konfigurationsfilen:');
DEFINE ('_UDDEADM_SETTINGSSAVED', 'Ops&aelig;tning er gemt.');
DEFINE ('_UDDEADM_ICONONLINEPIC_HEAD', 'Ikon: Bruger er online');
DEFINE ('_UDDEADM_ICONONLINEPIC_EXP', 'Angiv placering af ikon, der skal vises ved siden af brugernavnet n&aring;r brugeren er online.');
DEFINE ('_UDDEADM_ICONOFFLINEPIC_HEAD', 'Ikon: Bruger er offline');
DEFINE ('_UDDEADM_ICONOFFLINEPIC_EXP', 'Angiv placering af ikon, der skal vises ved siden af brugernavnet n&aring;r brugeren er offline.');
DEFINE ('_UDDEADM_ICONREADPIC_HEAD', 'Ikon: L&aelig;s besked');
DEFINE ('_UDDEADM_ICONREADPIC_EXP', 'Angiv placering af ikon, der skal vises for funktionen til l&aelig;sning af beskeder.');
DEFINE ('_UDDEADM_ICONUNREADPIC_HEAD', 'Ikon: Ul&aelig;st besked');
DEFINE ('_UDDEADM_ICONUNREADPIC_EXP', 'Angiv placering af ikon, der skal vises for ul&aelig;ste beskeder.');
DEFINE ('_UDDEADM_MODULENEWMESS_HEAD', 'Modul: Ny Besked-ikon');
DEFINE ('_UDDEADM_MODULENEWMESS_EXP', 'Dette refererer til modulet mod_uddeim_new module. Angiv placering af ikon som dette modul skal vise n&aring;r der er nye beskeder.');
DEFINE ('_UDDEADM_UDDEINSTALL', 'uddeIM-installation');
DEFINE ('_UDDEADM_FINISHED', 'Installation er afsluttet. Velkommen til uddeIM 0.4 (beta). ');
DEFINE ('_UDDEADM_NOCB', '<span style="color: red;">Mambo Community Builder er ikke installeret. Dette er kr&aelig;vet for at kunne bruge uddeIM.</span><br><br>Comunity builder kan downloades fra <a href="http://www.mambojoe.com">Mambo Community Builder</a>.');
DEFINE ('_UDDEADM_CONTINUE', 'forts&aelig;t');
DEFINE ('_UDDEADM_PMSFOUND_1', 'Der er ');
DEFINE ('_UDDEADM_PMSFOUND_2', ' beskeder i din myPMS-installation. Skal disse importeres til uddeIM?');
DEFINE ('_UDDEADM_IMPORT_EXP', 'Dette &aelig;ndrer ikke p&aring; myPMS-beskederne eller p&aring; din installation. Beskederne forbliver i myPMS. Du kan importere beskederne til uddeIM, selv om du fortsat vil anvende myPMS. (Gem indstillingerne f&oslash;r du importerer beskederne!) Eksisterende beskeder i uddeIM forbliver intakte.');
DEFINE ('_UDDEADM_IMPORT_YES', 'Importer myPMS-beskeder til uddeIM nu');
DEFINE ('_UDDEADM_IMPORT_NO', 'Nej, importer intet');
DEFINE ('_UDDEADM_IMPORTING', 'Vent venligst imens beskederne importeres.');
DEFINE ('_UDDEADM_IMPORTDONE', 'Import af beskeder fra myPMS afsluttet. Afvikling af installationsscriptet igen, vil dublere beskederne.');
DEFINE ('_UDDEADM_IMPORT', 'Importer');
DEFINE ('_UDDEADM_IMPORT_HEADER', 'Importer beskeder fra myPMS');
DEFINE ('_UDDEADM_PMSNOTFOUND', 'Ingen installation af myPMS fundet. Import er ikke mulig.');
DEFINE ('_UDDEADM_ALREADYIMPORTED', '<span style="color: red;">Du har allerede importeret beskeder fra myPMS i uddeIM.</span>');
DEFINE ('_UDDEADM_BLOCKSYSTEM_HEAD', 'Aktiver blokeringssystem');
DEFINE ('_UDDEADM_BLOCKSYSTEM_EXP', 'Brugere kan blokere beskeder fra andre brugere n&aring;r systemet er aktiveret. Administratorer kan ikke blokeres.');
DEFINE ('_UDDEADM_BLOCKSYSTEM_YES', 'Ja');
DEFINE ('_UDDEADM_BLOCKSYSTEM_NO', 'Nej');
DEFINE ('_UDDEADM_BLOCKALERT_HEAD', 'Informer afsender om blokering');
DEFINE ('_UDDEADM_BLOCKALERT_EXP', 'Hvis dette er sat til <i>Ja</i> vil en blokeret bruger f&aring; at vide at man er blokeret ved fors&oslash;g p&aring; afsendelse og beskeden bliver ikke sendt. Hvis dette er sat til <i>Nej</i>, bliver beskeden ikke sendt og brugeren informeres ikke om blokeringen.');
DEFINE ('_UDDEADM_BLOCKALERT_YES', 'Ja');
DEFINE ('_UDDEADM_BLOCKALERT_NO', 'Nej');
DEFINE ('_UDDEADM_DELETIONS', 'Sletninger');
DEFINE ('_UDDEADM_BLOCK', 'Blokering');
DEFINE ('_UDDEADM_INTEGRATION', 'Integration');
DEFINE ('_UDDEADM_EMAIL', 'E-mail');
DEFINE ('_UDDEADM_SHOWCBLINK_HEAD', 'Vis CB-links');
DEFINE ('_UDDEADM_SHOWCBLINK_EXP', 'Hvis sat til <i>Ja</i>, vil alle brugernavne, der anvendes i uddeIM blive vist som link til deres Community Builder-profil.');
DEFINE ('_UDDEADM_SHOWCBPIC_HEAD', 'Vis CB-profilbillede');
DEFINE ('_UDDEADM_SHOWCBPIC_EXP', 'Hvis sat til <i>Ja</i>, vises profilbilledet fra afsenderens Comumunity Builder-profil i beskeden, s&aring;fremt et s&aring;dant eksisterer.');
DEFINE ('_UDDEADM_SHOWONLINE_HEAD', 'Vis online-status');
DEFINE ('_UDDEADM_SHOWONLINE_EXP', 'Hvis sat til <i>Ja</i>, vises hvert brugernavn med et lille ikon, der viser om brugeren er online. Valg af ikon kan ops&aelig;ttes under fanebladet Ikoner.');
DEFINE ('_UDDEADM_ALLOWEMAILNOTIFY_HEAD', 'Tillad e-mail v. ny besked');
DEFINE ('_UDDEADM_ALLOWEMAILNOTIFY_EXP', 'Hvis sat til <i>Ja</i> kan hver bruger v&aelig;lge om man vil have en e-mail ved ny besked i indbakken.');
DEFINE ('_UDDEADM_EMAILWITHMESSAGE_HEAD', 'E-mail indeholder beskeden');
DEFINE ('_UDDEADM_EMAILWITHMESSAGE_EXP', 'Hvis sat til <i>Nej</i>, vil en e-mail ikke indeholde selve beskeden, men kun information om hvem der har sendt en besked, og hvorn&aring;r.');
DEFINE ('_UDDEADM_LONGWAITINGEMAIL_HEAD', 'Forglemmigej-e-mail');
DEFINE ('_UDDEADM_LONGWAITINGEMAIL_EXP', 'Hvis sat til <i>Ja</i> vil en e-mail blive sendt til en bruger, der har haft en ul&aelig;st besked liggende i indbakken i l&aelig;ngere tid. Denne funktion er uafh&aelig;ngig af den &oslash;vrige e-mailops&aelig;tning.');
DEFINE ('_UDDEADM_LONGWAITINGDAYS_HEAD', 'Send forglemmigej efter dag(e)');
DEFINE ('_UDDEADM_LONGWAITINGDAYS_EXP', 'Angiv hvor mange dage en besked m&aring; forblive ul&aelig;st, f&oslash;r der skal sendes en forglemmigej-e-mail til modtageren.');
DEFINE ('_UDDEADM_FIRSTWORDSINBOX_HEAD', 'Antal tegn i oversigten');
DEFINE ('_UDDEADM_FIRSTWORDSINBOX_EXP', 'Angiv hvor mange tegn af beskeden, der skal vises i indbakke-, udbakke- og papirkurv-oversigterne.');
DEFINE ('_UDDEADM_MAXLENGTH_HEAD', 'Maks. beskedl&aelig;ngde');
DEFINE ('_UDDEADM_MAXLENGTH_EXP', 'Angiv hvor mange tegn en besked m&aring; v&aelig;re. Beskeden forkortes til dette antal hvis den er l&aelig;ngere. &Oslash;nskes intet maksimum angives \'0\'.');
DEFINE ('_UDDEADM_YES', 'Ja');
DEFINE ('_UDDEADM_NO', 'Nej');
DEFINE ('_UDDEADM_ADMINSONLY', 'Kun for administrator');
DEFINE ('_UDDEADM_SYSTEM', 'System');
DEFINE ('_UDDEADM_SYSM_USERNAME_HEAD', 'Brugernavn for systembeskeder');
DEFINE ('_UDDEADM_SYSM_USERNAME_EXP', 'Der kan afsendes systembeskeder fra uddeIM. Det er beskeder uden synlig afsender og de kan ikke besvares. Angiv her hvilket brugernavn, der skal anvendes til systembeskeder (fx <i>Support</i> eller <i>Webmaster</i>)');
DEFINE ('_UDDEADM_ALLOWTOALL_HEAD', 'Tillad generelle beskeder for administratorer');
DEFINE ('_UDDEADM_ALLOWTOALL_EXP', 'Generelle beskeder sendes til samtlige brugere.');
DEFINE ('_UDDEADM_EMN_SENDERNAME_HEAD', 'E-mail-afsendernavn');
DEFINE ('_UDDEADM_EMN_SENDERNAME_EXP', 'Angiv afsendernavn p&aring; e-mails. Angiv fx hjemmesidens navn');
DEFINE ('_UDDEADM_EMN_SENDERMAIL_HEAD', 'E-mail-afsenderadresse');
DEFINE ('_UDDEADM_EMN_SENDERMAIL_EXP', 'Angiv e-mail-adresse hvorfra e-mail sendes.');
DEFINE ('_UDDEADM_VERSION', 'uddeIM-version');
DEFINE ('_UDDEADM_ARCHIVE', 'Arkiv'); // translators info: headline for Archive system
DEFINE ('_UDDEADM_ALLOWARCHIVE_HEAD', 'Aktiver arkiv');
DEFINE ('_UDDEADM_ALLOWARCHIVE_EXP', 'Angiv om brugere m&aring; gemme beskeder i et arkiv. Beskeder i arkivet bliver ikke slettet.');
DEFINE ('_UDDEADM_MAXARCHIVE_HEAD', 'Maks. beskeder i brugers arkiv');
DEFINE ('_UDDEADM_MAXARCHIVE_EXP', 'Angiv hvor mange beskeder en bruger m&aring; have i sit arkiv. (Bem&aelig;rk administratorer har ingen gr&aelig;nse).');
DEFINE ('_UDDEADM_COPYTOME_HEAD', 'Tillad kopier til afsender');
DEFINE ('_UDDEADM_COPYTOME_EXP', 'Tillader brugere at sende en kopi af beskeden til sig selv.');
DEFINE ('_UDDEADM_MESSAGES', 'Beskeder');
DEFINE ('_UDDEADM_TRASHORIGINAL_HEAD', 'Slet original som standard');
DEFINE ('_UDDEADM_TRASHORIGINAL_EXP', 'Hvis aktiveret, vil et afkrydsningsfelt \'Slet original\' v&aelig;re placeret efter \'Send\'-svarknappen. Det vil v&aelig;re markeret som standard. Hvis markeret vil en besked automatisk blive flyttet fra indbakken til papirkurven, s&aring;fremt beskeden besvares. Dette kan spare plads i databasen. Brugerne kan altid overskrive standardv&aelig;rdien.');
	// translators info: 'Send' is the same as _UDDEIM_SUBMIT,
	// and 'trash original' the same as _UDDEIM_TRASHORIGINAL
DEFINE ('_UDDEADM_PERPAGE_HEAD', 'Beskeder pr. side');
DEFINE ('_UDDEADM_PERPAGE_EXP', 'Angiv hvor mange beskeder, der skal vises i indbakken, udbakken, papirkurven og arkivet pr. side.');
DEFINE ('_UDDEADM_CHARSET_HEAD', 'Anvendt tekstkodning');
DEFINE ('_UDDEADM_CHARSET_EXP', 'S&aring;fremt du oplever problemer  
med ikke-latinske tekstkodninger, kan du indtaste den tekstkodning  
som uddelM skal bruge ved konvertering af databaseindholdet til  
htmlkode her. <b>Undlad at foretage &aelig;ndringer s&aring;fremt du  
ikke ved hvad det betyder!</b>');
DEFINE ('_UDDEADM_MAILCHARSET_HEAD', 'Benyttet e-mail-tekstkodning');
DEFINE ('_UDDEADM_MAILCHARSET_EXP', 'S&aring;fremt du oplever  
problemer med ikke-latinske tekstkodninger, kan du indtaste den  
tekstkodning som uddelM skal bruge ved kodning af udg&aring;ende e- 
mails her. <b>Undlad at foretage &aelig;ndringer s&aring;fremt du  
ikke ved hvad det betyder!</b>');
DEFINE ('_UDDEADM_EMN_BODY_NOMESSAGE_EXP', 'Dette er indholdet af den e-mail, der sendes til brugeren ved ny besked, s&aring;fremt e-mail er aktiveret. Selve beskedens indhold tages ikke med i e-mailen. Variablerne %you%, %user% og %site% indeholder information omkring afsender, bruger og b&oslash;r beholdes i e-mailen. ');
DEFINE ('_UDDEADM_EMN_BODY_WITHMESSAGE_EXP', 'Dette er indholdet af den e-mail, der sendes til brugeren ved ny besked, hvis e-mail er aktiveret. E-mailen vil ogs&aring; kunne indholde selve beskeden. Variablerne %you%, %user% og %site% indeholder information omkring afsender og bruger og variablen %pmessage% selve beskeden.');
DEFINE ('_UDDEADM_EMN_FORGETMENOT_EXP', 'Dette er indholdet af forglemmigej-e-mailen, der sendes hvis det er aktiveret og en bruger ikke har reageret p&aring; en besked. Variablerne %you% and %site% indeholder modtager- og afsenderinformation. ');
DEFINE ('_UDDEADM_ENABLEDOWNLOAD_EXP', 'Tillad brugere at hente beskeder fra deres arkiv, ved at sende dem som e-mail til sig selv.');
DEFINE ('_UDDEADM_ENABLEDOWNLOAD_HEAD', 'Tillad besked-download');
DEFINE ('_UDDEADM_EXPORT_FORMAT_EXP', 'Dette er formatet af den e-mail en bruger vil modtage ved download af beskeder fra brugers arkiv. Variablerne %user%, %msgdate% og %msgbody% b&oslash;r beholdes i formatet.');
		// translators info: Don't translate %you%, %user%, etc. in the strings above.
DEFINE ('_UDDEADM_INBOXLIMIT_HEAD', 'Medtag indbakke i arkivst&oslash;relse');
DEFINE ('_UDDEADM_INBOXLIMIT_EXP', 'Du kan inkludere arkivst&oslash;relsen til ogs&aring; at g&aelig;lde indbakken. Overskrides antallet vil brugere stadig kunne modtage, men vil ikke kunne skrive nye beskeder f&oslash;r, der slettes eksisterende beskeder.');
DEFINE ('_UDDEADM_SHOWINBOXLIMIT_HEAD', 'Vis beskedst&oslash;relse');
DEFINE ('_UDDEADM_SHOWINBOXLIMIT_EXP', 'Viser hvor mange beskeder en bruger har gemt samt hvor mange der er plads til i en linje under indbakken.');
DEFINE ('_UDDEADM_ARCHIVETOTRASH_INTRO', 'Du har deaktiveret arkivet. Hvad skal der ske med de beskeder, der er gemt i arkivet?');
DEFINE ('_UDDEADM_ARCHIVETOTRASH_LEAVE_LINK', 'Behold dem');
DEFINE ('_UDDEADM_ARCHIVETOTRASH_LEAVE_EXP', 'Behold dem i arkivet (brugeren vil ikke kunne tilg&aring; beskederne, og de medtages stadig i besked postkassens st&oslash;relse).');
DEFINE ('_UDDEADM_ARCHIVETOTRASH_INBOX_LINK', 'Flyt til indbakke');
DEFINE ('_UDDEADM_ARCHIVETOTRASH_INBOX_DONE', 'Arkiverede beskeder er flyttet til indbakkerne');
DEFINE ('_UDDEADM_ARCHIVETOTRASH_INBOX_EXP', 'Beskeder vil blive flyttet til brugernes indbakker (eller til papirkurven hvis de er &aelig;ldre end det tilladte for indbakken).');


// 0.4 frontend, but visible admins only (no translation necessary)

DEFINE ('_UDDEIM_SEND_ASSYSM', 'send som system besked (modtagere kan ikke svare p&aring; beskeden)');
DEFINE ('_UDDEIM_SEND_TOALL', 'send til alle brugere');
DEFINE ('_UDDEIM_SEND_TOALLADMINS', 'send til alle administratorer');
DEFINE ('_UDDEIM_SEND_TOALLLOGGED', 'send til alle online brugere');
DEFINE ('_UDDEIM_VALIDFOR_1', 'gyldig i ');
DEFINE ('_UDDEIM_VALIDFOR_2', ' timer. 0 = for evigt (automatiske sletninger g&aelig;lder)');
DEFINE ('_UDDEIM_WRITE_SYSM_GM', '[Opret system eller generel besked]');
DEFINE ('_UDDEIM_WRITE_NORMAL', '[Opret en normal (standard) besked]');
DEFINE ('_UDDEIM_NOTALLOWED_SYSM_GM', 'System- og generelle beskeder er ikke tilladt.');
DEFINE ('_UDDEIM_SYSGM_TYPE', 'Beskedtype');
DEFINE ('_UDDEIM_HELPON_SYSGM', 'Hj&aelig;lp vedr. systembeskeder');
DEFINE ('_UDDEIM_HELPON_SYSGM_2', '(vises i et nyt vindue)');

DEFINE ('_UDDEIM_SYSGM_PLEASECONFIRM', 'Du er ved at sende den viste besked. Er du sikker, ellers afbryd!');
DEFINE ('_UDDEIM_SYSGM_WILLSENDTOALL', 'Besked til <strong>alle brugere</strong>');
DEFINE ('_UDDEIM_SYSGM_WILLSENDTOALLADMINS', 'Besked til <strong>alle administratorer</strong>');
DEFINE ('_UDDEIM_SYSGM_WILLSENDTOALLLOGGED', 'Besked til <strong>alle online-brugere</strong>');
DEFINE ('_UDDEIM_SYSGM_WILLDISABLEREPLY', 'Modtager vil ikke kunne besvare denne besked.');
DEFINE ('_UDDEIM_SYSGM_WILLSENDAS_1', 'Besked bliver sendt med brugernavnet <strong>');
DEFINE ('_UDDEIM_SYSGM_WILLSENDAS_2', '</strong> som afsender');

DEFINE ('_UDDEIM_SYSGM_WILLEXPIRE', 'Besked udl&oslash;ber ');
DEFINE ('_UDDEIM_SYSGM_WILLNOTEXPIRE', 'Besked udl&oslash;ber ikke');
DEFINE ('_UDDEIM_SYSGM_CHECKLINK', '<b>Kontroller link (ved at klikke p&aring; det) f&oslash;r du forts&aelig;tter!</b>');
DEFINE ('_UDDEIM_SYSGM_SHORTHELP', 'Brug <strong>kun for systembeskeder</strong>:<br> [b]<strong>fed</strong>[/b] [i]<em>kursiv</em>[/i]<br>
[url=http://www.etellerandet.dk]Et eller andet[/url] eller [url]http://www.etellerandet.dk[/url] som link.');
DEFINE ('_UDDEIM_SYSGM_ERRORNORECIPS', 'Fejl: Ingen modtager fundet. Beskeden er ikke sendt.');


// new in 0.5 ADMIN

DEFINE ('_UDDEADM_TEMPLATEDIR_HEAD', 'uddeIM-skabelon');
DEFINE ('_UDDEADM_TEMPLATEDIR_EXP', 'V&aelig;lg den skabelon som uddeIM skal benytte');
DEFINE ('_UDDEADM_SHOWCONNEX_HEAD', 'Vis CB-forbindelser');
DEFINE ('_UDDEADM_SHOWCONNEX_EXP', 'V&aelig;lg <i>Ja</i> hvis Community Builder er installeret og du vil vise brugerens forbindelser ved oprettelse af en ny besked.');
DEFINE ('_UDDEADM_SHOWSETTINGSLINK_HEAD', 'Vis indstillinger');
DEFINE ('_UDDEADM_SHOWSETTINGSLINK_EXP', 'Indstillingerne vises i uddeIM hvis du har aktiveret e-mail-notifikation eller blokeringssystemet. Hvis ikke de skal vises, kan det sl&aering;s fra her. ');
DEFINE ('_UDDEADM_SHOWSETTINGS_ATBOTTOM', 'Ja, nederst');
DEFINE ('_UDDEADM_ALLOWBB_HEAD', 'Tillad BB-koder');
DEFINE ('_UDDEADM_FONTFORMATONLY', 'kun skriftformatering');
DEFINE ('_UDDEADM_ALLOWBB_EXP', 'V&aelig;lg <i>kun skriftformatering</i> for at tillade BB-koder til tekstformatering (fed, kursiveret, understregning, skriftfarve og -st&oslash;rrelse). V&aelig;lg <i>Ja</i> for at tillade brugen af <strong>alle</strong> underst&oslash;ttede BB-koder i deres beskeder (inkl. links og billeder).');
DEFINE ('_UDDEADM_ALLOWSMILE_HEAD', 'Tillad emoticons');
DEFINE ('_UDDEADM_ALLOWSMILE_EXP', 'V&aelig;lg <i>Ja</i> hvis emoticon-koder a la :-) ved visning af beskederne skal erstattes med smiley-billeder. Se venligst readme-filen for en liste over underst&oslash;ttede emoticons.');
DEFINE ('_UDDEADM_DISPLAY', 'Vis');
DEFINE ('_UDDEADM_SHOWMENUICONS_HEAD', 'Vis menuikoner');
DEFINE ('_UDDEADM_SHOWMENUICONS_EXP', 'V&aelig;lg <i>Ja</i> for at vise menu- og action-links med et ikon.');
DEFINE ('_UDDEADM_SHOWTITLE_HEAD', 'Komponenttitel');
DEFINE ('_UDDEADM_SHOWTITLE_EXP', 'Indtast overskriften p&aring; privat besked-komponenten, fx \'Private beskeder\'. Udfyldes kun hvis der skal vises en overskrift.');
DEFINE ('_UDDEADM_SHOWABOUT_HEAD', 'Vis Om-link');
DEFINE ('_UDDEADM_SHOWABOUT_EXP', 'V&aelig;lg <i>Ja</i> for at vise linket til uddeIM-kreditering og licens. Dette link vil blive placeret til sidst i den uddeIM-genererede kode.');
DEFINE ('_UDDEADM_STOPALLEMAIL_HEAD', 'Stands e-mail nu');
DEFINE ('_UDDEADM_STOPALLEMAIL_EXP', 'Marker denne boks for at forhindre at uddeIM sender e-mails (e-mail-notifikationer og forglemmigej-e-mails) uden hensyntagen til brugerindstillinger, fx ved test af sitet. V&aelig;lg <i>Nej</i> ved ovenst&aring;ende valgmuligheder hvis disse funktioner aldrig skal benyttes.');
DEFINE ('_UDDEADM_ADMINIGNITIONONLY_MANUALLY', 'manuelt');
DEFINE ('_UDDEADM_GETPICLINK_HEAD', 'CB-miniaturebilleder i lister');
DEFINE ('_UDDEADM_GETPICLINK_EXP', 'V&aelig;lg <i>Ja</i> hvis brugernes miniaturebilleder skal vises i beskedoversigterne (indbakke, udbakke, etc.)');

// new in 0.5 FRONTEND

DEFINE ('_UDDEIM_SHOWUSERS', 'Vis brugere');
DEFINE ('_UDDEIM_CONNECTIONS', 'Forbindelser');
DEFINE ('_UDDEIM_SETTINGS', 'Indstillinger');
DEFINE ('_UDDEIM_NOSETTINGS', 'Der er ingen indstillingsmuligheder.');
DEFINE ('_UDDEIM_ABOUT', 'Om'); // as in "About uddeIM"
DEFINE ('_UDDEIM_COMPOSE', 'Ny besked'); // as in "write new message", but only one word
DEFINE ('_UDDEIM_EMN', 'E-mail-notifikation');
DEFINE ('_UDDEIM_EMN_EXP', 'Du kan modtage en e-mail n&aring;r du f&aring;r en ny privat besked.');
DEFINE ('_UDDEIM_EMN_ALWAYS', 'E-mail-notifikation ved nye beskeder');
DEFINE ('_UDDEIM_EMN_NONE', 'Ingen e-mail-notifikation');
DEFINE ('_UDDEIM_EMN_WHENOFFLINE', 'E-mail-notifikation ved offline');
DEFINE ('_UDDEIM_EMN_NOTONREPLY', 'Send ikke notifikation ved svar');
DEFINE ('_UDDEIM_BLOCKSYSTEM', 'Brugerblokering'); // Headline for blocking system in settings
DEFINE ('_UDDEIM_BLOCKSYSTEM_EXP', 'Du kan forhindre at brugerne sender dig beskeder ved at blokere dem. V&aelig;lg <i>bloker bruger</i> n&aring;r l&aelig;ser en besked fra den enkelte bruger.'); // block user is the same as _UDDEIM_BLOCKNOW
DEFINE ('_UDDEIM_SAVECHANGE', 'Gem &aelig;ndringer');
DEFINE ('_UDDEIM_TOOLTIP_BOLD', 'BB-koder for fed skrift. Brug: [b]fed[/b]');
DEFINE ('_UDDEIM_TOOLTIP_ITALIC', 'BB-koder for kursiv skrift. Brug: [i]kursiv[/i]');
DEFINE ('_UDDEIM_TOOLTIP_UNDERLINE', 'BB-koder for understregning. Brug: [u]understreget[/u]');
DEFINE ('_UDDEIM_TOOLTIP_COLORRED', 'BB-koder for farvet skrift. Brug [color=#XXXXXX]farvet[/color] hvor XXXXXX er hexadecimaltalskoden for den &oslash;nskede farve. Brug fx FF0000 for r&oslash;d.');
DEFINE ('_UDDEIM_TOOLTIP_COLORGREEN', 'BB-koder for farvet skrift. Brug [color=#XXXXXX]colored[/color] hvor XXXXXX er hexadecimaltalskoden for den &oslash;nskede farve. Brug fx 00FF00 for gr&oslash;n.');
DEFINE ('_UDDEIM_TOOLTIP_COLORBLUE', 'BB-koder for farvet skrift. Brug [color=#XXXXXX]colored[/color] hvor XXXXXX er hexadecimaltalskoden for den &oslash;nskede farve. Brug fx 0000FF for bl&aring;.');
DEFINE ('_UDDEIM_TOOLTIP_FONTSIZE1', 'BB-koder for meget lille skrift. Brug: [size=1]meget lille skriftst&oslash;rrelse.[/size]');
DEFINE ('_UDDEIM_TOOLTIP_FONTSIZE2', 'BB-koder for lille skrift. Brug: [size=2]lille skriftst&oslash;rrelse.[/size]');
DEFINE ('_UDDEIM_TOOLTIP_FONTSIZE4', 'BB-koder for stor skrift. Brug: [size=4]stor skriftst&oslash;rrelse.[/size]');
DEFINE ('_UDDEIM_TOOLTIP_FONTSIZE5', 'BB-koder for meget stor skrift. Brug: [size=5]meget stor skriftst&oslash;rrelse.[/size]');
DEFINE ('_UDDEIM_TOOLTIP_IMAGE', 'BB-koder til inds&aelig;ttelse af et link til et billede. Brug: [img]Billede-url[/img]');
DEFINE ('_UDDEIM_TOOLTIP_URL', 'BB-koder til inds&aelig;ttelse af hyperlinks. Brug: [url]webadresse[/url]. Glem ikke http:// i begyndelsen af hver webadresse.');
DEFINE ('_UDDEIM_TOOLTIP_CLOSEALLTAGS', 'Luk alle &aring;bne BB-koder.');
DEFINE ('_UDDEIM_INBOX_LIMIT_2_SINGULAR', ' besked i din'); // same as _UDDEIM_INBOX_LIMIT_2, but singular (as in 1 "message in your")
DEFINE ('_UDDEIM_ARC_SAVED_NONE_2', '<strong>Der er ingen beskeder i dit arkiv.</strong>'); 
?>